= 13.5.6 (2026-07-08) =
* Bug Fix: "Upgrade To Elite" link visible on plugins page when Elite plugin is already active
* Bug Fix: Bug: "Update plugin" link in version-requirement notice fails with "link has expired" (wrong nonce action)
* Bug Fix: Custom Feed channel generates an empty feed (zero products) for a non-base currency
* Bug Fix: Empty g:additional_image_link nodes in feed when URL suffix is configured
* Bug Fix: Pinterest CSV feed ingestion fails with Error 9156 — UTF-8 BOM in CSV header
* Bug Fix: Pinterest XML feed rejected by Pinterest Data Source — incorrect element names (g:title, g:description, g:link)
* Bug Fix: Product filter fields missing from Google Merchant Promotions Feed when using specific_products
* Bug Fix: g:product_detail — "Custom attributes" prefix not stripped from g:attribute_name
* Bug Fix: money_off_amount field outputs wrong element name in Google Merchant Promotions feed
* Bug Fix: promotion_destination required field missing from Google Merchant Promotions Feed channel attributes
* Improvement: Add Regenerate Action Schedulers feature to recover broken feed refresh schedules
* Improvement: Add adt_pfp_help_menu_items action to the Help dropdown for add-on extensions
* Improvement: Filters & Rules: add Elite upsell for the Character Count condition type
* Improvement: Filters & Rules: add adt_pfp_evaluate_filters_rules_condition hook for custom condition types
* Improvement: Include libxml parse error details in batch XML load failure log
* Improvement: Make OpenAI product feed channel compliant with OpenAI's GA feed spec
* Improvement: Multisite: Version_*_Update migrations skip blogs #2..N (network-global version gate)
* Improvement: Re-branding: Apply the 2026 AdTribes rebrand foundation (tokens, colors, logo, header)
* Improvement: Support nested g:subscription_cost output in the Google Shopping XML writer
* Improvement: Unify adt_pfp_get_filters_rules_attributes filter signature across REST + deprecated trait call sites

= 13.5.5 (2026-06-09) =
* Bug Fix: "Clear custom attributes cache" button shows misleading error on second click
* Bug Fix: AddToCart event never fires — woosea_add_cart.js not enqueued and AJAX handler missing
* Bug Fix: CAPI Purchase event `contents` array missing required `item_price` field
* Bug Fix: CSV feeds abort with "not valid XML" error on empty batch
* Bug Fix: Facebook Pixel add to cart script loads on all frontend pages, not just WooCommerce pages
* Bug Fix: Facebook Pixel cart/checkout/purchase event detection is broken in get_cart_page_event()
* Bug Fix: Field mapping: duplicate 'Brands' label in dynamic attributes when WooCommerce and YITH Brands are both active
* Bug Fix: Free shipping with requires='either'/'both' ignores coupon side of the rule in feed availability check
* Bug Fix: Free shipping without minimum order requirement not included in feed
* Bug Fix: Inconsistent spacing in "dynamic attribute" values for simple vs variable products in feeds
* Bug Fix: Rules builder 'Category Set Value' action has no effect on Google Shopping XML feeds
* Bug Fix: Snapchat product catalog feed outputs prices without currency code (missing {{CURRENCY}} suffix)
* Bug Fix: identifier_exists plugin calculation never runs for TikTok / Pinterest / Facebook channels
* Feature: New Amazon feed — sell on the world's largest marketplace with a ready-to-upload, generic Amazon flat-file inventory loader template generated straight from WooCommerce
* Feature: New Merkandi XML feed channel — list your catalog on the Merkandi B2B marketplace with a ready-to-use XML feed
* Feature: New maximum_retail_price attribute support for Google Shopping
* Feature: Enforce minimum 500x500 image size for Google/Facebook feeds for better compliance and approval rates
* Improvement: Add 'Feed output fields' rules-dropdown group as Elite upsell + host shared field-mapping helper in Pro
* Improvement: Audit update_option calls and disable autoload for admin/cron-only options
* Improvement: Implement download button for debug log in system report section
* Improvement: Migrate woosea_add_remarketing_tags() to OOP Google_Remarketing class
* Improvement: Pass $feed to adt_pfp_get_filters_rules_attributes filter for Elite/extension use

= 13.5.4 (2026-05-04) =
* Bug Fix: Feed filename case mismatch on scheduled update
* Bug Fix: Feed statistics show no product count for JSONL/gzip feeds
* Bug Fix: Local pickup shipping method not showing in feed
* Bug Fix: The attribute taxonomy appears under incorrect group in the feed editor
* Bug Fix: ViewContent sends content_ids as integers instead of strings for variable product parent pages
* Bug Fix: adt_ plugin-internal meta keys flood WooCommerce product editor "Custom Fields" dropdown
* Feature: WP-CLI interface for managing product feeds

= 13.5.3 (2026-04-01) =
* Bug Fix: Bug: Legacy filters/rules nonce selector picks up wrong #_wpnonce element
* Bug Fix: Bug: TikTok Product Catalog channel loads Snapchat attribute template instead of its own
* Bug Fix: Bug: XML attribute values not escaping special character
* Bug Fix: Category Filter Does Not Work with Non-English Category Names
* Bug Fix: Duplicate Action Scheduler jobs for taxonomy fetch and product feed generation (activation / unregister)
* Bug Fix: Fatal error on feed generation: get_cart_contents_weight() on null (cart not loaded under Action Scheduler)
* Bug Fix: Flatsome UX Product Builder Description Outputting HTML Tags
* Bug Fix: Old Feeds on automatic refresh has less products
* Bug Fix: PHP warning: simplexml_load_file() parses CSV temp file in woosea_create_xml_feed() non-google_shopping branch
* Bug Fix: Product title disappears in feed when Optimized Title is empty
* Bug Fix: Remove Facebook Pixel and CAPI tracking logic from bootstrap-old.php
* Bug Fix: Translating Plugin Language to Russian Breaks UI and Functionality
* Bug Fix: [excluded_destination] attribute requirements not being followed on XML file
* Bug Fix: fix: Restore woosea_add_remarketing_tags and get_wc_page_type() to PRO plugin
* Improvement: Add "Case Sensitivity" Option for "Find and Replace" in Rules Builder
* Improvement: Enhancement: Unified extensible license management page infrastructure
* Improvement: Introduce "Unfiltered Product Name" Attribute
* Improvement: Replace strpos() with str_contains() across the codebase
* Improvement: Restore Facebook Pixel tracking as OOP class

= 13.5.2.2 (2026-03-05) =
* Bug Fix: CSRF vulnerability — nonce bypass on multiple AJAX endpoints (Wordfence report)
* Improvement: Support JSONL.GZ and CSV.GZ file format for OpenAI Feeds

= 13.5.2.1 (2026-02-17) =
* Bug Fix: Filter `raw_description` and `raw_short_description` should be working with "is equal to"
* Bug Fix: Security: CSRF + Arbitrary WordPress Option Update Vulnerability in adt_pfp_update_settings
* Improvement: Add a ToolTip on Rules Section that it applies on the Mapped Value not Attribute
* Improvement: Add new "Tax class name" attribute
* Improvement: Improve XML Feed Formatting for Large Product Feeds Using XMLWriter

= 13.5.2 (2026-01-27) =
* Bug Fix: "Remove products that did not have sales in the last days" Field Cannot Be Disabled
* Bug Fix: Force Pinterest Feeds to Follow ISO-4217 Format
* Bug Fix: Unable to Select File Formats Other Than XML for Google Shopping Feeds
* Improvement: Add Support for Min/Max Handling Time in Shipping Data
* Improvement: PHP 8.5 Compatibility

= 13.5.1 (2025-12-15) =
* Bug Fix: "Remove All Other Shipping Options" Setting Doesn't Work
* Bug Fix: Feed Step Notice Content Contains Raw HTML Tags
* Bug Fix: Memory exhaustion in XML feed generation - redundant DOM reload on line 956
* Bug Fix: PHP Warning : Undefined Array Key "s"
* Bug Fix: Product Description Parent Product No Value When Product Type is Simple
* Bug Fix: Product Preview Empty When Rules and Filter Don't Match First 5 Products
* Improvement: Add SaveTo Wishlist Lite for WooCommerce to the About page
* Improvement: Add Upsell for "Exclude Products with Rules" Feature
* Improvement: Cache total_product_orders query for product variations
* Improvement: Text in JS files are not translatable
* Improvement: Wording tweak on SaveTo Wishlist notification
* Improvement: Wrap product descriptions in CDATA for HTML formatting in Google Shopping feeds

= 13.5.0 (2025-11-21) =
* Bug Fix: "No Refresh" Warning Appears for Custom Interval Even with Elite License
* Bug Fix: Fix WooCommerce 10.3.0+ deprecated script handles compatibility
* Bug Fix: Performance: `total_product_orders` query runs unconditionally, causing slow feed generation
* Bug Fix: Remove additional_image_link Attribute When Empty
* Improvement: Migrate notifications from Elite to Pro and expand functionality
* Improvement: add filter to modify the xml and csv,txt,tsv writter

= 13.4.9 (2025-11-07) =
* Bug Fix: Fix: Stuck feed generation on Manage Feeds page (HTTP processing overload)
* Bug Fix: Incorrect mapping of "Total Product Orders" Calculation for Variation Products
* Bug Fix: Invalid Request when saving Facebook Conversions API Token
* Feature: New mappable field: All Product Categories (comma separated)
* Feature: Add support for OpenAI product feed
* Improvement: Change Google taxonomy file path
* Improvement: Change Link icon for the CSV, TSV, and TXT to Download icon the Feed URL Manage Feeds page
* Improvement: Refactor the field mapping logic and templating
* Improvement: Remove the `additional_image_link` attribute when the value is empty

= 13.4.8 (2025-10-17) =
* Bug Fix: Category mapping fails to load Google taxonomy when .txt files are blocked by server security rules
* Bug Fix: The custom batch size setting was no longer working
* Bug Fix: The UTM term was not being hidden in the Google & Analytics section
* Bug Fix: Multiple PHP error warnings were logged while creating a feed
* Bug Fix: The parent variable image was not being used for variations when the setting was enabled
* Bug Fix: The price had the wrong value due to a custom tax class
* Bug Fix: Variable product creation date mapping was not updating after date changes
* Improvement: Added the ability to name a rule in the Rules Builder
* Improvement: Refactored unprefixed options

= 13.4.7 (2025-09-25) =
* Bug Fix: Exclude filter migration changes operator from OR to AND
* Bug Fix: Issue with comma separator in rule THEN action (Multiply/Divide/Plus/Minus)
* Bug Fix: Pinterest RSS Board feed generate many errors in the XML validator
* Bug Fix: Remove `Refresh only when products changed` option due to causing the feed never being regenerated
* Bug Fix: Static value for price is returning no value/attribute on XML file
* Bug Fix: Store code mappable field no output if static value ss only numbers
* Bug Fix: Unable to change country for all channel feeds
* Feature: Feature to export product feed setup
* Feature: Implement cleanup tool on uninstall
* Improvement: Add `g:free_shipping_threshold` attribute for google shopping feed
* Improvement: Add filter on retrieving post id for facebook fixel feature
* Improvement: Group search results for attributes in Rules And Filter
* Improvement: Prevent feed settings from being updated while feed generation is in progress
* Improvement: Refactor `generate()` function parameter & skip registering feed action scheduler if refresh interval is set to `custom`
* Improvement: Refactor the plugin settings page
* Improvement: Save/Toast notification for settings

= 13.4.6 (2025-08-14) =
* Bug Fix: Duplicating a feed doesn't transfer the filters and rules from the original feed to the duplicate
* Bug Fix: Empty values cannot be saved for the find and replace rule
* Bug Fix: Featured products cannot be included in the feed
* Bug Fix: Field-mapping changes do not persist when navigating back before feed generation
* Bug Fix: The field mapping for 'Featured' products is always exported as 'no' in product feeds
* Bug Fix: Filters using OR logic do not work properly—products are not excluded
* Bug Fix: 'Is Empty Then' rules prevent rules from being saved
* Bug Fix: PHP fatal error 'Call to undefined function wc_get_product()' occurs before WooCommerce is fully initialized
* Bug Fix: The 'Product_Detail_1' to 'Product_Detail_10' mappable fields are identical
* Bug Fix: HTML characters are now replaced with alphabetic characters in Pinterest feeds
* Bug Fix: Shipping field does not generate properly when the zone is set to 'Everywhere'
* Bug Fix: The Skroutz template does not follow the variation structure
* Bug Fix: The 'product_highlight' mappable field overrides instead of creating a new instance in XML
* Improvement: 'Abstract_Filters_Rules' retrieves the attribute field mapping on each page load
* Improvement: Added a button to fix duplicated feed issues caused by abnormalities when updating from older versions
* Improvement: Added support for changing the feed country after duplication
* Improvement: Enabled a logging option to record feed generation details
* Improvement: Option to add or remove the 'created_at' tag in a feed
* Improvement: Removed 'WP cron enabled' from the system check
* Improvement: Added a filter to change the `<link>` in the XML for the Google Shopping feed
* Feature: Separated the Filters and Rules pages and implemented a new UI form

= 13.4.5 (2025-06-25) =
* Bug Fix: Feed Update Time Is Not Following Site's Timezone
* Bug Fix: Filter and Rules by category not working for variations product
* Bug Fix: Product `sale_price_start_date` and `sale_price_end_date` is not showing the value on the generated feed
* Bug Fix: Review Rating Filter Returns Empty Feed
* Bug Fix: Rule "Case Sensitive" disabled is not working
* Bug Fix: Space Is Missing in Pricing
* Bug Fix: Tax Calculation Ignores “Shop Base Address” Setting
* Bug Fix: Uncaught Error: Call to a member function addChild() on null for Skroutz Feed
* Bug Fix: `Remove products that did not have sales in the last days` causing php memory exhaustion for sites with a lot of orders
* Bug Fix: product catalog visibility is not showing the valid value for the `exclude_from_catalog,  exclude_from_search, exclude_from_all`
* Feature: add support for Cost of Goods Sold (COGS)
* Improvement: Handle Text Formatting in Description For Google Feeds

= 13.4.4.2 (2025-05-28) =
* Bug Fix: Manage Feed Dashboard is not showing the refresh interval info for "Hourly" and "Twice Daily"
* Bug Fix: Rules are not Saved when the condition is set to "iss less than" or "is greater than"
* Improvement: refactor and fix review request notification

= 13.4.4.1 (2025-05-21) =
* Bug Fix: Rules And Filter Not Working If Product Category Name Has Spacing
* Bug Fix: The  "Number of variations in stock"  filter is not functioning as expected during feed creation.
* Improvement: Go to edit feed when clicking on feed name

= 13.4.4 (2025-05-07) =
* Bug Fix: Allow Adding Of Fields On Google Review Template
* Bug Fix: Notice: Function _load_textdomain_just_in_time Is printed out in pages
* Bug Fix: Preview Option Generates More Than 5 Products
* Bug Fix: Product feed attribute for`rating_total` is not counting rating correctly and has invalid `rating_average`
* Bug Fix: Rule “Is” Field Becomes Empty After Saving
* Bug Fix: Saved Category Selection Not Retained – Defaults to First Category in Dropdown
* Bug Fix: WWPP: Variations Remain Visible When Parent Variable Product Is Restricted
* Improvement: Add Unfiltered Parent Long/Short Descriptions
* Improvement: Add filter on google categories mapping for children categories
* Improvement: Add product variation description field mapping
* Improvement: Combine product feed edit page
* Improvement: Lowercase download link support
* Improvement: Manage Feeds Redesign

= 13.4.3 (2025-04-03) =
* Bug Fix: Category options in filters/rules are not loaded when editing a feed that has it
* Bug Fix: Deactivated feeds are enabled again on plugin activation
* Bug Fix: Extra Attributes for CSV, TSV, and TXT shows "yes" on the last column instead of the product meta value
* Bug Fix: Fatal error when using reviews option in filter
* Bug Fix: Feed stuck when running scheduled action with table rate shipping plugin
* Bug Fix: Stock status field fetches product quantity instead of stock status
* Bug Fix: Manual feed refresh pauses if the Manage Feeds screen is inactive
* Bug Fix: Not all shipping countries are included in the feed
* Bug Fix: Remove unnecessary space from price when no currency code is set
* Bug Fix: Rules for an empty option doesn't work properly
* Bug Fix: Shipping class shipping cost is zero when variations are undefined
* Improvement: Move "Remove products that did not have sales in the last days" to the general settings
* Improvement: Throw error when feed generation fails

= 13.4.2 (2025-03-11) =
* Bug Fix: Custom Fields not showing in field mappings
* Bug Fix: Description splits into multiple columns in the CSV feed
* Bug Fix: Newly created feed gets ID 0 in the scheduled action event
* Bug Fix: Plugin calculation value doesn't work
* Bug Fix: Product Tags include only rule failing when product has multiple tags
* Bug Fix: Products are being excluded when Product visibility is set to shop only
* Bug Fix: Quantity stock rules and filter not working when stock management is disabled for product
* Bug Fix: Scheduled actions for feed are not removed when a feed is deleted
* Bug Fix: Shipping attribute is empty when Table Shipping plugin activated
* Bug Fix: Shipping method doesn't appear when US shipping zone has multiple countries
* Bug Fix: TXT format does not work for Google Local Products Inventory feed
* Bug Fix: Uncaught TypeError when flat rate method has dynamic rate in PHP 8+
* Bug Fix: Uncaught TypeError while generating a feed
* Bug Fix: Wholesale Prices: Products should only be included if they're visible to guest users
* Improvement: Add loading or disable feed channel select when after the feed country changed
* Improvement: Security and code improvements
* Integration: Fatal Error Occurs in Custom Feed with Weight-Based Shipping Plugin

= 13.4.1.3 (2025-02-04) =
* Bug Fix: Applying "Include Only" filter method no longer works for any dynamic attributes
* Bug Fix: Facebook/Meta feed template is adding g prefix on facebook specific fields
* Bug Fix: Feed Failing to refresh due to get_category_ids() function
* Bug Fix: Flatsome theme builder based description doesn't appear in the feed
* Bug Fix: Include rule and exclude rule functions are swapped
* Bug Fix: Item Group ID filter method doesn't work
* Bug Fix: Main Image value affecting all products after applying a rule for a specific product
* Bug Fix: Multiply, divide, minus, plus rules not working due to currency options
* Bug Fix: PHP Warning when feed selected country tax is not configured

= 13.4.1.2 (2025-01-27) =
* Bug Fix: Feed is only accepting the End of Rules and Filter
* Bug Fix: Product Tags Filter not Working As Intended for Include Only

= 13.4.1.1 (2025-01-24) =
* Bug Fix: Hidden products is not excluded from the feed
* Bug Fix: Include Only filter type doesn't work when using Category on IF

= 13.4.1 (2025-01-16) =
* Bug Fix: Case insensitive option is not working for filter
* Bug Fix: Comma separator in pricing is breaking multiply/divide/plus/minus rules
* Bug Fix: Creating a feed adds an irrelevant action-scheduler event
* Bug Fix: Feed Pricing Separator Following WooCommerce Settings
* Bug Fix: Feed processing doesn't progress until someone visits the Manage Feeds page
* Bug Fix: Google Local Products Inventory Empty When Using CSV, TXT or TSV
* Bug Fix: Incorrect create feed URL on the fresh Manage Feeds screen
* Bug Fix: Remove single quote from pricing as a thousand separator
* Bug Fix: Tax does not apply to the shipping cost
* Bug Fix: Update the Sale price effective date format
* Bug Fix: Values Not Being Sanitized In Feed
* Feature: Recommend FunnelKit Stripe via temporary admin bar menu

= 13.4.0 (2024-12-06) =
* Bug Fix: Advanced Flat Rate Shipping formulas do not work properly
* Bug Fix: Availability date + 6/7/8 weeks attribute values are missing
* Bug Fix: Country Specific Tax Rates Not Applying When Store Country Have Specific Tax Rates
* Bug Fix: Feed is empty when Wholesale Prices plugin is activated
* Bug Fix: Find and Replace rule method does not work properly
* Bug Fix: Follows manual batch number even after disabled
* Bug Fix: Free Shipping not added to Field when it has Requirements
* Bug Fix: Local Pickup shipping method does not show in the feed
* Bug Fix: No Refresh Interval is defaulting to Once Per Day
* Bug Fix: Redirect to new URL when visiting old manage feeds URL
* Bug Fix: Setting Page Save Buttons Not Saving When First Opened
* Bug Fix: Shipping attribute value is empty or is null/invalid for variations of products
* Bug Fix: Shipping without class has no shipping values
* Bug Fix: Sometimes Google Shopping Category shows only numbers on the Category mapping step
* Bug Fix: The "Remove all other shipping classes when free shipping criteria are met" setting is not working
* Bug Fix: The feed still has scheduled action after updating feed to No Refresh interval
* Bug Fix: Unable to change PRO settings on subsites on multisite environment
* Bug Fix: Wrong product feed shipping values when "Country" setting is not set
* Improvement: Add filter to allow manipulating get taxonomy query for product feed filters
* Improvement: Make all plugins on about page a 1-click install
* Improvement: Open the Manage feeds page when clicking the Product Feed Pro menu
* Improvement: Remove "WARNING: Your WP-Cron is disabled" notice
* Improvement: Remove Google Product Taxonomy list in `woosea_autocomplete.js` and host the file in the site server

= 13.3.9.1 (2024-11-19) =
* Bug Fix: Allow usage tracking notice buttons are not working in other pages

= 13.3.9 (2024-11-11) =
* Bug Fix: A few variations/products are missing in all feed formats except for XML
* Bug Fix: Availability Date format is not ISO 8601 compliant
* Bug Fix: Condition attribute creates a fatal error while generating a feed
* Bug Fix: Draft variable product's variation is shown in the feed
* Bug Fix: Feed migration does not take account of subsites
* Bug Fix: Google Product Review: Reviewer name is empty when the user doesn't have first name and last name
* Bug Fix: Include Availability attribute as required for the Local Products Inventory feed and adjust its status format
* Bug Fix: Shortcodes are not stripped out for parent product short & long description
* Bug Fix: Skroutz product title sanitization is using encoded value
* Bug Fix: Special characters are encoded in the Meta/Facebook feed
* Bug Fix: Stock Quantity: If the stock quantity only set on parent level, copy it to the variation level as well
* Bug Fix: Undefined array key “sale_price” warning in logs
* Bug Fix: White space is missing before/after the currency for the price attribute
* Improvement: Add button to dismiss ACFW upsel in the marketing page
* Improvement: Refactor WP Cron jobs to Action Scheduler

= 13.3.8.1 (2024-10-10) =
* Bug Fix: Rounded price attributes is causing fatal error

= 13.3.8 (2024-10-01) =
* Bug Fix: Critical Error when generating feed
* Bug Fix: Duplicated empty feed with no data
* Bug Fix: Parent description and short description don't work
* Bug Fix: Price Rounding attribute not working as intended.
* Improvement: Add filter to alter product id on preocessing product data
* Improvement: Option to  modify cart_link and add_to_cart_link attribute/URL

= 13.3.7 (2024-09-18) =
* Bug Fix: Bestprice feed does not work
* Bug Fix: Description splits into multiple columns in the CSV feed
* Bug Fix: New line break is not stripped in CSV & TSV feed file
* Bug Fix: PHP Warning: Undefined variable `$shipping_cost` in `class-get-products.php` on line 1142
* Bug Fix: Undefined array key "reviewer_name"
* Bug Fix: Division by zero fatal error happens when calculating process percentage and there's 0 products in the site
* Improvement: Add filter to allow modification of the feed actions in manage feed table
* Improvement: Add hook to allow Elite to migrate extra data & refactoring
* Improvement: Add necessary hooks & refactor code base
* Improvement: Product_Feed factory: ability to add extra data for new feed
* Improvement: Remove old `class-activate.php` move the script to new `Activation.php` file
* Improvement: Sort the feeds alphabetically in the manage feed table page
* Improvement: refactor and improve the `WooSEA_Attributes` class

= 13.3.6 (2024-08-29) =
* Bug Fix: Google Analytics UTM is missing in the product link
* Bug Fix: After creating new product feed the percentage status not being updated until refresh the page
* Bug Fix: Product Feed Generation processing percentage is not working properly
* Improvement: Handle Character/text encoding properly

= 13.3.5.3 (2024-08-24) =
* Bug Fix: Product feed processing stuck when the feed being processed with batching
* Bug Fix: Multiple AJAX requests runs when refreshing a feed

= 13.3.5.2 (2024-08-23) =
* Bug Fix: Fatal error on system log page
* Bug Fix: Rules and filter's condition not saving properly
* Bug Fix: Error: Failed opening channel class files
* Improvement: Integration: Auto exclude product feed posts and feed urls from WP Rocket

= 13.3.5.1 (2024-08-22) =
* Bug Fix: Product Feed data is not migrated to custom post type on update

= 13.3.5 (2024-08-21) =
* Bug Fix: Identifier requires to update for Google Local Products Inventory feed
* Bug Fix: Field mapping prefix and suffix adding space after prefix and before suffix
* Bug Fix: The 'g:' prefix for google feeds channel is not stripped for TSV format
* Bug Fix: The product category fields is generated with empty value in the first index
* Improvement: Update menu item to new branding colors
* Improvement: Refactor product feeds to use custom post type
* Improvement: Declare WooCommerce HPOS compatibility

= 13.3.4 (2024-07-03) =
* Improvement: UI/UX: Use Select2 js on large select option input
* Improvement: UI/UX: Add tooltip on Feed filters and rules columns
* Improvement: Add lite bar on admin pages
* Improvement: Add Help and About pages
* Improvement: Add translation POT file
* Improvement: Limit the amount of history products in system report
* Improvement: Update options to not to be autoloaded

= 13.3.3 (2024-06-10) =
* Bug Fix: PHP Warning on creating product feed without active license
* Bug Fix: Fatal error on when WooCommerce is not activated
* Bug Fix: Description value is not added when the product has no description
* Bug Fix: Fatal error when creating new feed and no products exist
* Bug Fix: Fatal error when creating a new feed with no field mapping
* Bug Fix: Selecting Google Shopping feed shows unneeded delimiter option
* Bug Fix: Unable to dismiss the upgrade notification in the Manage Feeds page
* Bug Fix: woosea_channel processes country data without nonce verification
* Improvement: Remove old license code and create new license page
* Improvement: Tidy up plugin styles and visual elements
* Improvement: Add AdTribes logo and branding to all admin pages
* Improvement: Change all utm_source on tracking links to "pfp"
* Improvement: Add plugin bootstrap class
* Improvement: Remove unused filters and actions and related functions

= 13.3.2 (2024-04-23) =
* Enhancement: Move debug data to Plugin Systems Check tab in Settings area with a copy button
* Security: Erase any existing support debug.log files

= 13.3.1 (2024-03-20) =
* Checked for compatibility with WooCommerce 8.7

= 13.3.0 (2024-03-15) =
* Added support for adding the primary category path set in the Rankmath SEO plugin
* Fixed an issue where more than 2 ACF image fields could not be added

= 13.2.9 (2024-03-13) =
* Solved a PHP notice on the Facebook pixel variable

= 13.2.8 (2024-03-12) =
* Fixed an error on the get_woocommerce_currency function

= 13.2.7 (2024-03-05) =
* Added ACF support for WooCommerce grouped products

= 13.2.6 (2024-02-26) =
* Removing woosea-gs-analytics.php as it was no longer being used and contained cross site scripting vulnerabilities

= 13.2.5 (2024-02-22) =
* Checked for compatibility with WooCommerce 8.6

= 13.2.4 (2024-01-31) =
* Solved an issue with retrieving product visibility values

= 13.2.3 (2024-01-28) =
* Fixed an is countable issue, causing feeds not to update

= 13.2.2 (2024-01-22) =
* Checked for compatibility with WooCommerce 8.5

= 13.2.1 (2024-01-14) =
* Fixed an issue where filters on categories with a slash in it did not work properly

= 13.2.0 (2024-01-12) =
* Cleaned-up code

= 13.1.9 (2024-01-08) =
* Added a bool check on product ID

= 13.1.8 (2023-12-15) =
* Solved a critial PHP array walk error when no custom attributes are present

= 13.1.7 (2023-12-13) =
* Tested for compatibility with WooCommerce 8.4
* Solved a CSV issue where column names and values were no longer aligned

= 13.1.6 (2023-12-09) =
* Fixed a tax rate calculation issue

= 13.1.5 (2023-12-06) =
* Solved some PHP warnings with regards to VAT calculations
* Removed the whitespace between the suffix/prefix fields and the g:itemid field

= 13.1.4 (2023-12-03) =
* Fixed an issue where the plugin showed an error when there are no WooCommerce products created at all

= 13.1.3 (2023-11-27) =
* Fixed a bug where empty sale prices where added to feeds

= 13.1.2 (2023-11-21) =
* Fixed an issue for Skroutz feed where the quantity value wasn't making it to feeds

= 13.1.1 (2023-11-19) =
* Checked for compatibility with WooCommerce 8.3
* Solved an issue where values that started with a whitespace did not make it to feeds (such as the category path short attribute)
* Solved an issue where TAX/VAT issues where not calculated properly

= 13.1.0 (2023-11-15) =
* Added support for the Fish and Ships shipping plugin by WP Centrics

= 13.0.9 (2023-11-12) =
* Fixed an issue where a multiply rule on shipping costs resulted in a fatal error

= 13.0.8 (2023-11-09) =
* Fixed an issue where the processing got stuck when manual WCML prices were entered by users

= 13.0.7 (2023-11-03) =
* Added three new price attributes: price excluding VAT/TAX rounded, regular price excluding VAT/TAX rounded and sale price excluding VAT/TAX rounded

= 13.0.6 (2023-10-18) =
* Fixed an issue where the plugin did unnecessary jQuery requests on the manage feed page

= 13.0.5 (2023-10-14) =
* Fixed an issue where integer 0 values were considered to be empty and not added to feeds

= 13.0.4 (2023-10-11) =
* Fixed an issue where filters on empty values no longer worked

= 13.0.3 (2023-10-11) =
* Checked for compatibility with WooCommerce 8.2

= 13.0.2 (2023-10-09) =
* Made sure that adding a ?currency parameter in the suffix field would not result in two questions marks in the URL

= 13.0.1 (2023-10-05) =
* Added support for multiple picture fields for Yandex feeds

= 13.0.0 (2023-10-04) =
* Added a feature to filter out reviews from a review feed below a certain rating
* Solved soms PHP warnings that showed when on PHP 8.1 and creating a Google Review Feed

= 12.9.9 (2023-10-03) =
* Fixed an issue where for variable products no slashes were added between color values for Google Shopping feeds

= 12.9.8 (2023-10-03) =
* The checkout link template field is being added to the Google Shopping template as a mandatory field mapping
* Fixed a PHP notice on the manage feeds page for PHP 8.1

= 12.9.7 (2023-10-02) =
* Fixed an issue with the saving of the Google Conversion ID

= 12.9.6 (2023-10-01) =
* Fixed an issue where the Yoast SEO identifiers where not added to feeds for product variations
* Fixed a PHP notice on the manage feeds page for PHP 8.1
* Added an is_array check

= 12.9.5 (2023-09-14) =
* Tested for compatibility with WooCommerce 8.1

= 12.9.4 (2023-09-14) =
* Added the checkout_link_template field to the Google Shopping template

= 12.9.3 (2023-09-11) =
* Fixed some PHP notices

= 12.9.2 (2023-09-10) =
* Reversed part of the ACF fix as it caused issues for other users

= 12.9.1 (2023-09-06) =
* Fixed an issue where ACF images for simple products where not returning a proper image URL in feeds

= 12.9.0 (2023-09-05) =
* Added 5 new fields to the Google Shopping template: Pause, External Seller ID, Lifestyle image link, Certification and 3D model link

= 12.8.9 (2023-08-31) =
* Clean-up code
* Added support for more caching plugins so feed content doesn't get cached

= 12.8.8 (2023-08-30) =
* Fixing some issues in the feed preview feature

= 12.8.7 (2023-08-30) =
* Added the product feed preview feature

= 12.8.6 (2023-08-30) =
* Stripping whitespaces in additional image links

= 12.8.5 (2023-08-29) =
* When a product sits in multiple categories the category with the highest category ID is being used for the category path attributes

= 12.8.4 (2023-08-24) =
* Fixed an autoload issue that caused problems with Redis Object Caching (thanks Mrsmurf)

= 12.8.3 (2023-08-21) =
* Fixed a bug causing issues with the feed processing status (thanks Aaron!)

= 12.8.2 (2023-08-17) =
* Fixed the product creation data calculation

= 12.8.1 (2023-08-10) =
* Tested for compatibility with Wordpress 6.3

= 12.8.0 (2023-08-09) =
* Tested for compatibility with WooCommerce 8.0

= 12.7.9 (2023-08-01) =
* Tested for compatibility with WooCommerce 7.9

= 12.7.8 (2023-06-29) =
* Completed pre-mapping for all Pricerunner templates
* Removed some obsolete error logging

= 12.7.7 (2023-06-28) =
* Added support for multiple Pricerunner country templates

= 12.7.6 (2023-06-26) =
* Added a new field to the Google Shopping template: g:auto_pricing_min_price

= 12.7.5 (2023-06-22) =
* Removed stand-alone attribute from Fruugo feeds

= 12.7.4 (2023-06-20) =
* WooCommerce changed sale date outputs from ints to strings, adapt code to it

= 12.7.3 (2023-06-20) =
* Fixed a Fruugo XML header issue
* Fixed a Flycart issue for prices that had a point as decimal and a point as thousand seperator

= 12.7.2 (2023-06-16) =
* Fixed an issue with the sale price effective date which was empty. WooCommerce is returning them as strings in the new WC instead of integers

= 12.7.1 (2023-06-15) =
* A small group of users reported unexpected drops in products in feeds introduced in version 12.6.8. This should be fixed now.

= 12.7.0 (2023-06-14) =
* Checked for compatibility with WooCommerce 7.8
* Solved a price rounding issue for the Flycart discount plugin

= 12.6.9 (2023-06-13) =
* Added extensive support for up to 10 product details for Google Shopping feeds

= 12.6.8 (2023-06-12) =
* Performance tweaks
* Add consumer notice option for Google Shopping feeds
* Fixed Fruugo XML templates so it meets Fruugo's changed feed requirements
* Removed Fruugo CSV option
* Fixed an issue for Google Shopping feeds, no empty product details are allowed in feeds

= 12.6.7 (2023-05-26) =
* Sales date's that were not a timestamp caused the plugin to get stuck on processing. This has been fixex now.

= 12.6.6 (2023-05-25) =
* Product feeds are no longer being cached when user uses popular caching plugin

= 12.6.5 (2023-05-25) =
* Availability dates are only added to products that are on backorder
* Fixed the default field mapping for Google's g:product_type field

= 12.6.4 (2023-05-17) =
* Solved missing class issue

= 12.6.3 (2023-05-17) =
* Solved an issue where parent variable products showed in Google Shopping / Meta feeds again
* Fixed an issue for Fruugo CSV feeds

= 12.6.2 (2023-05-11) =
* Removing BOM characters for Fruugo CSV feeds

= 12.6.1 (2023-05-10) =
* Fixed issues with Fruugo VAT fields and availability values

= 12.6.0 (2023-05-10) =
* Fixed an issue for Bestprice feeds where feeds were accidentally empty

= 12.5.9 (2023-05-10) =
* Checked for compatibility with WooCommerce 7.7

= 12.5.8 (2023-05-09) =
* Fixed an issue with shipping costs calculations when multiple countries were configured
* Fixed an issue for Skroutz feeds where quantities where summed for non-apparel products

= 12.5.7 (2023-05-04) =
* Annoying review request notification kept showing up

= 12.5.6 (2023-05-02) =
* Fixed an issue with ACF fields for product variations

= 12.5.5 (2023-04-28) =
* Fixed an issue with the shipping table rate support, for some settings it was returning a false 0 shipping costs.

= 12.5.4 (2023-04-25) =
* Changed the Twitter template so it meets up to Twitters new availability value requirements

= 12.5.3 (2023-04-21) =
* Next to the unfiltered product description attribute the normal description and short description are now truncated to 5000 characters for Google Shopping feeds

= 12.5.2 (2023-04-21) =
* Added the possibility to create filters on reviews content

= 12.5.1 (2023-04-20) =
* Solved a critical error for users that did not configure any feed yet

= 12.5.0 (2023-04-18) =
* Fixed an issue where not all products with wholesale prices are making it to feeds

= 12.4.9 (2023-04-14) =
* Checked for compatibility with WooCommerce 7.6

= 12.4.8 (2023-04-11) =
* Some AJAX accessible functions lacked security checks, those have been added now

= 12.4.7 (2023-04-07) =
* Tested for compatibility with Wordpress 6.2

= 12.4.6 (2023-04-06) =
* Changed the Shopflix main_photo_url field name to image

= 12.4.5 (2023-04-05) =
* Fixed a Cross Site Request Forgery vulnerability, not all nonce's where properly checked

= 12.4.4 (2023-04-05) =
* Added more optional fields for Shopflix.gr

= 12.4.3 (2023-04-04) =
* Added a template for the Greek Shopflix.gr marketplace

= 12.4.2 (2023-03-24) =
* Fixed an issue with the size attribute for Skroutz apparel products

= 12.4.1 (2023-03-24) =
* Fixed a Cross Site Request Forgery vulnerability, not all nonce's where properly checked

= 12.4.0 (2023-03-23) =
* Made the availability date attribute available for all availability values and not just for products that are on backorder
* Added the feed label and product country attributes for Google Shopping feeds

= 12.3.9 (2023-03-21) =
* Solved a fatal error issue that happened with Yandex feeds when attribute values were empty

= 12.3.8 (2023-03-17) =
* Fixed an issue for the WooCommerce Table Rate Shipping plugin where table rates for some countries were not calculated correct

= 12.3.7 (2023-03-17) =
* Checked for compatibility with WooCommerce 7.5
* Changed and &amp; to & in the Google Analytics utm parameters for WPML feeds
* Fixed an ACF issue where not all product images were added to feeds correctly

= 12.3.6 (2023-03-10) =
* Fixed an issue with the shipping costs calculation for the WooCommerce Table Rate Shipping plugin, VAT was added to it twice

= 12.3.5 (2023-03-06) =
* Added two decimal rounding of shipping formula costs

= 12.3.4 (2023-03-05) =
* Fixed an issue with ACF image fields for product variations

= 12.3.3 (2023-03-02) =
* Fixed an apparel product grouping issue for Skroutz feeds

= 12.3.2 (2023-03-01) =
* Fixed an issue where availability filters and rules for Skroutz feeds were not working
* Added komma's between size values for Skroutz feeds

= 12.3.1 (2023-02-28) =
* Fixed an issue where non registered users ended up as Anonymous in review fieds
* Changed Google Local Product Inventory Feed ID column to ItemID column

= 12.3.0 (2023-02-24) =
* Fixed an issue where filters on Google category ID's did not work

= 12.2.9 (2023-02-21) =
* Fixed a PHP warning for an empty tax rate variable
* Fixed a Skroutz feed issue where additional images were not added when multiple product colors where set

= 12.2.8 (2023-02-20) =
* Fixed an issue where multiple tax rates were active for countries and products

= 12.2.7 (2023-02-19) =
* Removed "Pa" and "Custom attributes" from product detail attribite names

= 12.2.6 (2023-02-16) =
* Checked for compatibility with WooCommerce 7.4
* Added a Feed publication date and time attribute

= 12.2.5 (2023-02-14) =
* Respecting wholesale visibility filter. When it contains "all", allow products to be in feeds

= 12.2.4 (2023-02-12) =
* Remove shipping methods from feeds when they are for wholesale users only (WooCommerce Wholesale Prices - by Rymera Web Co)

= 12.2.3 (2023-02-09) =
* Products with wholesale prices are automatically being removed from product feeds (WooCommerce Wholesale Prices - by Rymera Web Co)

= 12.2.2 (2023-02-06) =
* Added support for Twitter product feeds

= 12.2.1 (2023-02-03) =
* Added support for the VARIABLE_PARAMS XML field for Mall.sk feeds

= 12.2.0 (2023-02-02) =
* Removing shipping details from Google and Facebook feeds when no country has been set for them
* Added availability dates +5 / +6 / +7 and +8 weeks from current date

= 12.1.9 (2023-01-27) =
* Fixed a PHP warning on the settings page when a plugin is first activated

= 12.1.8 (2023-01-15) =
* Fixed a PHP warning with regards to the non locally saved images

= 12.1.7 (2023-01-13) =
* Added support for non locally saved images
* Checked for compatibility with WooCommerce 7.3

= 12.1.6 (2023-01-13) =
* Made compatible with WooCommerce HPOS / High-Performance Order Storage
* Fixed CSS issue on category mapping page

= 12.1.5 (2023-01-11) =
* Fixed an issue with the Google DRM pixel feature returning a fatal error for some users

= 12.1.4 (2023-01-06) =
* Fixed an issue with a find and replace rule for Skroutz feeds

= 12.1.3 (2022-12-29) =
* Fixed an issue for PARAM fields for Glami.gr feeds

= 12.1.2 (2022-12-23) =
* Updated promo-boxes

= 12.1.1 (2022-12-20) =
* Fixed an issue with contain rules for numeric values

= 12.1.0 (2022-12-19) =
* Added Meta to channel and feed names

= 12.0.9 (2022-12-14) =
* Checked for compatibility with WooCommerce 7.2

= 12.0.8 (2022-12-13) =
* Fixed an issue with Skroutz feeds getting stuck

= 12.0.7 (2022-12-11) =
* Fixed a shipping costs issue for Idealo feeds where the first product had no shipping costs in the feed

= 12.0.6 (2022-12-11) =
* Added some nonce checks to plugin setting changes

= 12.0.5 (2022-12-07) =
* Fixed a tax calculation issue for Portugal and Slovakia

= 12.0.4 (2022-12-02) =
* Solved an undefined variable PHP warning for the sz_attribute variable

= 12.0.3 (2022-11-23) =
* Solved a PHP Fatal error when trying to retrieve the woosea_condition string

= 12.0.2 (2022-11-21) =
* Added the sale_price_effective_date field to the Google DRM feed template

= 12.0.1 (2022-11-20) =
* Fixed an issue with the sale_price_effective_date which was empty

= 12.0.0 (2022-11-15) =
* Added a created timestamp to Skroutz XML feeds
* Fixed an issue that resulted in a fatal error, added is array check
* Fixed an issue that resulted in PHP warnings when browsers do not set a HTTP USER AGENT

= 11.9.9 (2022-11-09) =
* Checked for compatibility with WooCommerce 7.1
* jQuery CSS no longer enqueued on the WP-admin dashboard

= 11.9.8 (2022-11-04) =
* Added support for PHP 8.1
* Checked for compatibility with Wordpress 6.1

= 11.9.7 (2022-11-02) =
* Changed function string to is_string

= 11.9.6 (2022-10-28) =
* Solved an issue where a string was used in a multiply formula and caused a fatal error

= 11.9.5 (2022-10-20) =
* Solved a PHP warning for yoast attributes

= 11.9.4 (2022-10-19) =
* Solved a PHP warning for an undefined variable

= 11.9.3 (2022-10-15) =
* Solved a fatal array merge error

= 11.9.2 (2022-10-14) =
* Removed some autoloading on wp_options
* Checked for compatibility with WooCommerce 7.0

= 11.9.1 (2022-10-14) =
* Fixed an issue with shipping costs formula calculations

= 11.9.0 (2022-10-10) =
* Fixed an issue with review names not getting retrieved and showing warnings in the logs
* Fixed an issue where a data variable was not an integer and showed warnings in the logs

= 11.8.9 (2022-10-07) =
* Firstname and first character of an users lastname are now being used in Google review feeds

= 11.8.8 (2022-10-01) =
* Added a htmlspecialchars call on review names

= 11.8.7 (2022-09-07) =
* Added the rich product content field to the Google Shopping template

= 11.8.6 (2022-09-06) =
* Added the release date field to the Google Shopping template

= 11.8.5 (2022-09-02) =
* Changed the update_option for cron_projects to non autoload

= 11.8.4 (2022-08-17) =
* Added an option to enable/disable returning of only basic attributes in the field mapping and rules and filters drop-downs

= 11.8.3 (2022-08-15) =
* Fixed an issue where not all (externally created) attributes or metafields where showing in the field mapping drop-downs

= 11.8.2 (2022-08-13) =
* When the availability date field mapping has been added it will only be added to products that are on backorder. Not to any other products.

= 11.8.1 (2022-08-11) =
* Added 5 attributes to create availability dates in the future for products that are on backorder

= 11.8.0 (2022-08-10) =
* Checked for compatibility with WooCommerce 6.8.0

= 11.7.9 (2022-08-08) =
* Fixed an issue where shipping class costs where not calculated properly

= 11.7.8 (2022-08-05) =
* Added additional field for the Pinterest template

= 11.7.7 (2022-08-01) =
* Removed currency from Zbozi shipping costs

= 11.7.6 (2022-07-31) =
* Added the link_template field for Google Shopping feeds

= 11.7.5 (2022-07-23) =
* Fixed an issue with VAT that was not being added for bundled products

= 11.7.4 (2022-07-22) =
* Checked for compatibility with WooCommerce 6.7.0

= 11.7.3 (2022-07-15) =
* Solved an issue with Uncaught TypeError: array_intersect()

= 11.7.2 (2022-07-14) =
* Replaced substr with mb_substr for the product descriptions

= 11.7.1 (2022-07-05) =
* Solved an Call to a member function addChild() on null for Skroutz feeds

= 11.7.0 (2022-07-04) =
* Removed the htaccess file for the TXT feed directory

= 11.6.9 (2022-06-30) =
* Added the product title slug attribute

= 11.6.8 (2022-06-30) =
* Fixed an issues with the XML version of the Google Local Product Inventory feed where the g: was missing for the field names

= 11.6.7 (2022-06-21) =
* Fixed an issue when a non-string was added as a key to the product data array

= 11.6.6 (2022-06-20) =
* Removed some debugging code

= 11.6.5 (2022-06-20) =
* Added XML support for Google's Local Product Inventory feeds

= 11.6.4 (2022-06-16) =
* Checked for compatibility with WooCommerce 6.6.0

= 11.6.3 (2022-06-07) =
* Fixed the inventory count field for Vivino feeds

= 11.6.2 (2022-06-06) =
* Solved a Undefined array key HTTP_HOST PHP warning

= 11.6.1 (2022-06-01) =
* Added some more sanitisation and escaping

= 11.6.0 (2022-05-31) =
* Added support for the new Skroutz additional_image requirements

= 11.5.9 (2022-05-31) =
* Fixed an issue where the thousand separator for discounted prices by Flycart was causing malformed prices

= 11.5.8 (2022-05-31) =
* Fixed issues with regards to missing sanitazion and validation

= 11.5.7 (2022-05-29) =
* Solved an issue with an undefined variable

= 11.5.6 (2022-05-10) =
* Fixed an issue with the Skroutz template, adding comma's inbetween size values 

= 11.5.5 (2022-05-05) =
* Fixed a PHP notice introduced in the previous release

= 11.5.4 (2022-04-29) =
* Added the alt text attribute for Pinterest feeds
* Added price attributes with thousand and decimal separators in it (mainly for TikTok)

= 11.5.3 (2022-04-22) =
* Removed all Facebook references in the plugin title and description

= 11.5.2 (2022-04-15) =
* Tested for compatibility with WooCommerce 6.4

= 11.5.1 (2022-04-07) =
* Fixed a multiply issue for price, regular price and sale price attributes that used a komma as decimal separator

= 11.5.0 (2022-04-04) =
* Added the Glami templates for Slovakia and the Czech Republic

= 11.4.9 (2022-03-30) =
* Changed the wpdb::prepare query string  

= 11.4.8 (2022-03-29) =
* Implemented a rounding feature for WooCommerce bundled products

= 11.4.7 (2022-03-28) =
* Added two new fields to the Google Shopping template: Short title and Excluded countries for Shopping ads

= 11.4.6 (2022-03-23) =
* The WooCommerce Composite plugin returned sale prices of 0.00. When this happens our plugin removes that sale price from the feeds

= 11.4.5 (2022-03-22) =
* Reverting the rounding on two decimals for bundled products as WooCommerce is not always returning int|float values

= 11.4.4 (2022-03-21) =
* Added links to TranslatePress tutorial
* Fixed an issue with the WooCommerce bundled product plugin that returned prices with more than 2 decimals

= 11.4.3 (2022-03-17) =
* Fixed an issue for bundled products where VAT was added twice

= 11.4.2 (2022-03-16) =
* Simplified the SQL query that retrieved custom attribute names so it uses less memory

= 11.4.1 (2022-03-15) =
* Added 4 new Google Shopping fields in the template: product height, product length, product width and product weight

= 11.4.0 (2022-03-14) =
* Added encoding for percentage characters
* Fixed a rounding error which one does on strings instead of int|floats

= 11.3.9 (2022-03-10) =
* Checked for compatibility with WooCommerce 6.3
* Fixed a rounding error which one does on strings instead of int|floats

= 11.3.8 (2022-03-07) =
* Added the new custom number fields to the Facebook / Instragram template

= 11.3.7 (2022-03-06) =
* Solved an issue with an undefined variable in the Google pixel feature

= 11.3.6 (2022-02-24) =
* Fixed a floatval issue that occured when calculating prices for bundled products

= 11.3.5 (2022-02-23) =
* Fixed an issue with the deduplication counters

= 11.3.4 (2022-02-22) =
* Fixed an error, the _my_conversions table is being queried but did not always exist
* Added an option to forcefully clean the dulication options

= 11.3.3 (2022-02-21) =
* Fixed a VAT issue for the Pinterest / Vivino / TikTok price attributes

= 11.3.2 (2022-02-21) =
* Fixed an issue that resulted in empty feeds when multiple feeds were configured and all at once were processing

= 11.3.1 (2022-02-20) =
* Added three Pinterest / Vivino / TikTok price attributes excluding VAT

= 11.3.0 (2022-02-17) =
* Considerable performance increase of the plugin. For WooCommerce shops with less than 750 processing speed doubled
* Build-in a check that prevents duplicate products from being added to feeds

= 11.2.9 (2022-02-14) =
* Solved a Call to a member function addChild() on null issue

= 11.2.8 (2022-02-12) =
* Solved an array_key_exists error

= 11.2.7 (2022-02-10) =
* Fixed some minor CSS issues for the category mapping autosuggest
* Changed plugin title in readme.txt file

= 11.2.6 (2022-02-09) =
* Tested for WooCommerce 6.2

= 11.2.5 (2022-02-07) =
* Solved an UTF8-encoding issue that broke XML feeds

= 11.2.4 (2022-02-02) =
* Added rawurldecode for some fields

= 11.2.3 (2022-02-01) =
* Fixed a XSS vulnerability issue

= 11.2.2 (2022-01-31) =
* Fixed a XSS vulnerability issue

= 11.2.1 (2022-01-30) =
* Fixed an issue for individually priced bundled products that had a discount configured, it was not adding the VAT to those prices.

= 11.2.0 (2022-01-26) =
* Fixed an issue where the plugin crached on Skroutz feeds when simple products were changed into variable products or the other way around

= 11.1.9 (2022-01-26) =
* Confirmed compatibility with Wordpress 5.9

= 11.1.8 (2022-01-21) =
* Added support for up to 5 additional images for Mall.sk feeds

= 11.1.7 (2022-01-20) =
* Bolder element changed the table rate shipping name method. This causes the integration to no longer work. This issue has been fixed now.

= 11.1.6 (2022-01-20) =
* Solved this error for Skroutz feed: Call to undefined method WC_Product_Simple::get_available_variations()

= 11.1.5 (2022-01-20) =
* Added support for the Mall.sk media (image) URL field

= 11.1.4 (2022-01-14) =
* Tested for compatibility with WC 6.1
* Changed Skroutz template so it meets the new Skroutz color requirements

= 11.1.3 (2022-01-09) =
* Removed htaccess feature as it seems to be conflicting for some users

= 11.1.2 (2022-01-07) =
* Added support for the Mall.sk availability feed
* Added user cap filter 

= 11.1.1 (2022-01-03) =
* Added quantity support for Skroutz feeds

= 11.1.0 (2022-01-03) =
* Update of post meta extra fields only when they are set and filled

= 11.0.9 (2022-01-02) =
* Added user security checks

= 11.0.8 (2021-12-30) =
* Added template for Slovakian Mall.sk marketplace

= 11.0.7 (2021-12-23) =
* Added missing capability checks on plugin settings that could influence product feeds. Only administrators are allowed to make these changes.

= 11.0.6 (2021-12-22) =
* Added htaccess files to the feed directories so they no longer will be cached (thanks @Anders!)
* Added downloadable and virtual attribute data so those can be added to feeds and filtered on
* Fixed an issue where disabled product variations still made it into the size attribute
* Fixed an array merge warning that showed when a new feed was being created and no previous feed was present

= 11.0.5 (2021-12-20) =
* Fixed an issue where shipping formula's were not translated to shipping costs properly

= 11.0.4 (2021-12-18) =
* Solved a rounding issue for discount calculations on products that use a point as seperator

= 11.0.3 (2021-12-16) =
* Checked for compatibility with WooCommerce 6.0
* Solved a PHP warning that was showing in the logs when creating a Skroutz feed

= 11.0.2 (2021-12-15) =
* Solved a PHP warning that was showing in the logs when creating a Skroutz feed
* Solved a mysqli::real_connect() error

= 11.0.1 (2021-12-14) =
* Reverted previous release as it lead to invalid header errors on new plugin installs

= 11.0.0 (2021-12-11) =
* Removed unused variables from some functions and did an extra array check

= 10.9.9 (2021-12-10) =
* Solved a PHP notice

= 10.9.8 (2021-12-09) =
* Replaced usage of site_url with home_url for feed headings

= 10.9.7 (2021-12-05) =
* Added template for Miinto Germany

= 10.9.6 (2021-12-04) =
* Fixed some PHP notices that showed when the Google Dynamic Remarketing feature was enabled but parent variable products returned no price

= 10.9.5 (2021-12-03) =
* Solved an issue where product variations could not be updated

= 10.9.4 (2021-12-02) =
* Removed the graphs from the manage feeds page, will soon be replaced by new ones
* Replaced a filter_var_array function with a proper Wordpress sanitize function

= 10.9.3 (2021-12-01) =
* Added the System regular price ex. VAT and System sale price ex. VAT attributes

= 10.9.2 (2021-12-01) =
* Updated the out of date Chart.js libraries
* Removed eval for shipping cost formula's
* Replaced usage of CURL with Wordpress HTTP API
* Solved some translation permalink issues
* Added missing sanitizing to POST and GET requests
* Added escaping to some variables that are being echo'd

= 10.9.1 (2021-11-29) =
* Added extra authorisation and checks to prevent cross-site scripting abuse
* Added Guadeloupe (GP), Martinique (MQ), French Guiana (GF) and Reunion (RE) to the list of supported countries
* Removed CDATA feature as it was not properly functioning

= 10.9.0 (2021-11-25) =
* Added template for TikTok

= 10.8.9 (2021-11-22) =
* Added template for German ElCheapo.de

= 10.8.8 (2021-11-18) =
* Fixed an issue with the Discount Rules for WooCommerce plugin from FlyCart that returned no decimals in round discount prices. The .00 are now also added.

= 10.8.7 (2021-11-15) =
* Added extra image attribute 4 to 9 for Beslist.nl feeds

= 10.8.6 (2021-11-12) =
* Tested for compatibility with WooCommerce 5.9

= 10.8.5 (2021-11-07) =
* Fixed the JSON-lD for the brand details

= 10.8.4 (2021-11-02) =
* Fixed an issue with Skroutz feeds where product sizes that are out of stock are now removed from the size field

= 10.8.3 (2021-11-01) =
* Solved a PHP notice upon activation of plugin

= 10.8.2 (2021-10-30) =
* Solved a PHP notice upon activation of plugin

= 10.8.1 (2021-10-26) =
* Added the "is not empty" operator for filters and rules

= 10.8.0 (2021-10-25) =
* When the product variable is not an object the retrieval of the stock status broke processing of the feed. Build in a check to prevent this from happening.

= 10.7.9 (2021-10-24) =
* Tested for compatibility with WooCommerce 5.8

= 10.7.8 (2021-10-18) =
* Reviews that have no rating or have deeplinks in the review text are now being removed fromn review feeds automatically as they are not allowed by Google

= 10.7.7 (2021-10-17) =
* Added the Region Id attribute for Google Shopping feeds

= 10.7.5 (2021-10-14) =
* Added the Miinto.fr template

= 10.7.4 (2021-10-13) =
* Fixed a division by zero error

= 10.7.3 (2021-10-12) =
* Fixed filters on purchase note array's

= 10.7.2 (2021-10-12) =
* Added support for the WPC Product Bundles for WooCommerce plugin

= 10.7.1 (2021-10-11) =
* Added purchase note attribute

= 10.7.0 (2021-10-05) =
* Made changes to the code to calculate the number of product variations that are on stock as it did not work for some users

= 10.6.9 (2021-10-01) =
* Solved some PHP 8 compatibility issues that caused feeds to get stuck processing

= 10.6.8 (2021-09-30) =
* Solved a Call to undefined method WC_Product_Simple::get_available_variations error

= 10.6.7 (2021-09-29) =
* Made a change to the code so it uses less memory when processing a feed

= 10.6.6 (2021-09-28) =
* Solved an issue where the plugin got stuck when variable products get deleted in WooCommerce during processing of the feed

= 10.6.5 (2021-09-22) =
* Build in an extra check to see if the cron events are active to update feeds. When not this cron event is being created.

= 10.6.4 (2021-09-14) =
* Added capacity attribute to the Google Shopping template

= 10.6.3 (2021-09-13) =
* Added display ads attributes to the Google Shopping template

= 10.6.2 (2021-09-13) =
* Fixed an issue where simple products with variations (which in theory is not possible) caused the feed processing to get stuck

= 10.6.1 (2021-09-09) =
* Solved an undefined array issue when creating a new feed

= 10.6.0 (2021-09-09) =
* Solved an issue with wrong sale prices when WCML was enabled and manual prices were entered

= 10.5.9 (2021-09-08) =
* Somehow simple products got an item_group_id for some users causing a critical error. Added a check on this to fix the error.

= 10.5.8 (2021-09-07) =
* Added a feature to be able to remove products from feeds when only few variations are in stock

= 10.5.7 (2021-09-07) =
* Fixed an issue where Rankmath plugin is installed but no primary category has been set. This resulted in a PHP notice in the logs. This has been solved now.

= 10.5.6 (2021-09-03) =
* Fixed an undefined variable issue for the facebook pixel id

= 10.5.5 (2021-09-01) =
* Fixed a Google Remarketing Pixel issue on the cart page

= 10.5.4 (2021-09-01) =
* Fixed a shipping cost issue where shipping classes that had no shipping costs set where empty
* Fixed a Google Remarketing pixel, added apostrophe on the AW-XXXXXX parameter

= 10.5.3 (2021-08-29) =
* Solved a bug: when the XML variable was not an object is returned a fatal error. Issue is solved now.

= 10.5.2 (2021-08-25) =
* Tested for compatibility with WooCommerce 5.6

= 10.5.1 (2021-08-18) =
* Fixed an issue where the visibility attribute did not return anything

= 10.5.0 (2021-08-11) =
* Added the Vivino template to the plugin

= 10.4.9 (2021-08-10) =
* Added support for Prisjakt (Sweden, Norway, Finland) feeds. The Google Shopping feed requirements are being used for it as of this release.

= 10.4.8 (2021-08-10) =
* Added support for the Yoast SEO WooCommerce unique identifiers GTIN's, ISBN, MPN so they can be used for feeds.

= 10.4.7 (2021-07-28) =
* Checked for compatibility with WP 5.8

= 10.4.6 (2021-07-22) =
* Facebook is not yet using the new availability values yet so reverting it back for Facebook only

= 10.4.5 (2021-07-21) =
* Google changed its availability requirements (underscores in the availability values), we have adjusted the plugin on this.

= 10.4.4 (2021-07-15) =
* Fixed a product review feed bug where review names with a : in it broke the feed.

= 10.4.3 (2021-07-12) =
* Added the non tax price attribute for WCML

= 10.4.2 (2021-07-09) =
* Fixed a shipping issue where table rates where put on 0 when pickup was available too.

= 10.4.1 (2021-07-08) =
* Implemented Google's new Dynamic Remarketing event pixelcode and added the Purchase and Add To Cart events for it

= 10.4.0 (2021-07-03) =
* Fixed a PHP notice on a foreach loop when a non-array was used for it

= 10.3.9 (2021-07-02) =
* A PHP warning was thrown when a review feed was created while there were no reviews in WooCommerce

= 10.3.8 (2021-07-02) =
* Fixed a bug: When a find and replace rule was created it converted strings to lowercases, this has been fixed.

= 10.3.7 (2021-07-01) =
* Added Facebook Auto / Vehicle fields to the Facebook templating

= 10.3.6 (2021-06-30) =
* Added eventID's to the Facebook pixel and Facebook Conversion API in order to prevent duplicate events being measured

= 10.3.5 (2021-06-29) =
* Fixed a bug: using a rounding price attribute did not work properly when in WooCommerce currency options the decimal or thousand separator was left blank, it always rounded down. This has been fixed.

= 10.3.4 (2021-06-28) =
* Added the quantity_to_sell_on_facebook field to the Facebook template

= 10.3.3 (2021-06-25) =
* Added a 'Link without parameters' attribute (which holds no attribute or UTM parameters in the URL)

= 10.3.2 (2021-06-18) =
* Added some product data attributes to the Google Shopping template: capacity, count, disclosure date, feature description, flavor, format, product line, product page url, release date, scent, size system, size type, suggested retail price, theme and video link

= 10.3.1 (2021-06-16) =
* Removed Okazii.ro from the list of supported channels

= 10.3.0 (2021-06-16) =
* Cleaning-up some debug code for the Facebook CAPI implementation

= 10.2.9 (2021-06-15) =
* Added support for the Facebook Conversion API (CAPI) - still in beta!
* Stripped whitespaces from values in CSV feeds

= 10.2.8 (2021-06-14) =
* Checked for compatibility with WooCommerce 5.4

= 10.2.7 (2021-06-13) =
* Added Adwords grouping, Adwords labels and Adwords redirect fields to the Bing Shopping template

= 10.2.6 (2021-06-11) =
* Added an array check on custom attributes

= 10.2.5 (2021-06-09) =
* When discount plugins are being used prices will be rounded on 2 decimals

= 10.2.4 (2021-06-09) =
* Fixed a CDATA issue

= 10.2.3 (2021-06-08) =
* Added seller name to Google & Bing shopping templates

= 10.2.2 (2021-06-04) =
* Removed an useless nonce

= 10.2.1 (2021-06-04) =
* Added XSS vulnerability checks on both the Google Remarketing pixel and Facebook pixel feature.

= 10.2.0 (2021-06-02) =
* Removed a CSS z-index as it conflicted with Jetpack

= 10.1.9 (2021-06-01) =
* Fixed a PHP notice that showed when users created an empty rule

= 10.1.8 (2021-05-31) =
* When the identifier exists field mapping is removed from the field mapping also remove it from the feed
* Some minor textual changes in the feed configuration forms

= 10.1.7 (2021-05-27) =
* Fixed a bug: The Facebook pixel addToCart, initiateCheckout and Purchase event does not accept comma's in prices. Fixed.

= 10.1.6 (2021-05-27) =
* Fixed a bug: The Facebook pixel viewContent event does not accept comma's in prices. Fixed.

= 10.1.5 (2021-05-24) =
* Fixed a bug: exclude filters on regular prices did not work

= 10.1.4 (2021-05-24) =
* Adding CDATA feature so CDATA can be added to the title, description and short description fields

= 10.1.3 (2021-05-24) =
* Fixed an issue with taxes being added in the system sale prices

= 10.1.2 (2021-05-14) =
* Added the product type field mapping as default mapping for Google Shopping feeds

= 10.1.1 (2021-05-12) =
* Added support for Mix and Match minimum and maximum prices
* Removed the item_group_id for Mix and Match products

= 10.1.0 (2021-05-12) =
* Tested for compatibility with WooCommerce 5.3
* Changed UI when saving new plugin batch size so it shows the correct batch number immediatly

= 10.0.9 (2021-05-04) =
* Added extra fields for Google's local storefront shopping feeds

= 10.0.8 (2021-04-28) =
* Fixed an issue with the image field for custom feeds, it was added as image_link. This has been fixed now.

= 10.0.7 (2021-04-27) =
* Added support for ACF image fields (make sure to use image or bild in your field name)

= 10.0.6 (2021-04-27) =
* Added support for the WooCommerce Shipping & Tax plugin

= 10.0.5 (2021-04-21) =
* Added the "pickup today / merchant hosted local storefront" fields for Google Shopping

= 10.0.4 (2021-04-19) =
* Fixed an issue where shipping costs where missing from feeds
* Lowest shipping costs did not return the lowest price when prices where not numeric. This has been fixed now.

= 10.0.3 (2021-04-19) =
* When variations are out of stock we remove them from the parent product for Skroutz feeds

= 10.0.2 (2021-04-18) =
* Fixed a bug: rules that where set on attributes that were empty accidently added values to the product data. This has been fixed now.

= 10.0.1 (2021-04-16) =
* Fixed a bug: the multiple standard tax rates are now also taken into account for shipping costs

= 10.0.0 (2021-04-15) =
* Fixed a bug: when multiple standard tax rates for multiple countries where configured the plugin did not pick the correct tax rate when a feed was configured for a country other then the base country. This has been fixed now.

= 9.9.9 (2021-04-12) =
* Added a "force clean-up" feature that in one go removes all feed configurations and scheduled jobs

= 9.9.8 (2021-04-12) =
* Added support for non numeric characters in the AW Dynamic tracking ID

= 9.9.7 (2021-04-11) =
* Fixed helptexts and notifications

= 9.9.6 (2021-04-08) =
* Added support for the Rankmath primary category

= 9.9.5 (2021-04-08) =
* Fixed an issue with the product_url field for Google review feeds. The & charcater was shown as AND. Issue fixed now.

= 9.9.4 (2021-03-30) =
* Added lowest shipping costs attribute

= 9.9.3 (2021-03-29) =
* Removed currency from shipping costs of Heureka feeds

= 9.9.2 (2021-03-27) =
* Fixed an issue for the shipping table rate plugin, when multiple where configured only one price made it to the feed. Issue is fixed.

= 9.9.1 (2021-03-25) =
* Added support for the official WooCommerce Table Rate plugin (by WooCommerce)

= 9.9.0 (2021-03-24) =
* Added product type field mapping to the Facebook template
* Change the default field mapping for title to "product name parent product" so grouping on variable products works better in Facebook

= 9.8.9 (2021-03-22) =
* Fixed a Table Rate shipping issue that overwrote shipping costs for Flat Rates.

= 9.8.8 (2021-03-22) =
* Fixed an UI issue with filters and rules, apostrofs were not showing. Issue is fixed now.

= 9.8.7 (2021-03-22) =
* Bundle and composite products should not get an item group ID in the feed, removed it from the feed.

= 9.8.6 (2021-03-19) =
* Fixed an issue where shipping tax was not added for WooCommerce table rate shipping costs

= 9.8.5 (2021-03-18) =
* Affiliate / external product types got an item_group_id of 0 in the feed whereas it should be empty. Issue is fixed now.

= 9.8.4 (2021-03-18) =
* Added the Idealo.de Germany template, including their Direktkauf fields

= 9.8.3 (2021-03-15) =
* Solved a rounding issue for sale prices including VAT

= 9.8.2 (2021-03-15) =
* Fixed a Facebook Purchase event where only the value of the last product was added to the Facebook pixel instead of the value of all products bought

= 9.8.1 (2021-03-13) =
* The plugin systems check showed a critical error for users that are on PHP 8. Issue is fixed now.

= 9.8.0 (2021-03-11) =
* Only reviews that are approved make it to the review feeds, disapproved reviews are removed

= 9.7.9 (2021-03-10) =
* Checked for compatibility with WordPress 5.7
* Checked for compatibility with WooCommerce 5.1

= 9.7.8 (2021-03-10) =
* Added a boolean check on the review feed creation

= 9.7.7 (2021-03-09) =
* Removed the woosea_add_cart.js from the source as it was an empty file

= 9.7.6 (2021-03-08) =
* Fixed an issue with the Facebook Purchase event that did not track the order value correct

= 9.7.5 (2021-03-07) =
* Another recode of the lowest price variation feature

= 9.7.4 (2021-03-05) =
* Added Bing Shopping Promotions template

= 9.7.3 (2021-03-04) =
* Added a new attribute "Stock Status WooCommerce"
* Fixed another quote issue with the Facebook pixel

= 9.7.2 (2021-03-03) =
* Fixed an issue with the Facebook pixel. Product names that had an apostrophe in them were not measured.

= 9.7.1 (2021-03-03) =
* Added another fix to take into account prices excluding VAT for filtering out all but the minimum priced variation

= 9.7.0 (2021-03-03) =
* Fixed a bug where lowest priced variations where not making it to feeds

= 9.6.9 (2021-02-28) =
* Added product name parent hyphen attribute

= 9.6.8 (2021-02-25) =
* Added Google category taxonomy mapping for Snapchat feeds

= 9.6.7 (2021-02-25) =
* When suffixes and prefixes are used for the Heureka URL fields spaces are removed

= 9.6.6 (2021-02-24) =
* Added support for PHP 8.0

= 9.6.5 (2021-02-24) =
* Do not add Skroutz variable products to the feed when they do not have item_group_id's

= 9.6.4 (2021-02-24) =
* Fixed an issue with rules and filters
* When a rule was set on an image link, no longer lowercase the image link

= 9.6.3 (2021-02-23) =
* Fixed a bug, the Facebook pixel is now also measuing revenue for multiple items in Cart, InititiateCheckout and Purchase events
* Reverted back some changes in filters and rules

= 9.6.2 (2021-02-22) =
* For Skroutz feed removing sizes from feeds when they are out-of-stock

= 9.6.1 (2021-02-19) =
* Added attribute that will allow you to uppercase every first character of a string in product names

= 9.6.0 (2021-02-19) =
* Changed g:itemid to g:id for the Google Local Product Feeds

= 9.5.9 (2021-02-19) =
* Added a fail-safe when users do not select a marketing channel which let to PHP notices in logs

= 9.5.8 (2021-02-18) =
* Added shipping class name attribute

= 9.5.7 (2021-02-17) =
* Dynamic attribute values are now also added to parent variable products for Skroutz feeds

= 9.5.6 (2021-02-17) =
* Changed attribute name primary category to Yoast primary category as it caused lots of confussion

= 9.5.5 (2021-02-11) =
* Fixed a PHP notice that showed when creating a new rule
* Tested for compatibility with WooCommerce 5.0

= 9.5.4 (2021-02-09) =
* When free shipping zones are removed do not remove the other shipping zones

= 9.5.3 (2021-02-08) =
* Added a feature to remove free shipping zones from Google and Facebook feeds

= 9.5.2 (2021-02-08) =
* Fixed a minor issue in exclude rules for WooCommerce category names

= 9.5.1 (2021-02-02) =
* Dynamic attributes without values that are used for product details should be skipped which not always happened. This is fixed now.

= 9.5.0 (2021-02-01) =
* Discount rules created with the FlyCart plugin did not make it to Skroutz feeds. This has been solved now

= 9.4.9 (2021-01-31) =
* Added a seperate sale price attribute for bundled products
* Reviews for parent variable products are removed, the reviews are attached to its variations

= 9.4.8 (2021-01-30) =
* Fixed an issue with the ecomm_prodid on the cart page

= 9.4.7 (2021-01-29) =
* Solved an issue that shipping costs to the first product in a custom feed where empty

= 9.4.6 (2021-01-28) =
* Added a new attribute: product description parent product

= 9.4.5 (2021-01-28) =
* Added a Google Shopping field to their template: g:ship_from_country
* Stripping & characters from review names as it breaks the review feeds

= 9.4.4 (2021-01-27) =
* Fixed an issue where reviews without review text caused the feed to be disapproved by Google. We now remove reviews from feeds that have no review texts.

= 9.4.3 (2021-01-27) =
* Fixed an issue with an undefined ecomm_price variable on product variable pages

= 9.4.2 (2021-01-26) =
* Added the Dutch Boetiek.nl template

= 9.4.1 (2021-01-19) =
* Fixed a bug: exclude filters on empty product tags were broken. This is fixed now.

= 9.4.0 (2021-01-14) =
* Added a WP-cron check and notifications

= 9.3.9 (2021-01-14) =
* Bestprice.gr apparel products are now grouped by color

= 9.3.8 (2021-01-13) =
* Tested for compatibility with WooCommerce 4.9

= 9.3.7 (2021-01-12) =
* Added the Bestprice.gr template

= 9.3.6 (2021-01-11) =
* Added a product name lowercase attribute

= 9.3.5 (2021-01-08) =
* Fixed a rounding issue for WooCommerce bundled products

= 9.3.4 (2021-01-04) =
* Fixed an issue with the Google Remarketing Pixel / ecomm_totalvalue parameter

= 9.3.3 (2021-01-02) =
* Fixed an exclude filter issue (Thanks @Fabrice for reporting and solving!)

= 9.3.2 (2020-12-29) =
* Added support for the Yandex group_id attribute

= 9.3.1 (2020-12-29) =
* When the FlyCart table rate shipping plugin is active do not calculate shipping costs for product ID's that are smaller than 0

= 9.3.0 (2020-12-22) =
* Fixed an issue with anonymous reviews for the Google product review feed

= 9.2.9 (2020-12-21) =
* Added support for the "fee percentage" shipping cost formula

= 9.2.8 (2020-12-21) =
* Added a discount percentage attribute calculating the percentage discount between the sale and regular price

= 9.2.7 (2020-12-18) =
* Fixed an issue for Skroutz feeds where the lowest priced variation feature was not working

= 9.2.6 (2020-12-11) =
* Fixed all the deprecated jQuery

= 9.2.5 (2020-12-10) =
* Added support for Facebook Enhanced Catalog feeds
* Added the Adtribes.io APP ID to Facebook feeds
* Renamed the Facebook channel name in drop-downs
* Tested for compatibility with Wordpress 5.6
* Tested for compatibility with WooCommerce 4.8

= 9.2.4 (2020-12-06) =
* Removed Google Shopping shipping regions for Canada and France as those are no longer supported by Google

= 9.2.3 (2020-12-05) =
* Skroutz variation products that are out of stock are no longer added as an attribute value to the parent product (such as size / colour)

= 9.2.2 (2020-12-02) =
* Solved a PHP warning notification that showed on the manage feeds page when a user did not create any WooCommerce custom attributes
* Solved a Facebook pixel price localization issue for the AddToCart and Purchase event

= 9.2.1 (2020-12-01) =
* Fixed an issue where when no tax rates where defined the plugin showed a PHP warning when processing bundled products

= 9.2.0 (2020-11-30) =
* Option cron_projects set to autoload no as there is no need to have it autoloaded

= 9.1.9 (2020-11-26) =
* Added a performance feature. Users can now select to only refresh their product feeds when products have been changed or new products have been added to WooCommerce.

= 9.1.8 (2020-11-25) =
* Fixed an issue where table rate shipping costs did not make it to custom feeds.

= 9.1.7 (2020-11-19) =
* Fixed an issue where SimpleXML did not return an object and caused the plugin to get stuck

= 9.1.6 (2020-11-19) =
* Fixed an issue, all of a sudden "Object of class WP_Errors" showed on a str_replace. Issue is fixed now.

= 9.1.5 (2020-11-19) =
* Fixed an issue where free shipping costs did not make it correctly to Prisjakt feeds

= 9.1.4 (2020-11-18) =
* Fixed an issue with the Woo Discount plugin by FlyCart that in some cases returned a sale price of 10.

= 9.1.3 (2020-11-17) =
* Solved some minor PHP warnings that showed in the UI
* The category path skroutz attribute was throwing a fatal error on a str_replace. This is fixed.

= 9.1.2 (2020-11-15) =
* When simple products are switched to variable products WooCommerce leaves some "simple" traces in the database causing issues for our plugin. This has been solved now.

= 9.1.1 (2020-11-15) =
* When simple products are switched to variable products WooCommerce leaves some "simple" traces in the database causing issues for our plugin. This has been solved now.

= 9.1.0 (2020-11-15) =
* Fixed an issue where the "Exclude from feeds" product feature did not fully work for CSV feeds (Thanks @Yana!)

= 9.0.9 (2020-11-13) =
* Added support for the official WooCommerce Subscriptions plugin

= 9.0.8 (2020-11-12) =
* Fixed an issue where VAT was not added to the sale price for WooCommerce FlyCart discount rules

= 9.0.7 (2020-11-12) =
* Fixed an issue where sale prices configured with the WooCommerce FlyCart plugin did not work

= 9.0.6 (2020-11-11) =
* Added EAN as one of the fields that can be selected for the custom feed template

= 9.0.5 (2020-11-10) =
* Added support for usage of multiple product highlights

= 9.0.4 (2020-11-08) =
* Removed some absolete queued JS scripts

= 9.0.3 (2020-11-05) =
* Added support for adding multiple images to Australian Kogan feeds

= 9.0.2 (2020-11-04) =
* Fixed an issue where when adding "?aelia_cs_currency=" to the suffix field for links resulted in two quesionsmarks in deeplinks. This has been fixed now.

= 9.0.1 (2020-11-04) =
* Added support for Heureka delivery

= 9.0.0 (2020-11-03) =
* Added support for Skroutz Apparel product requirements
* Saving of the Facebook pixel ID in the interface did not give any feedback if it saved. Improved this slightly.

= 8.9.9 (2020-10-27) =
* Added support for the Discount Rules for WooCommerce by FlyCart plugin

= 8.9.8 (2020-10-27) =
* Added support for the Zbozi.cz delivery requirements

= 8.9.7 (2020-10-23) =
* Switched rules and data manipulation feature 

= 8.9.6 (2020-10-22) =
* Escaping & characters in deeplinks
* Bundled and Composite products now also working for WPML/WCML

= 8.9.5 (2020-10-21) =
* Tested for compatibility with WooCommerce 4.6

= 8.9.4 (2020-10-16) =
* Fixed a shipping issue where some shipping zone regions were missing

= 8.9.3 (2020-10-15) =
* Fixed an issue for prices of bundled products that always added the VAT to the price

= 8.9.2 (2020-10-13) =
* Next to CSV feeds for Bing Shopping the plugin now also strips the g: from the header for TXT feeds

= 8.9.1 (2020-10-12) =
* Fixed an issue with Aelia sale prices generating PHP warnings

= 8.9.0 (2020-10-12) =
* Fixed an issue with the is_plugin_active function that did not work.
* Fixed a shipping costs issue where sometimes the country was left empty

= 8.8.9 (2020-10-05) =
* Added support for the WooCommerce Mix & Match plugin

= 8.8.8 (2020-10-04) =
* Added fields to Trovaprezzi template
* Performance enhancements

= 8.8.7 (2020-10-03) =
* Fixed a bug where attribute values no longer were added to the product name

= 8.8.6 (2020-10-03) =
* Fixed an issue that caused performance of the plugin to slow down

= 8.8.5 (2020-10-01) =
* Fixed a shipping cost bug that happened when multiple flat rates where configured for a country

= 8.8.4 (2020-10-01) =
* Changed the default price mappings for the Pinterest template

= 8.8.3 (2020-09-30) =
* Sale prices being added to feed even when no start and end date is set for the sale price

= 8.8.2 (2020-09-29) =
* Fixed issues with sale price start and sale end date

= 8.8.1 (2020-09-29) =
* Sale prices now respect the sale price start and end date when set

= 8.8.0 (2020-09-28) =
* Added feature to only add the cheapest priced variation(s) to product feeds instead of all variations or the default variation.

= 8.7.9 (2020-09-27) =
* Added 5 default fields to the Facebook template

= 8.7.8 (2020-09-26) =
* Rounding divide calculations rules to two decimals

= 8.7.7 (2020-09-25) =
* Facebook purchase event did not always had the correct pricing. Issue solved.

= 8.7.6 (2020-09-24) =
* Facebook pixel basket issue solved
* Using official composite function to retrieve composite product prices

= 8.7.5 (2020-09-23) =
* Price field for bundled and composite products now always contain VAT

= 8.7.4 (2020-09-21) =
* The Heureka.sk template is now also working for PARAM fields

= 8.7.3 (2020-09-16) =
* Allowing apostrophes in static values
* The unfiltered description attributes are now truncated after 5000 characters

= 8.7.2 (2020-09-11) =
* Fixed minor issues with undeclared PHP variables throwing warnings
* Added Polylang links

= 8.7.1 (2020-09-09) =
* Changed product ids order in the Google product review XML feeds.
* Tested for WooCommerce 4.5

= 8.7.0 (2020-09-04) =
* Product variations for Yandex feed where missing the categoryID values in the feed. This bug has been fixed.

= 8.6.9 (2020-09-03) =
* Renamed the Google Local Products Inventory feed Itemid column to id.

= 8.6.8 (2020-09-03) =
* Google changed the field order of their Google Local Products Inventory feed requirements. We changed the template to reflect this change.

= 8.6.7 (2020-08-30) =
* Google doesn't allow identical reviews for product variations. When disabling adding the variations to the feed it therefor now adds the parent variable product review.

= 8.6.6 (2020-08-30) =
* When the description and short description are over 5000 characters they will be truncated so they do not exceed the 5000 charachters as this is a Google Shopping limitation.

= 8.6.5 (2020-08-29) =
* Minor change to how CSV feeds are being generated, also partly rollback of changes made in version 8.5.6

= 8.6.4 (2020-08-28) =
* Some update_option functions took four arguments whereas it takes only three. This has been fixed now (Thanks @Sudhir)

= 8.6.3 (2020-08-28) =
* Product ID's for WCML are being returned as null, take this into account for functions.

= 8.6.2 (2020-08-21) =
* Added some fields to the Trovaprezzi template

= 8.6.1 (2020-08-20) =
* jQuery ready event is deprecated so changes the JS files that still used it.

= 8.6.0 (2020-08-13) =
* Usage of shortcodes in the unfiltered description attributes is now allowed

= 8.5.9 (2020-08-12) =
* Compatibility check for Wordpress 5.5

= 8.5.8 (2020-08-08) =
* Added the Heureka Slovakia template

= 8.5.7 (2020-08-04) =
* Fixed a minor issue with apostrophes showing at the beginning and end of a CSV row

= 8.5.6 (2020-08-04) =
* Apostrophes are no longer stripped from CSV files

= 8.5.5 (2020-08-04) =
* Added Snapchat product catalog template

= 8.5.4 (2020-08-03) =
* Preventing WooCommerce geo service to ignore WCML currency settings

= 8.5.3 (2020-07-30) =
* Fixed a bug that was introduced in version 8.5.0 where category mappings for variations no longer worked. This has been fixed now.

= 8.5.2 (2020-07-28) =
* Applied the wpautop function to respect paragraphs in the unfiltered (short)description attribute

= 8.5.1 (2020-07-28) =
* Added support for the official WooCommerce Brands plugin: https://woocommerce.com/products/brands/

= 8.5.0 (2020-07-27) =
* Fixed a category mapping issue for Google Shopping feeds where duplicate caregory namings caused wrong category mappings

= 8.4.9 (2020-07-26) =
* Removed the parent variable product for Facebook catalogue feeds again. It turns out not to be needed.

= 8.4.8 (2020-07-25) =
* Added the parent variable product to Facebook catalogue feeds

= 8.4.7 (2020-07-14) =
* Solved an Aelia price caching issue

= 8.4.6 (2020-07-10) =
* Changed Google Review XML Schema to 2.3
* Re-arranged the product_ids in Google product review feeds
* Replaced & characters in product names with 'and' for Google product review feeds 

= 8.4.5 (2020-07-09) =
* Fixed support for Bing Shopping feeds

= 8.4.4 (2020-07-09) =
* Added the Facebook Pixel feature

= 8.4.3 (2020-07-09) =
* Flat rate shipping methods that had no classes set resulted in empty shipping costs in feeds. This has been solved now.

= 8.4.2 (2020-07-08) =
* Fixed an issue with German free shipping zones not showing in Google Shopping feeds

= 8.4.1 (2020-07-07) =
* Added two new Google Shopping fields to the template: productdetail and producthighlight

= 8.4.0 (2020-07-03) =
* Added attributes for unfiltered descriptions and short descriptions meaning all short codes and HTML will stay in.

= 8.3.9 (2020-06-28) =
* Attributes that have multiple values that are not set for variations can now be used in the data manipulation feature

= 8.3.8 (2020-06-25) =
* Changed the XML node order for Google Product Review feeds as it was not (always) validating by Google

= 8.3.7 (2020-06-21) =
* Added a product title hyphen attribute showing a hyphen between the parent variable product name and the attribute values

= 8.3.6 (2020-06-14) =
* Added priceValidUntil structured data for variable and variation products

= 8.3.5 (2020-06-13) =
* Changed the Google Product Review feed node order

= 8.3.4 (2020-06-12) =
* Removed line-breaks from the description and short description attribute

= 8.3.3 (2020-06-10) =
* Added a feature to add the parent product ID to the Facebook pixel ID instead of the variation product ID's for variable products

= 8.3.2 (2020-06-09) =
* Solved a PHP notification on the settings page for users running an older PHP version

= 8.3.1 (2020-06-09) =
* The Facebook DOM solution resulted in duplicate products in feeds. This issue has been solved now.

= 8.3.0 (2020-06-07) =
* When our plugin is enabled and the structured data snippet feature is disabled then use the normal default WooCommerce structured data

= 8.2.9 (2020-06-04) =
* Reverted to DOM for Facebook / Instagram feeds as Facebook, all of a sudden, requires preservation of line-breaks

= 8.2.8 (2020-05-30) =
* Added webitemid attribute to the Google Local Product Feed template

= 8.2.7 (2020-05-26) =
* Solved a plugin conflict with GLS France plugin for WooCommerce

= 8.2.6 (2020-05-23) =
* Fixed an issue with the gender attribute not saving for variations

= 8.2.5 (2020-05-22) =
* Fixed an issue with the default WooCommerce structured data since WC changed the default version

= 8.2.4 (2020-05-21) =
* Fixed an issue with the table rate shipping compatibility for postcodes

= 8.2.3 (2020-05-20) =
* Fixed another issue where structured data aggregateRatings were removed for simple products

= 8.2.2 (2020-05-14) =
* Fixed a namespace error for Google product review feeds

= 8.2.1 (2020-05-14) =
* Fixed an issue where structured data aggregateRatings were removed for simple products

= 8.2.0 (2020-05-10) =
* Improved check if the WooCommerce Table Rate plugin is active
* Fixed PHP warnings that showed during creation of feeds for products that had no attributes at all
* Set autoloading on no for the product batch option

= 8.1.9 (2020-05-08) =
* Solved PHP warnings that showed on variants product edit pages for the extra fields that had an undefined index

= 8.1.8 (2020-05-07) =
* Fixed a shipping table rate bug

= 8.1.7 (2020-05-06) =
* Fixed a PHP error, expected a string got an array

= 8.1.6 (2020-05-04) =
* Added support for Vivino prices

= 8.1.5 (2020-05-03) =
* Removed autoloading of channel_statics

= 8.1.4 (2020-05-02) =
* Removed the item_group_id field for auction product types

= 8.1.3 (2020-05-02) =
* Added support for the auction product type (UWA Ultimate WooCommerce Auctions)

= 8.1.2 (2020-04-30) =
* Fixed an issue with the WooCommerce Shipping Table Rate plugin

= 8.1.1 (2020-04-27) =
* Fixed several bugs in the Fruugo.nl templating

= 8.1.0 (2020-04-27) =
* Added support for Advanced Custom Fields (ACF) that return array values such as checkboxes

= 8.0.9 (2020-04-26) =
* Added the sysyem sale price attribute

= 8.0.8 (2020-04-26) =
* Added a more strict check on "is equal to" filters for category filters

= 8.0.7 (2020-04-26) =
* Fixed a bug when user did not configure a shipping country in its WooCommerce shipping zones and methods

= 8.0.6 (2020-04-25) =
* Facebook pixel change for Purchase, SearchResult and ViewCategory events

= 8.0.5 (2020-04-24) =
* Facebook pixel change for AddToCart event

= 8.0.4 (2020-04-23) =
* Facebook pixel code change for variable products

= 8.0.3 (2020-04-23) =
* Cleaned-up some un-used code

= 8.0.2 (2020-04-21) =
* Solved a PHP warning issue that showed on the settings page (undefined variables)

= 8.0.1 (2020-04-21) =
* Removed some more obsolote license JS code

= 8.0.0 (2020-04-21) =
* Removed the phone home license check feature
* Made all remaining features free and fully functional
* Solved an issue where the function wc_review_ratings_enabled was not supported by any WC version older than 3.6
* Users with a license: please reach out to support@adtribes.io to receive a download link with the Elite version of the plugin

= 7.9.9 (2020-04-20) =
* Solved an issue where the function wc_review_ratings_enabled was not supported by any WC version older than 3.6

= 7.9.8 (2020-04-19) =
* Solved an issue with multiple filters including empty filters that resulted in too many products in the feed

= 7.9.7 (2020-04-18) =
* Removed double Facebook Pixel Purchase event for the eWay Gateway

= 7.9.6 (2020-04-17) =
* Build in a check that prevents the plugin from crashing in ghost variation products

= 7.9.5 (2020-04-16) =
* Added a feature to exclude local pickup shipping zones from Google Shopping and Facebook feeds
* Renamed a Fruugo.nl template field from NormalPriceWithVat to NormalPriceWithVAT
* Removed ATOM header from Pinterest RSS Board templating

= 7.9.4 (2020-04-16) =
* Added a feature where user can indicate if the plugin needs to respect free shipping criteria or not when adding shipping classes and methods to Google and Facebook feeds.

= 7.9.3 (2020-04-15) =
* Changed the XML header for the Fruugo.nl template

= 7.9.2 (2020-04-15) =
* Solved a PHP warning that showed in the structured data fix when products did not have any categories attacted to it

= 7.9.1 (2020-04-14) =
* Added the canonical_link attribute
* Solved a PHP warning that happened for products that did not have any category attached to it 

= 7.9.0 (2020-04-11) =
* When the Yoast primary category is set the category path attribute uses the primary category path as of now.

= 7.8.9 (2020-04-10) =
* Added the InitiateCheckout Facebook pixel event

= 7.8.8 (2020-04-09) =
* Added channel support and country: Hong Kong

= 7.8.7 (2020-04-09) =
* Solved a Trovaprezzi shipping cost bug

= 7.8.6 (2020-04-07) =
* Solved WPML PHP noticed for products without a product ID

= 7.8.5 (2020-04-02) =
* Tested and approved compatibility with Wordpress 5.4

= 7.8.4 (2020-03-31) =
* Minor tweaks and tunes to the Facebook pixelcode

= 7.8.3 (2020-03-31) =
* Added some Facebook pixel debug logging 

= 7.8.2 (2020-03-29) =
* Fixed an issue with adding free shipping costs to feeds.

= 7.8.1 (2020-03-26) =
* Fixed an issue with category filters which occured after switching the filters and ruling order.

= 7.8.0 (2020-03-25) =
* Added a feature where one can decide to only add the country feed shipping costs or all countries

= 7.7.9 (2020-03-25) =
* Only shipping costs are added to the feed for the country the feed was configured

= 7.7.8 (2020-03-23) =
* Changed the order in which filters and rules are executed. Rules are executed first, filters last.

= 7.7.7 (2020-03-22) =
* Changed how values are added to the content_ids parameter of the Facebook pixel for variable parent products

= 7.7.6 (2020-03-20) =
* Fixed a bug where shipping costs for bundled products did not end up in the feeds. This has been fixed now.

= 7.7.5 (2020-03-18) =
* Added an attribute named "Main image simple and variations" which will always use the simple and variable main image

= 7.7.4 (2020-03-15) =
* Fixed a bug where rules on empty numeric product values did not work. This has been fixed now.

= 7.7.3 (2020-03-13) =
* Fixed a bug where static values are added to feeds for products that are filtered out

= 7.7.2 (2020-03-11) =
* Checked for compatibility with WooCommerce 4.0
* Fixed a shipping issue for shipping zones with postcodes

= 7.7.1 (2020-03-10) =
* Added support for filters and rules on product review title's

= 7.7.0 (2020-03-10) =
* Preventing errors to show for Polylang users

= 7.6.9 (2020-03-09) =
* WPML feature also available when no multi-currencies have been configured

= 7.6.8 (2020-03-07) =
* Function check on cl_object_id changed to check if sitepress-multilingual-cms is active

= 7.6.7 (2020-03-06) =
* Added a new attribute named "All gallery images (comma separated)" which adds all product gallery images on one line, comma separated

= 7.6.6 (2020-03-06) =
* Added a new attribute named "All images (comma separated)" which adds all product images on one line, comma separated
* The total product orders attribute is pretty heavy on MySql so we are now only requesting this data when it has been added to the field mapping and/or filters and rules

= 7.6.5 (2020-03-04) =
* SQL query to retrieve number of sales for variations was too slow causing the feed processing to slow down. Improved query.

= 7.6.4 (2020-03-04) =
* Added GTIN's to the structured data when the woosea GTIN input field contains values
* Solved a bug where the product days back created attribute contained wrong values

= 7.6.3 (2020-03-02) =
* Fixed a conflict between the Yoast SEO WooCommerce plugin and our plugin with regards to the AggregateRating JSON-LD

= 7.6.2 (2020-03-02) =
* Fixed a minor WPML currency switcher issue

= 7.6.1 (2020-03-01) =
* Added product days back created attribute. You can now create filters which enable you to only have the latest products in your feed.

= 7.6.0 (2020-03-01) =
* Added product creation date attribute

= 7.5.9 (2020-02-29) =
* Added priceSpecification type to the JSON-LD structured data
* Fixed a bug where reviews were removed from the structured data

= 7.5.8 (2020-02-28) =
* Adding Brand and MPN to product JSON-LD when woosea values are set for products;
* When a variation SKU has been filled in that will show in the structured data SKU instead of the parent variable SKU;
* The Yoast WooCommerce SEO plugin was removing our structured data price fix for variations. This has been solved;

= 7.5.7 (2020-02-25) =
* Changed the Skroutz template to reflect all changes of last week

= 7.5.6 (2020-02-25) =
* Fixed a bug with regards to Yoast's primary category. Renamed the "One Category" attribute to "Primary Category"
* Now also supporting category mappings for WooCommerce categories containing a > character

= 7.5.5 (2020-02-25) =
* Change in Google category taxonomy mapping: when a product belongs to multiple categories the plugin will use the lowest level category hierarchy mapping (instead of the last one it encounters)
* Removed the double pipes in front of the raw category attribute values
* Made sure that checks on number of product orders is only done on numeric values

= 7.5.4 (2020-02-24) =
* Fixed a category path skroutz hierarchy bug

= 7.5.3 (2020-02-23) =
* Added logic to ensure that category hierarchy is respected in the category path / short / Skroutz feeds
* Removed obsolete category code for variations 

= 7.5.2 (2020-02-22) =
* Solved a bug where the lowest level category of a product was not being added to the category path attribute. This issue has been solved now.

= 7.5.1 (2020-02-21) =
* When the multi-currency mode from WooCommerce Multilingual has been deactivated do not show the currencies upon configuration of the feed.

= 7.5.0 (2020-02-21) =
* Added support for dynamic attributes for parent variable products (Skroutz and Google DSA only)
* Added a new attribute named category path Skroutz which puts in the category path values according to Skroutz's requirements

= 7.4.9 (2020-02-20) =
* Added support for custom attributes for parent variable products (Skroutz and Google DSA only)

= 7.4.8 (2020-02-20) =
* For Google DSA and Skroutz feeds the parent variable products are added to the feed too.

= 7.4.7 (2020-02-19) =
* Fixed a bug where the suffix currency configuration for shipping costs was ignored. This issue has been fixed now.

= 7.4.6 (2020-02-19) =
* Solved a PHP warning that showed for variable products that had no attributes set
* Solved an IE 11 Javascript error
* Solved two illegal string offsets

= 7.4.5 (2020-02-12) =
* In between code test fix

= 7.4.4 (2020-02-11) =
* Solved a PHP warning that showed when products had no custom attributes configured

= 7.4.3 (2020-02-09) =
* Added logic to bypass the rightpress discount plugin caching of prices

= 7.4.2 (2020-02-08) =
* Changed logic of system price and sale system price attributes

= 7.4.1 (2020-02-08) =
* Solved a PHP notice undefined variable

= 7.4.0 (2020-02-08) =
* Solved a PHP is_type error

= 7.3.9 (2020-02-06) =
* Added extra Moebel.be template fields

= 7.3.8 (2020-02-05) =
* Fixed a Facebook pixel issue for the search page where for some theme's the search broke when no search results were returned.

= 7.3.7 (2020-02-04) =
* Added JSON priceSpecification
* Fixed a fatal error where users added a flat rate shipping zone but forgot to set a shipping country. This issue has been fixed now.

= 7.3.6 (2020-01-30) =
* Fixed a bug where an admin notice could be closed but the state was not being saved.

= 7.3.5 (2020-01-29) =
* Fixed a bug where "empty" rules on sale prices did not work as expected. This issue has been fixed.

= 7.3.4 (2020-01-28) =
* Added new fields to the Moebel.de template.

= 7.3.3 (2020-01-28) =
* New feature: you can now decide to only allow products to your feed that have been sold before (and amounts) and indicate a time period that should be taken into account for this.
* When a shipping method and zone was configured but no shipping cost was set an empty prices shipping node was added to feeds which caused warnings in Google's merchant center. This has been solved now.

= 7.3.2 (2020-01-26) =
* Added a new attribute to the plugin: "Total product orders" which holds the amount of times the specific product is sold. This enables you to create filters and rules on it.

= 7.3.1 (2020-01-26) =
* Fixed a shipping cost bug where the costs where multiplied with 100 for non-tax shipping cost calculations

= 7.3.0 (2020-01-25) =
* Filters on primary (Yoast) categories now also work on the non primary categories

= 7.2.9 (2020-01-23) =
* Tested for compatibility WooCommerce 3.9

= 7.2.8 (2020-01-22) =
* Added some delete option calls when plugin gets disabled or removed (cleaning up)
* Added is dismissible state save for notice that showed after activation of plugin

= 7.2.7 (2020-01-21) =
* We forgot to apply the fix from version 7.2.6 to all plugin pages. Should be fixed now.

= 7.2.6 (2020-01-21) =
* The Get Elite notice is dismissable logic did not work, this has been fixed now.

= 7.2.5 (2020-01-17) =
* It is now possible to remove the item_group_id field mappings again

= 7.2.4 (2020-01-17) =
* Added the InitiateCheckout event for the Facebook pixel
* Fixed a structured data pricing bug. When prices were inserted in WooCommerce excluding tax but shown on the website including tax the structured data price was wrong. This has been fixed now.

= 7.2.3 (2020-01-17) =
* Added the variation product ID's to the Facebook pixel events on category and search pages

= 7.2.2 (2020-01-16) =
* Added the Facebook pixel AddToCart event. This event was already triggered when users hit the Add To Cart button but is now also added when users are in the cart itself
* Made sure that when product variations are added to the cart it add's the product ID of the variation itself to the Facebook pixel event instead of its parent variable product ID

= 7.2.1 (2020-01-16) =
* Fixed a bug: The Facebook pixel ID on the cart page showed a PHP error. Issue has been solved now.

= 7.2.0 (2020-01-15) =
* Improved front-end performance for structured data feature

= 7.1.9 (2020-01-15) =
* Added the Facebook pixel purchase event
* Added the Facebook pixel search event
* Added the Facebook pixel category event

= 7.1.8 (2020-01-14) =
* Solved a PHP notice in the error logs for feed configurations that missed the cron setting.

= 7.1.7 (2020-01-12) =
* Added some code to also remove the VC shortcodes for raw HTML in the description and short description attributes

= 7.1.6 (2020-01-10) =
* Fixed a bug: the gross regular price attribute and gross sale prices attribute were not working properly. It did not remove VAT in all cases. This has been fixed.

= 7.1.5 (2020-01-08) =
* Fixed a bug: when WooCommerce categories have the exact same name the Google category taxonomy mapping showed only one mapping in the UI. This has been fixed.

= 7.1.4 (2020-01-07) =
* Fixed a bug: when a minimum shipping fee was set and one used the Germanized for WooCommerce plugin product prices higher than 100 never got free shipping. This has been fixed.

= 7.1.3 (2020-01-06) =
* Changed encoding for UTM terms in the deeplinks for Google's DRM feeds as it broke the CSV file.

= 7.1.2 (2020-01-05) =
* Minor fix for PHP notice when users added custom attributes without values. Notice in the logs is gone now.

= 7.1.1 (2020-01-02) =
* Another fix for the Dokan Multi-vendor plugin

= 7.1.0 (2020-01-02) =
* Fixed support for the Dokan Multi-vendor plugin
* Fixed some PHP warnings that showed in the error logs when a parent variable product had no attributes configured

= 7.0.9 (2019-12-30) =
* Added support for creation of find & replace rules
* Removed XML support for Bol.com feeds

= 7.0.8 (2019-12-28) =
* Added support for the Perfect Woocommerce Brands plugin

= 7.0.7 (2019-12-27) =
* Some Germanized for WooCommerce fields didn't work anymore because of a change in attribute naming. This has been fixed.

= 7.0.6 (2019-12-24) =
* Increased performance and speed of processing product feeds
* Increased performance of field mapping page

= 7.0.5 (2019-12-17) =
* Added support for the official WooCommerce Composite Products (https://woocommerce.com/products/composite-products/)

= 7.0.4 (2019-12-17) =
* Added support for Czech characters in custom field names

= 7.0.3 (2019-12-10) =
* Added query logging as some users reported duplicate products in their feed

= 7.0.2 (2019-12-05) =
* Solved a bug: when all product feed had a stopped status the manual refresh of product feeds did not start. This has been fixed.
* Latest update of WPML / WCML caused manually entered currencies not to show in feeds anymore. Made our plugin compatible again.

= 7.0.1 (2019-12-04) =
* Removed space between prefix and link attribute so users can add trackingcode before the landingpage URL

= 7.0.0 (2019-12-02) =
* Added the category path short (without Home) attribute

= 6.9.9 (2019-12-01) =
* Fixed a case-sensitive issue for product tag rules
* When non numeric tax rates were filled in a PHP warning would show on the front-end. This has been fixed.

= 6.9.8 (2019-11-29) =
* Fixed a bug: rules on product tags did not work. Issue has been fixed now.

= 6.9.7 (2019-11-28) =
* Changed product feed sorting for Pinterest RSS feeds so most recent products appear on top in Pinterest

= 6.9.6 (2019-11-27) =
* Made a change to the AddToCart Facebook Pixel event feature so the product ID of the variation is added to the event after users changed drop-downs

= 6.9.5 (2019-11-27) =
* Added the parent variable product SKU attribute
* Minor change to the multiply rule so it would take decimals into account

= 6.9.4 (2019-11-25) =
* Solved a minor undefined index issue that showed with some ajax responses

= 6.9.3 (2019-11-23) =
* Fixed a bug: reviewer names containing Cyrillic characters broke the XML feed. This has been fixed now.

= 6.9.2 (2019-11-22) =
* Added support for case-sensitive rules

= 6.9.1 (2019-11-22) =
* Added support for adding multiple additional image nodes for Skroutz feeds
* WooCommerce started adding a v parameter to the URL's which caused the Facebook pixel to break for parent variable products. This has been fixed.

= 6.9.0 (2019-11-21) =
* Fixed a bug: include only filters for product tags using "contains" was not working. This has been fixed now.

= 6.8.9 (2019-11-20) =
* Added the author attribute so one can add the author information to feeds or create filter and rules on it.

= 6.8.8 (2019-11-18) =
* Minor change to product tag space attribute
* Fixed a bug: Shipping cost implementation for table rate zones was not working. This has been fixed now.

= 6.8.7 (2019-11-17) =
* Added a force activate all feeds option

= 6.8.6 (2019-11-15) =
* Fixed a WPML / WCML caching issue
* Tested for Wordpress 5.3 compatibility

= 6.8.5 (2019-11-15) =
* Added WPML / WCML support for the regular and sale price support

= 6.8.4 (2019-11-13) =
* Added an attribute (Product Tags Space) containing the product tags separated by a space and comma

= 6.8.3 (2019-11-11) =
* Added # as a delimiter for CSV feeds

= 6.8.2 (2019-11-09) =
* Cleared refresh interval on the manage feeds page when all feeds are on status ready, this was causing too many calls / load
* Solved a PHP warning that showed in the logs when the "one category" attribute was empty

= 6.8.1 (2019-11-05) =
* Added a default template for Wish.com

= 6.8.0 (2019-11-03) =
* Fixed a bug: removed the question mark from the variable link attribute when Google Analytics code is disabled

= 6.7.9 (2019-11-02) =
* Added the variable link attribute for variations

= 6.7.8 (2019-10-31) =
* Added proper encoding to the utm parameters in deeplinks for XML feeds as for some users it showed an XML validation error

= 6.7.7 (2019-10-30) =
* Added identifier_exists field for Facebook catalogue feeds

= 6.7.6 (2019-10-30) =
* Added template for the Australian Marketplace Catch.com.au
* Added template for the Australian Marketplace Kogan.com
* Removed the double item_group_id field from the Facebook catalogue feed template

= 6.7.5 (2019-10-28) =
* When attributes have been added for variable products but not been checked as "Used for variations" they can now also be used for your variations in your product feed.
* Change of the g:identifier_exists requirements by Google. When you do not have valid unique identifiers the g:identifier_exists field needs to be removed from your Google Shopping feeds altogether whereas previously the value of this field had to be "no" or "false" when products did not have an unique identifier. We have changed our plugin so it meets Google's new requirements.

= 6.7.4 (2019-10-27) =
* Added SKU to the pricecheck.co.za template

= 6.7.3 (2019-10-23) =
* Fixed a bug where the product data manipulation tool converted numeric values in woosea attributes to double's

= 6.7.2 (2019-10-22) =
* Added a feature to the data manipulation tool to create a product price including shipping costs
* Added localization of the shipping cost price
* Added localization of the system price attribute

= 6.7.1 (2019-10-21) =
* Added support for price, net price, regular and sale system prices

= 6.7.0 (2019-10-21) =
* Creating multiply rules on doubles with a . in it (such as price and sale_price) was not working. This issue has been fixed now.

= 6.6.9 (2019-10-18) =
* Improved product feed status messages so they are more accurate now
* Improved filter and rule feature to speed up processing of product feeds

= 6.6.8 (2019-10-16) =
* One week ago Google introduced a new updated Google category taxonomy. Compared with the previous taxonomy a few hundred categories have been added. Our plugin now supports those new categories.

= 6.6.7 (2019-10-15) =
* In preparation of the conversion feature now outputting conversion data in logs
* Category mappings for WooCommerce categories that had a & in it where not showing the Google category taxonomy ID (only visual issue). They have been added.

= 6.6.6 (2019-10-15) =
* Fixed a bug where when users enabled the extra fields feature but did not enable any of the extra field a PHP warning was showing.

= 6.6.5 (2019-10-14) =
* The WooCommerce function get_variation_attributes started returning sanitized values. This caused product title's for variants to contain encoded attribute values. Issue has been solved.
* Removed the attribute publication date, it was causing issues in rules and filters.

= 6.6.4 (2019-10-11) =
* Added shipping region support for Google Shopping feeds for Japan, Australia and the United States. Google does not allow region additions to the shipping details for other countries.

= 6.6.3 (2019-10-11) =
* Added templates for all European Compare sites
* Fixed a bug that was introduced in the previous release with regards to category mapping

= 6.6.2 (2019-10-10) =
* Category mapping wasn't working for categories that had a quotation mark in the category name. This has been fixed now.

= 6.6.1 (2019-10-10) =
* Fixed a bug in the include only filters. Categories that contained a ' were ignored in filters. This has been fixed now.

= 6.6.0 (2019-10-09) =
* Fixed a multi-currency bug for WPML where only the first product of a product feed was not converted to the correct currency.

= 6.5.9 (2019-10-09) =
* Include only filters on categories for products that sit in multipe categories now also works for variants products and not just simple products

= 6.5.8 (2019-10-08) =
* Removed php warning on product edit page. This was caused when the extra fields feature was enabled but no extra fields were enabled.

= 6.5.7 (2019-10-04) =
* Added custom meta field and dynamic attribute support for external product types

= 6.5.6 (2019-10-03) =
* Added color field to all Miinto templates
* Bug fix: the structured data fix did not work on variant products when attribute values contained a quote

= 6.5.5 (2019-10-03) =
* Added support for so-called private custom meta fields and attributes. This makes our plugin compatible with a lot of extra plugin's
* Removed comments from review feeds

= 6.5.4 (2019-10-02) =
* Added support for Miinto.se feeds

= 6.5.3 (2019-10-02) =
* Added support for rating total and average rating of parent products, made available for variants

= 6.5.2 (2019-10-01) =
* Product reviews on parent products are now also added to the variants of the parent product

= 6.5.1 (2019-09-27) =
* Solved a bug: PHP warning showing sometimes when changes to products were made. Issue has been solved now.

= 6.5.0 (2019-09-22) =
* Added support for nested product details XML for Google Shopping Actions

= 6.4.9 (2019-09-21) =
* Added support for Google Shopping Actions: https://support.google.com/merchants/answer/7378924?hl=en

= 6.4.8 (2019-09-20) =
* Put all Shareasale.com fields on required
* Increased performance plugin when lots of filters and rules were set

= 6.4.7 (2019-09-18) =
* Removed the low_stock_amount feature as it is only supported for WC 3.7 users

= 6.4.6 (2019-09-17) =
* Added a template for Shareasale.com
* Fixed a bug: filters on category names that had a "&" in it did not work. Issue has been fixed.

= 6.4.5 (2019-09-13) =
* Fixed a bug: price filters on non numeric values did not work properly. Issue has been fixed.

= 6.4.3 (2019-09-13) =
* Added a feature to configure the plugin product batch size

= 6.4.2 (2019-09-11) =
* Added the product category to the Facebook AddToCart event
* Custom attributes of parent products where showing for variants whereas it should show the variant values. This issue has been fixed

= 6.4.1 (2019-09-10) =
* Facebook pixel was not triggered on parent (variable) products, this has been added now
* Added the currency to the Facebook AddToCart event

= 6.4.0 (2019-09-09) =
* Minimum order fee's are now also converted to the proper fee when the Aelia currency switcher is enabled.
* Removed support for AdMarkt Marktplaats.nl as the default feed was not supported

= 6.3.9 (2019-09-08) =
* Fixed a bug: when Aelia prices were inserted manually (so not using a currency conversion) the free shipping minimum amount was still using the converted price. This was wrong and is fixed now.

= 6.3.8 (2019-09-08) =
* Added product price and product name to the Facebook AddToCart event
* Changed the product name mother into product name parent
* Some private custom attributes where lost in the previous release, added those again

= 6.3.7 (2019-09-06) =
* When feeds are cloned you can now change the country. Previously this was disabled.
* Added support for rules on products that contain multiple product tags

= 6.3.6 (2019-09-05) =
* Added the AddToCart tracking event for the Facebook pixel
* Added the google_product_category and item_group_id as mandatory fields to the Facebook catelogue feed template
* Added support for the Germanized for WooCommerce plugin. It is now possible to use the unit attributes for your field mappings and filters/rules
* Added preparations for batch configuration

= 6.3.5 (2019-09-02) =
* Added the tax status and tax class attributes

= 6.3.4 (2019-09-01) =
* The Wordpress get_multisite function was not functioning for Wordpress multisites. We have added support for it.

= 6.3.3 (2019-08-29) =
* Added support for the All in one SEO pack title and description. Those can now be selected from the attribute drop-downs and added to your product feeds.

= 6.3.2 (2019-08-28) =
* Added headers to the Pinterest RSS Board template

= 6.3.1 (2019-08-28) =
* Rolling back version 6.3.0 of our plugin as it is causing some performance issues for users who are on WC 3.7

= 6.2.9 (2019-08-21) =
* Fixed an issue where an exclude rule for categories was not working

= 6.2.8 (2019-08-20) =
* Added support for table rate shipping costs for regions (next to countries)

= 6.2.7 (2019-08-20) =
* Fixed a bug: with the latest release of WC 3.7 and the latest release of the Bolder Elements Table rate shipping plugin all shipping costs where 0. This issue has been fixed now.

= 6.2.6 (2019-08-18) =
* Fixed a bug: for some users the truncation of the product title released in version 6.2.2 caused the plugin to break. This issue has been fixed now.
* Supports WooCommerce 3.7, compatibility tests

= 6.2.4 (2019-08-16) =
* Improved the include only filter feature on categories. Products that are part of multiple categories now also validate with the include only filter and will be added to the product feed.

= 6.2.3 (2019-08-16) =
* Added two decimal zero's to prices when needed. This is a requirement for some channels like Pinterest.

= 6.2.2 (2019-08-13) =
* When product name title's are over 150 characters our plugin will truncate the title's to 150 characters as this is the maximum product name length for many channels such as Google Shopping, Facebook and Pinterest
* When a description of a variant is filled it will no longer overwrite the short description of the parent product. It will however still overwrite the description of the parent product.

= 6.2.1 (2019-08-11) =
* Fixed a bug: Aelia currency switcher shipping calculations for the United States of America was not working. This issue has been fixed.

= 6.2.0 (2019-08-05) =
* Removed some product change logging features

= 6.1.9 (2019-08-02) =
* Fixed a bug: the extra fields feature was not working from fresh installs of the plugin. This has been fixed now.

= 6.1.8 (2019-08-02) =
* Enable some extra fields on activating the plugin

= 6.1.7 (2019-08-01) =
* Added support for Google's g:shipping_label field by adding an attribute that contains the slug of the shipping class
* Added support for the Germanized WooCommerce plugin

= 6.1.6 (2019-07-31) =
* Only shipping zones and methods are added to feeds for the country the feed was configured for instead of all shipping zones for all countries.
* Fixed a bug: decimal seperators for shipping costs and product prices where not the same in all instances. This has been fixed.

= 6.1.5 (2019-07-31) =
* When users have Invalid Products in their WooCommerce database the plugin crashes trying to process that invalid product. This issue should be fixed now.

= 6.1.4 (2019-07-30) =
* Fixed a bug: changed Facebook pixel viewContent to ViewContent

= 6.1.3 (2019-07-30) =
* Added template for Fashionchick.nl

= 6.1.2 (2019-07-29) =
* Added support for the WooCommerce Table Rate (Bolder Elements) Shipping plugin
* Added a feature to enable / disable the extra Google Shopping attributes on the product edit pages (for usability purposes, the page was becoming too long)

= 6.1.1 (2019-07-28) =
* Added a shipping cost attribute that will only add the shipping price to feeds (without zone and region names and xml nodes)

= 6.1.0 (2019-07-26) =
* Removed the escaping of caracters for the custom fields as sanitazion already took place before
* Naming of the product feed URL was depending on openSSL being compiled with PHP. We removed this dependency
* Added logging for the first steps of the creation of a new product feed

= 6.0.9 (2019-07-24) =
* Added 3 new price attributes: Price rounded, Regular price rounded, Sale price rounded. These attributes add product prices to your feed(s) rounded to the nearest full number, no decimals.
* Base currency prices are no longer rounded for users who use the Aelia Rounding plugin.
* Fixed a bug: when sale prices were empty they were added as 0 to Google DRM feeds. This issue has been fixed now.

= 6.0.8 (2019-07-19) =
* New feature: added a feature to add the Facebook Pixel Code on your page. The content of the Facebook Pixel matches the content of the Facebook catalogue feed you created.

= 6.0.7 (2019-07-18) =
* Fixed a bug: "empty" rules did not work for custom fields. Issue has been fixed.

= 6.0.6 (2019-07-18) =
* Removed the autoloading of add_option WP function were possible.
* Removed flat rate shipping costs from feeds when free shipping is active for a product.

= 6.0.5 (2019-07-14) =
* Removed woosea attributes from drop-down for our PRO users. They should only show for the Elite version of our plugin.

= 6.0.4 (2019-07-13) =
* Products filters on category visibility=hidden are supported

= 6.0.3 (2019-07-12) =
* Added support for adding prices excluding VAT to the feeds when prices were inserted including VAT

= 6.0.2 (2019-07-12) =
* Fixed a bug: fallback scenario for Google Shopping feeds was not working because of a coding-issue. This issue has been fixed now.
* Fixed a bug: woosea optimized title's were not working when the attribute was never used for a product. This issue has been fixed now.
* Solved some PHP issues (undeclared variables, missing breaks).
* Added support for array's (product tags and categories) in the data manipulation feature

= 6.0.1 (2019-07-10) =
* Fixed a bug: rules and filters on featured variable products was not working. This issue has been fixed now.

= 6.0.0 (2019-07-09) =
* Added advanced WooCommerce logging

= 5.9.9 (2019-07-08) =
* Fixed a bug: Yandex category feed lists where not translated using WPML. This issue has been fixed now.

= 5.9.8 (2019-07-08) =
* Added support for WC Field Factory Admin fields

= 5.9.7 (2019-07-05) =
* Added support for sale and regular prices for bundled products

= 5.9.6 (2019-07-05) =
* Added support for bundled products that have a combined price
* When a product has no reviews remove the average rating score of 0 from the feed

= 5.9.5 (2019-07-04) =
* Fixed a bug: adding fields on the field mapping page did not work in Firefox. This has been fixed now.
* Fixed php warnings: when a Google Product Review Feed was created and attributes contained html characters PHP warnings were shown. This has been fixed now.

= 5.9.4 (2019-07-04) =
* Fixed links to tutorials in the feed configuration screens.

= 5.9.3 (2019-07-02) =
* Added color, size, gender, material and pattern product fields for the extra fields feature

= 5.9.2 (2019-07-01) =
* Added South-Africa PriceCheck.co.za template

= 5.9.1 (2019-06-28) =
* Internationalized the plugin menu's: texts are now translatable. 

= 5.9.0 (2019-06-27) =
* Internationalized the plugin: texts are now translatable. 

= 5.8.9 (2019-06-26) =
* Added support for comma's in Yandex PARAM fields

= 5.8.8 (2019-06-26) =
* Fixed a bug: rules for empty values contained a bug. This has been fixed now.

= 5.8.7 (2019-06-24) =
* Fixed a bug: mappings for WooCommerce categories that contained () where not working. This has been fixed now.

= 5.8.6 (2019-06-22) =
* Added the Glami.gr template

= 5.8.5 (2019-06-21) =
* Fixed a bug: "empty" rules replacing empty attributes with another attribute value was not working. This has been fixed now.

= 5.8.4 (2019-06-21) =
* Changed Aelia currency support feature as it was retrieving cached prices.

= 5.8.3 (2019-06-20) =
* Added support for the transit time label field for Google Shopping feeds.

= 5.8.2 (2019-06-17) =
* Made the ShopMania template suitable for all countries they are active in.

= 5.8.1 (2019-06-14) =
* Further improvements to the Dynamic Remarketing code, extra check on prices of variant products

= 5.8.0 (2019-06-13) =
* Fixed a bug in the Google Dynamic Remarketing code, variants where getting the item_group_id filled in in the ecomm_prodid parameters which was causing a mismatch with the product feed. This has been fixed.

= 5.7.9 (2019-06-13) =
* Further improvement of the default variant inclusion feature. Plugin now also add's the default variant (when option enabled) when none of the variants matches that default.
* Fixed a bug: the data manipulation feature for variants (when variants was selected, simple and all worked) was broken. This has been fixed.

= 5.7.8 (2019-06-12) =
* Added ads_grouping and ads_labels fields to the Google Shopping template

= 5.7.7 (2019-06-12) =
* Solved a google_product_category mapping bug for simple products that were mapped to multiple categories.

= 5.7.6 (2019-06-12) =
* Added template for Compari Romania
* Added template for Shopmania Romania

= 5.7.5 (2019-06-11) =
* Removed conversion UI features for now till we officially release this feature.

= 5.7.4 (2019-06-11) =
* Added support for creating rules and filters on featured products

= 5.7.3 (2019-06-10) =
* Fixed a PHP warning that showed whem WPML and Aelia currecy converters where active

= 5.7.2 (2019-06-06) =
* Fixed a bug: rules on empty product attributes were not working. This has been fixed.

= 5.7.1 (2019-06-05) =
* Made it impossible to delete the item_group_id field mapping from Google Shopping and Facebook feeds.

= 5.7.0 (2019-06-04) =
* Fixed a bug: rules set on google categories did not work. Those are fixed now.

= 5.6.9 (2019-06-03) =
* Fixed a bug: the tmp product feed files created upon creation and updating of the feeds where not removed. They are now.

= 5.6.8 (2019-05-30) =
* Added fallback scenario, when no default templace can be loaded the Google Shopping template will be used

= 5.6.7 (2019-05-29) =
* Minor change to the Aelia currency switcher support, now also supporting the Aelia rounding plugin

= 5.6.6 (2019-05-29) =
* Added the offer_price and offer_price_effective_date fields for Facebook product catalogue feeds

= 5.6.5 (2019-05-29) =
* Added the possibility to add prefix and suffix values around the image_link field without spaces between it

= 5.6.4 (2019-05-26) =
* PARAM_ fields for Yandex were broken. This bug has been fixed now.

= 5.6.3 (2019-05-26) =
* Solved a conflict between Rightpress and the Aelia currency converter

= 5.6.2 (2019-05-26) =
* Added UTF8 and html entity checks for Google Product Review feeds data

= 5.6.1 (2019-05-23) =
* Added the item_group_id field as an default and required field for the Pinterest template

= 5.6.0 (2019-05-21) =
* Build in an extra check to cope with "invalid WooCommerce products"
* RSS dashboard on WP-admin not showing when RSS feed cannot be retrieved

= 5.5.9 (2019-05-19) =
* Added the "add to cart link" attribute

= 5.5.8 (2019-05-18) =
* Added link to feed location on manage feeds page

= 5.5.7 (2019-05-15) =
* Fixed bugs in Google's product review feed nodes

= 5.5.6 (2019-05-15) =
* Removed spaces in prefix and suffix for SKU attribute

= 5.5.5 (2019-05-15) =
* On popular demand added the availability of a wc_post_id_product_id attribute for Facebook feeds

= 5.5.4 (2019-05-14) =
* Fixed a bug where the identifier nodes in the Google Product Review feeds were not complete. This issue has been fixed now.

= 5.5.3 (2019-05-14) =
* Users that created a custom feed and had deleted products in their database reported on empty product nodes. This release attempts to fix that issue.

= 5.5.2 (2019-05-11) =
* Fixed a PHP warning that showed when using the Aelia currency switcher

= 5.5.1 (2019-05-05) =
* Added links to support pages

= 5.5.0 (2019-05-03) =
* Checked for WordPress 5.2 compatibility

= 5.4.9 (2019-05-03) =
* Fixed a PHP warning that showed after processing of Yandex feeds

= 5.4.8 (2019-04-29) =
* Fixed support for Cyrillic characters in the Yandex PARAM field
* Removed the Yandex platform node from the YML as it is no longer an accepted field for Yandex

= 5.4.7 (2019-04-29) =
* Changed the XML header of the Heureka.cz template

= 5.4.6 (2019-04-26) =
* Fixed support for rightpress

= 5.4.5 (2019-04-25) =
* Cleaned the filter and rule drop-downs. Removed the replace option as that is not fully functioning yet.

= 5.4.4 (2019-04-23) =
* Re-arranged some of the attributes in the drop-down in order for the important attributes to show above the (long) list of custom attributes

= 5.4.3 (2019-04-23) =
* Solved the same bug again: products that had only one review did not end up in Google's Product Review Feed. This issue has been fixed now.

= 5.4.2 (2019-04-22) =
* Change to Google Product Review Feed: names need to be shorten (anonymous)

= 5.4.1 (2019-04-22) =
* Solved a bug: products that had only one review did not end up in Google's Product Review Feed. This issue has been fixed now.

= 5.4.0 (2019-04-21) =
* Solved a PHP warning that showed for some users when setting-up a feed.

= 5.3.9 (2019-04-18) =
* Solved a PHP warning that showed on the feed settings page when all feeds were deleted
* Changed texts in the review notification

= 5.3.8 (2019-04-18) =
* Tested compatibility for WooCommerce 3.6
* Added the "on backorder" support for the availability attribute
* Solved a bug where in some browsers field mappings could not be added or deleted

= 5.3.7 (2019-04-17) =
* Solved a conflict with the Yoast SEO plugin where the category path was empty for some products.

= 5.3.6 (2019-04-16) =
* We have added 5 custom fields (_woosea_custom_field_0 to 5) that can be used for adding product information to feeds
* Google added new attributes that can be used in Google Shopping: installment and subscription cost. We have added those to the Google Shopping template

= 5.3.5 (2019-04-16) =
* Products that are on back-order will now have the availability status "out of stock" whereas previously they were shown as being "on stock"

= 5.3.4 (2019-04-15) =
* Fixed a bug in the category mapping for level-3 categories. When those categories were mapped to a Google category they did not show in the product feed. This has been fixed now. 

= 5.3.3 (2019-04-14) =
* General clean-up of code
* Changed batch size for product feeds over 50.000 products

= 5.3.2 (2019-04-11) =
* Fixed a bug in filters for product tags

= 5.3.1 (2019-04-10) =
* Added support for adding parameters to the link attribute for CSV feeds

= 5.3.0 (2019-04-10) =
* Solved some PHP warnings that were showing when configuring a CSV feed with Aelia currencies in it
* Added support for adding parameters to the link attribute for CSV feeds

= 5.2.9 (2019-04-09) =
* Added some extra allowed characters (% and ,) in the Yandex PARAM XML node
* Added the review_url field to Google Product Review feeds
* Fixed the review_timestamp format for Google Product Review feeds

= 5.2.8 (2019-04-08) =
* Fixed a bug in the Google Product Review feed where the min/max rating values were wrong.

= 5.2.7 (2019-04-07) =
* Added support for the official WooCommerce Product Bundles (https://woocommerce.com/products/product-bundles/)

= 5.2.6 (2019-04-04) =
* Added the "is promotion" attribute for Google Merchant Promotion feeds

= 5.2.5 (2019-04-02) =
* Fixed a category mapping issue. The preg match was matching too many results, mainly accessories

= 5.2.4 (2019-04-02) =
* Fixed another exotic category mapping issue that occured when users left some category mappings blank

= 5.2.3 (2019-04-02) =
* Fixed a bug: plugin was added main category names to a category mapping, even when that main category was not active for a product. This caused unexpected category mappings in product feeds. This has been solved now.

= 5.2.2 (2019-04-01) =
* Added support for usage of whitespaces in the so-called PARAM_ nodes for Yandex, Zbozi and Heureka feeds.

= 5.2.1 (2019-03-31) =
* Reverted back some of the rule fixes from the previous release as it caused non Google feeds to become empty

= 5.2.0 (2019-03-29) =
* Fixed a Pinterest bug, templare was not loading
* Fixed rules that were created on Google category attributes

= 5.1.9 (2019-03-29) =
* Added support for Pinterest, our plugin now contains a default template for it

= 5.1.8 (2019-03-29) =
* Added support for Google Product Review feeds

= 5.1.7 (2019-03-27) =
* Added support for Cyrrilic characters in PARAM_ parameters for Yandex, Zbozi and Heureka feeds.

= 5.1.6 (2019-03-26) =
* Build in another check for when users add a variable product to their product feed that isn't really a variable product. This caused the plugin to get stuck when processing product feeds.

= 5.1.5 (2019-03-26) =
* Build in a check for when users add a variable product to their product feed that isn't really a variable product. This caused the plugin to get stuck when processing product feeds.

= 5.1.4 (2019-03-25) =
* Added PARAM support for Yandex feeds

= 5.1.3 (2019-03-24) =
* Added PARAM support for Zbozi.cz and Heureka.cz product feeds

= 5.1.2 (2019-03-22) =
* New powerful feature: product data manipulation. Combine different fields and attributes to one piece of product data to improve the quality of your product feeds
* Fixed some PHP warnings that showed upon activation of the plugin
* Fixed naming of Ricardo.ch
* Added Ricarco.ch template

= 5.1.1 (2019-03-19) =
* Added support for named attributes for Zbozi.ch and Heureka.cz
* Fixed an issue where comparisons on numeric numbers bigger than 1000 did not work

= 5.1.0 (2019-03-18) =
* Fixed a bug where category mappings that contained apastrophe were not saved. This issue has been fixed now.

= 5.0.9 (2019-03-17) =
* Fixed an issue where empty rules on product descriptions contained only shortcodes did not work

= 5.0.8 (2019-03-17) =
* Fixed a PHP warning that showed in the logs when a than-rule was set on an empty or non-excisiting attribute

= 5.0.7 (2019-03-16) =
* Added 6 new fields to the product edit pages which you can use for your product feeds: cost of good sold, multipack, is bundle, energy efficiency class, minimum energy efficiency class and maximum energy efficiency class

= 5.0.6 (2019-03-14) =
* Fixed another priceValidUntil structured data markup issue

= 5.0.5 (2019-03-13) =
* Fixed a bug when enabling the select default variant only option

= 5.0.4 (2019-03-12) =
* Added priceValidUntil and url structured data mark-up to default WooCommerce structured data and added it to the structured data markup feature of this plugin

= 5.0.3 (2019-03-12) =
* Fixed another YML bug for Yandex (shop node was misplaced).

= 5.0.2 (2019-03-11) =
* Fixed a bug for Yandex and Zap.co.il feeds where XML nodes were put in multiple times.

= 5.0.1 (2019-03-10) =
* Added the age_group input field on product edit pages

= 5.0.0 (2019-03-08) =
* Fixed a PHP undefined variable warning

= 4.9.9 (2019-03-08) =
* Added a feature: one can select to only include the default product variation in feeds instead of all variations

= 4.9.8 (2019-03-07) =
* Fixed a bug: product tag filters for products that did not have product tags configured did not work. This issue has been fixed.

= 4.9.7 (2019-03-07) =
* Fixed a bug: processing of feeds for which the original feed was deleted did not work. This issue has been fixed.

= 4.9.6 (2019-03-05) =
* Removed the wp_flush_cache option again as it was performing site performance issues

= 4.9.5 (2019-03-05) =
* Solved an PHP object error 

= 4.9.4 (2019-03-04) =
* Added the Huis & Tuin template for Daisycon.com

= 4.9.3 (2019-03-04) =
* Fixed a bug: when WooCommerce was deactivated and Google's Remarketing code was activated a PHP error was thrown. This issue has been fixed (thx alx359 for reporting)

= 4.9.2 (2019-03-01) =
* Fixed a bug: rules with an empty condition meant to replace a value did not work. This issue has been fixed now.

= 4.9.1 (2019-02-28) =
* Fixed some PHP bugs: non-strict MD5 comparisons fixed in most places as making most in_array functions strict comparisons (thanks Daniel & Stephan for this, greatly appreciated!)

= 4.9.0 (2019-02-28) =
* Fixed a bug: sale prices excluding VAT that were added to the feed that had no value got added as a sale price of 0 where it should have been empty. Issue has been fixed now.

= 4.8.9 (2019-02-27) =
* Fixed a bug: for variation products the plugin was adding the slug to the product name for dynamic attributes. This needed to be the dynamic attribute name. Issue has been fixed now.

= 4.8.8 (2019-02-27) =
* Added some more cache flushing

= 4.8.7 (2019-02-27) =
* Forcing the prices excluding VAT to be rounded on two decimals

= 4.8.6 (2019-02-26) =
* The filter bug fix of release 4.7.5 changed the behaviour for exclude filters on empty fields. Made changes so it defaults back to the old behaviour for exclude filters.

= 4.8.5 (2019-02-26) =
* Removed ancestor category from all feeds when not selected

= 4.8.4 (2019-02-26) =
* Re-introduced feature: added a chart on the plugin settings page for every individual product feed showing the amount of products per feed after each refresh.
* Fixed an undifined variables issue for the RSS box (thanks alx359 for spotting this one)

= 4.8.3 (2019-02-26) =
* Fixed a bug for Prisjakt and Pricerunner feeds where the ancestor category was added to the feed even when it was not selected.

= 4.8.2 (2019-02-25) =
* Added a SKU_ITEM_GROUP_ID attribute for Facebook feeds

= 4.8.1 (2019-02-24) =
* Added the product menu order attribute and filter/rule feature

= 4.8.0 (2019-02-23) =
* Fixed a bug: the review notification screen started showing up all over the WP-admin section and could not be dismissed. This issue has been fixed.
* Added extra custom attributes to the filter drop-downs

= 4.7.9 (2019-02-22) =
* Added support for Cyrillic characters in the variation product name appends

= 4.7.8 (2019-02-22) =
* Checked for WordPress 5.1 compatibility
* Fixed a Yandex feed bug for missing CategoryIds for variation products

= 4.7.7 (2019-02-22) =
* Fixed an issue where the ancestor categoryId was added to Yandex feeds for variation products only, even though that ancestor category was not activated. This issue has been fixed now.

= 4.7.6 (2019-02-21) =
* Added object caching flushing
* Changed Zbosi.cz header to http

= 4.7.5 (2019-02-21) =
* Fixed a bug where flters on empty values where not working for include_only filters

= 4.7.4 (2019-02-21) =
* Fixed an issue where the ancestor categoryId was added to Yandex feeds (only when the Yoast SEO plugin was not installed) even though that ancestor category was not activated. This issue has been fixed now.
* Added a template for Zbosi.cz

= 4.7.3 (2019-02-20) =
* WooCommerce 3.5 compatibility message is not showing. This should fix that as our plugin is compatible.

= 4.7.2 (2019-02-20) =
* Solved some PHP warnings that appeared with one of the information boxes when license was inactive

= 4.7.1 (2019-02-19) =
* Attempting to fix a rounding issue for Facebook feeds

= 4.7.0 (2019-02-19) =
* Fixed a bug for Google DRM feeds. Prices got malformed when the thousand separator was a comma. This issue has been fixed now.

= 4.6.9 (2019-02-19) =
* Fixed a bug where some of the wp_enqueue_script where loaded outside the scope of our plugin. This issue has been fixed now.

= 4.6.8 (2019-02-18) =
* Reverted part of the previous release as it contained untested features of an upcoming release. Mea culpa.

= 4.6.7 (2019-02-18) =
* Added a feature to exclude TAX from structured data price fields on product pages

= 4.6.6 (2019-02-18) =
* Fixed a bug where filters on product tags where only working for products that had one tag attached to them. Filters on products that have multiple product tags are working now aswell.

= 4.6.5 (2019-02-16) =
* Added the category slug in the drop-down when creating a category filter

= 4.6.4 (2019-02-15) =
* As of this release all attribute values making a variation product unique will be added to the product name/title. Previously the plugin only added attribute values of attributes that are also in the product feed itself.
* Fixed a PHP-warning that happened for variation products that had no regular price.
* Fixed a PHP-warning that happened for variation products that got saved and did not have the 'extra fields' option of this plugin enabled.

= 4.6.3 (2019-02-13) =
* Fixed another bug where strictly configured PHP instances crashed on using empty on a function.
* Added notifications

= 4.6.2 (2019-02-12) =
* Fixed a bug where strictly configured PHP instances crashed on using empty on a function.

= 4.6.1 (2019-02-11) =
* Added the product URL to the structured data snippet

= 4.6.0 (2019-02-09) =
* Added the possibility to add wc_post_id_ before the item_group_id without a space between it
* Added shipping support for local pickup

= 4.5.9 (2019-02-08) =
* Minor fix where the store code for Google's Local Product Inventory Feeds did not make it to the feed when only 1 shop was added

= 4.5.8 (2019-02-08) =
* Prices for Google's Dynamic Remarketing Feeds now always use '.' as the decimal mark as required by Google.
* Structured data prices are now rounded to two decimals.

= 4.5.7 (2019-02-08) =
* When a suffix was placed behind an attribute on the field mapping page, no space was put between the attribute value and the suffix for CSV feeds only. This has been solved.

= 4.5.6 (2019-02-08) =
* When an user did not add the g:shipping field to their feed there is also no need to calculate the shipping prices per zone per products. So we removed this when this is the case. This results in an perfonce increase, processing the feeds.

= 4.5.5 (2019-02-07) =
* When users add an item_group_id to simple products this causes products to get disapproved in Google's merchant center. Build in a check that always removes the g:item_group_id for simple products.

= 4.5.4 (2019-02-07) =
* Fixed a bug: the attribute price incl. VAT did not always contained the price incl. VAT due to active caching plugins. This has been fixed now.

= 4.5.3 (2019-02-06) =
* Fixed a bug: in the attribute enable/disable settings page some attributes could not be enabled. Changing the settings was not saved. This has been fixed now.

= 4.5.2 (2019-02-05) =
* Added support for adding mutiple store codes to Google Local Product Inventory Feeds

= 4.5.1 (2019-02-04) =
* The Redis Object Caching support was causing issues with some of our users so we removed support for the Redis Object Caching again (temporarly)

= 4.5.0 (2019-02-03) =
* Added the possibility to add prefix and suffixes before and after the id

= 4.4.9 (2019-02-03) =
* Removed upgrade notices for members who bought an Elite license

= 4.4.8 (2019-02-03) =
* Fixed a bug: the Aelia currency switch enable/disable option was broken, it could not be turned off. This issue has been fixed.

= 4.4.7 (2019-02-03) =
* Fixed a bug: include_only filters on tags were not working. This issue has been fixed.
* Added compatibility for the Redit Object Caching plugin
* Added some more license checks

= 4.4.6 (2019-01-31) =
* Solved a PHP warning that showed up when creating filters on quantity fields

= 4.4.5 (2019-01-31) =
* Final preparations made for the launch of the Elite features. Added lots of notifications, help texts and utm parameters

= 4.4.4 (2019-01-30) =
* Added notifications to the manage feeds page with regards to the Elite features

= 4.4.3 (2019-01-30) =
* Disabled the chart feature for now as Chart.js seems to conflict with some theme's

= 4.4.2 (2019-01-29) =
* New feature: introduced a chart feature for every individual product feed showing the amount of products per feed after each refresh.

= 4.4.1 (2019-01-29) =
* Fixed a bug: rules to change shipping costs for non Google shopping/Facebook feeds where not working. This issue has been fixed now.

= 4.4.0 (2019-01-28) =
* Fixed a bug: manually entered Aelia prices for variation products did not make it to the product feed. This issue has been fixed now.

= 4.3.9 (2019-01-27) =
* Fixed a bug: when a shipping zone was applicable for multiple countries it only put in the last country in the feed. This issue has been fixed now.

= 4.3.8 (2019-01-26) =
* Removed the template for Google Product Review Feeds as it was not fiished yet

= 4.3.7 (2019-01-25) =
* Fixed a bug: Aelia base currency was always showing as a shipping currency prefix after updating the currency setting of a product feed. This has been fixed now.

= 4.3.6 (2019-01-25) =
* Fixed a bug: there was a double currency prefix with shipping costs. This has been solved.

= 4.3.5 (2019-01-25) =
* Added Aelia exchange rate features for shipping costs

= 4.3.4 (2019-01-23) =
* Further improved support for the Aelia currency switcher

= 4.3.3 (2019-01-23) =
* Improved support for the Aelia currency switcher, the plugin now also accepts manually entered prices (regular and sale price)

= 4.3.2 (2019-01-22) =
* Fixed a bug: exclude rules that were set on product attributes that were empty did not work. Issue has been fixed.
* Another attempt to fix the variable mismatch issue

= 4.3.1 (2019-01-21) =
* Fixed the variable mismatch error that existed for users who also used WPML

= 4.3.0 (2019-01-20) =
* Added support for the Latvia Comparison Shopping Engine Salidzini.lv

= 4.2.9 (2019-01-19) =
* Added links to relevant tutorials
* Added some license checks

= 4.2.8 (2019-01-17) =
* Fixed a bug: when a Free Shipping zone was configured and limited to certain postal code's and shipping was restricted to one country the free shipping did not end up in the feed. Issue has been fixed.

= 4.2.7 (2019-01-17) =
* Fixed a bug: adding static values in the attribute field mapping page was not working. Issue has been fixed.

= 4.2.6 (2019-01-16) =
* Added the override column to the Facebook feed template so besided the base Facebook feed one can now also create country and language override feeds for Facebook

= 4.2.5 (2019-01-16) =
* Adding suffixes to the link attribute contained a space. We have now changed this so the space gets removed, allowing you to append (static) paramaters to your URL

= 4.2.4 (2019-01-16) =
* The installment amount field was only accepting numbers and not floating numbers (with a . or ,). We have changed this so the field also accepts decimal values.

= 4.2.3 (2019-01-15) =
* Fixed a bug: The Google Analytics and AdTribes conversion tracking buttons did not save when changed. This issue has been solved.

= 4.2.2 (2019-01-15) =
* Added support for the Aelia Currency Switcher

= 4.2.1 (2019-01-11) =
* Added cascading mother / child category mapping feature

= 4.2.0 (2019-01-11) =
* Category mapping made even easier: as of this release it is possible to, with one go, copy existing category mappings to all other categories. This saves you valuable time when you want to map all your categories to one or just a few Google taxonomy categories.

= 4.1.9 (2019-01-08) =
* Added support (template) for the Italian Comparison website Trovaprezzi.it

= 4.1.8 (2019-01-08) =
* Replaced the jQuery UI icons by the official WP dashicons as some user reported not being able to see the jQuery UI icons as those got removed by there theme's

= 4.1.7 (2019-01-07) =
* Improved license-module of plugin

= 4.1.6 (2019-01-03) =
* Changed the inner workings of the 'contains' rules for the shipping field. Whereas previously this rule replaced the entire string now it does a proper string replace only replacing the exact 'contains' part of the rule.
* Fixed a bug: previously saved filters and rules on shipping fields got deleted when configuration changes were made to the feed. This issue has been solved now.
* Changed the plugin's icon in the WP-admin menu to our Adtribes.io logo

= 4.1.5 (2019-01-03) =
* Fixed a bug for Facebook CSV feeds where the identifier_exists field is not needed and caused some columns to contain the value "yes", always. This issue has been solved.

= 4.1.4 (2019-01-03) =
* Added multiply rule feature for shipping prices
* Added product review information to the plugin, this however cannot be used for feeds yet
* Prepared the plugin for launch of the paid Elte features

= 4.1.3 (2018-12-30) =
* Fixed a bug for the Zap.co.il template

= 4.1.2 (2018-12-29) =
* Fixed a bug for the Zap.co.il template

= 4.1.1 (2018-12-29) =
* Fixed a bug: rules and filters could not be deleted. This issue has been fixed.

= 4.1.0 (2018-12-28) =
* Fixed another rules and filter display bug

= 4.0.9 (2018-12-28) =
* Added a default feed template for the Israelian price comparison Zap.co.il

= 4.0.8 (2018-12-27) =
* Fixed a rule displaying bug. The rule was actually working fine but it was not showing in the configuration page.

= 4.0.7 (2018-12-27) =
* We have added WooCommerce Multilingual support, especially the currency switcher. WooCommerce Multilangual is an addition onto the popular WPML-plugin
* We have improved our WPML support (version 4.1 and higher)

= 4.0.6 (2018-12-24) =
* Added a Google Shopping tutorial to the plugin

= 4.0.5 (2018-12-22) =
* Switched On/Off title's of toggle's
* Cleaned-up HTML of the Google Analytics configuration page so no variable mismatch will show after submitting this page.

= 4.0.4 (2018-12-20) =
* Cleaned-up HTML of the rules and filter pages and made some changes to the jQuery checks for that functionality. Hoping it will take away the variable mismatch detection.
* Fixed a bug: Byte Order Marks where added to every line for CSV feeds whereas it should only appear only once. This issue has been fixed.

= 4.0.3 (2018-12-20) =
* Improved the way the plugin cleans up the description and short description attributes from HTML. It now replaces some of the HTML with whitespaces instead of just removing it making the description and short description better to read. Thanks Stan B for your suggestion. Much appreciated!

= 4.0.2 (2018-12-20) =
* Another attempt to get rid of the "variable mismatch detection"

= 4.0.1 (2018-12-18) =
* Added form tags to the allowed HTML keys using the wp_kses_allowed_html function as they had been removed in the WP 5.01 release. This solves the "A variable mismatch has been detected" error.

= 4.0.0 (2018-12-17) =
* Fixed another issue with cached prices ending up in product feeds.

= 3.9.9 (2018-12-16) =
* Added support for Cyrillic characters for CSV files.

= 3.9.8 (2018-12-16) =
* Fixed a bug: caching caused product feeds to contain wrong and changing prices in product feeds. This only happened on very rare occaccions but has been fixed now.

= 3.9.7 (2018-12-14) =
* Fixed a bug: when all pre-defined fields for custom feeds where deleted and new fields were added the product feed would break. This has now been fixed.
* Made improvements to the JSON (structured data fix for the WooCommerce bug)

= 3.9.6 (2018-12-11) =
* Removed the option to create Google Shopping / Merchant Center CSV feeds. The only option left is XML feeds. Current CSV feeds remain working ofcourse.
* Added support for "fee percentage" Shipping formula's

= 3.9.5 (2018-12-10) =
* Tested for Wordpress 5.0 compatibility, no issues found
* Added support for diacritics characters in the optimized title field

= 3.9.4 (2018-12-03) =
* Added functionality: one can now create rules saying: if attribute X is empty use the value from attribute Y
* Added functionality: free shipping zones are now also added to product feeds, even when the price is 0

= 3.9.3 (2018-12-02) =
* Fixed a bug: the last release (3.9.2) broke support for Cyrillic characters. This has now been fixed.

= 3.9.2 (2018-11-29) =
* Fixed a validation bug where spaces where not allowed in the optimized product title field. This has been fixed now.

= 3.9.1 (2018-11-29) =
* Added stricter encoding on the product name, description and short description attributes in order to prevent warnings in Google's Merchant Center

= 3.9.0 (2018-11-29) =
* Product feeds are now only being refreshed when the complete update of a feed has finished. Previously we updated product feeds on the fly which caused issues when for example Google Shopping was retrieving the product feed at the exact same time.
* You can now create filter and rules on catalogue and search visibility 
* When the sale price of a product is equal to the regular price of a product the product is not on sale, we are now removing the sale price from feeds when this is happening
* Changed the default price mapping for Google Shopping and Facebook feeds to the regular price attribute
* Fixed a PHP Notice for products that are eligable for free shipping as the minimum shipping product price was reached.
* Fixed a PHP Warning which showed when plugin users had no product attributes at all

= 3.8.9 (2018-11-23) =
* Enabled license check module again. This is just the checking module and page. Licenses are not required yet for the Elite features.

= 3.8.8 (2018-11-23) =
* Fixed a bug: shipping zones that had a cost of 0 were removed from the feed. Those are now being added again as those got disapproved by Google.
* Fixed a bug: removed the admin-url ajax URL for safety reasons.

= 3.8.7 (2018-11-23) =
* Name change of plugin as we got a trademark complaint from Automattic, the owner of the WooCommerce brand

= 3.8.6 (2018-11-21) =
* New feature: we have added the functionality to copy existing product feed configurations to a new product feed. Just hit the copy project icon on the Manage Feeds page.

= 3.8.5 (2018-11-19) =
* Fixed a bug: shipping zone fix for users who put region, country, postal code or price in the zone name itself
* Added a correction check for shipping cost formula's that have wrongly been inserted by users

= 3.8.4 (2018-11-18) =
* Fixed a bug: some shipping zones were incomplete in product feeds. Issue has been solved.

= 3.8.3 (2018-11-17) =
* Fixed a bug: text delimiters for custom feed CSV's were missing. Issue has been solved.

= 3.8.2 (2018-11-16) =
* Fixed a bug for United States and Australian Shipping cost settings. There are no longer empty shipping XML nodes in the feed.

= 3.8.1 (2018-11-16) =
* Fixed a color/size/material bug: the plugin was not adding product colors, sizes and materials according to Google's Merchant Center requirements when products had multiple values for this. This has now been fixed
* Fixed a SimpleXMLElement PHP warning causing PHP warnings in the logs (thanks Simon for your help in this one, appreciated!)
* Checked compatibility with WooCommerce 3.5.1

= 3.8.0 (2018-11-09) =
* Fixed a delimiter issue for Google's Local Product Inventory feeds on special request from @muranomidwest

= 3.7.9 (2018-11-09) =
* Fixed a minor bug: the g:postal_code field format is, for example, 94002-95460. The default WooCommerce annotation is 94002...95460 so this was resulting in warnings in Google's Merchant Center. We have now fixed this bug so the g:postal_code meets up to Google's requirements.

= 3.7.8 (2018-11-09) =
* Rebuild parts of the category mapping functionality as some users experienced mappings that did not get saved or screens that froze.
* We have added a plugin systems check tab which shows if the basic requirements for this plugin are met.

= 3.7.7 (2018-11-06) =
* Shipping classes with a 0 shipping cost are no longer added to the product feeds

= 3.7.6 (2018-11-06) =
* Fixed a bug: the plugin was adding prefixes and suffixes to attribute values that were empty. Prefixes and suffixes are no longer added to empty attribute values.
* Fixed a bug: fputcsv was causing issues with CSV files. Replaced this PHP function with an oldfashioned fopen and fwrite. This has now been solved.
* Fixed a bug: Eval function was throwing and error for Shipping Class formula's that were not truly a formula. This has now been solved.

= 3.7.5 (2018-11-05) =
* Checked and tested the plugin for WooCommerce 3.5. compatibility
* Fixed a bug: in some browsers, such as Safari, the attribute enabling/disabling feature was not working due to a JS-error. This has now been solved.
* Added support for shipping costs formula's. The [qty] field is now supported for all your shipping classes.

= 3.7.4 (2018-11-02) =
* Fixed some cosmetic issues with regards to the blinking status messages
* Fixed a bug: when a product feed project was disabled one could no longer enable it. This has now been solved

= 3.7.3 (2018-11-02) =
* On popular demand we fixed some Google Local Products Inventory feed issues: the store code attribute was surrounded with non UTF chars, the sale price effective date contained a slash when no sale date was set. Also Google requires it to be a txt file (and not tsv or csv).
* Fixed a bug: the attribute Category (not used for mapping) was empty for variation products. This has now been fixed. The plugin will use the parent product category for it.

= 3.7.2 (2018-11-02) =
* Fixed a minor bug: variation products that did not have parameters in the URL for which the plugin appended Google Analytics and AdTribes parameters the landingpage URL's contained no questionmark before the parameters
* Fixed a bug on the get_gallery_image_ids() call

= 3.7.1 (2018-10-31) =
* Bug fixed that was introduced in version 3.7.0, it caused a fatal error upon creation of new feeds

= 3.7.0 (2018-10-31) =
* Added an attributes setting feature so missing custom attributes can be enabled and used for configuration and optimisation of your product feeds.
* We finally made the progress status message dynamical so you no longer need to refresh your browser to see what the status of your product feed is.

= 3.6.9 (2018-10-19) =
* Fixed a bug: build in stricter UTF8 checks for the description and short_description attributes

= 3.6.8 (2018-10-15) =
* Completed the list of Google Shopping fields available. Also changed the g:adwords_redirect field to g:ads_redirect

= 3.6.7 (2018-10-10) =
* Fixed a bug: When the Yoast SEO plugin was active and products were placed inside a category but no primary category was defined the plugin would not put the category in the product feed. This has now been fixed.

= 3.6.6 (2018-10-09) =
* Added Google's g:cost_of_goods_sold field in the drop-downs so you can add it to your Google Shopping Merchant Center feeds
* Added Yoast's custom attributes to the drop-downs so you can add those product values to your product feeds

= 3.6.5 (2018-10-05) =
* New feature: When the description of a variation product has been filled it will override the product description and product short description of the simple/mother product.

= 3.6.4 (2018-10-05) =
* Fixed a bug: the plugin was crashing for variation products that had a slash in their product name. This has now been fixed. (Thanks @cargoodrich for reporting this issue to us).

= 3.6.3 (2018-10-03) =
* The optimised title attribute field now also accepts alphanumeric characters
* Fixed a dynamic attribute bug, it was putting the slug value in the prodicy feed instead of the proper value. This has now been fixed.

= 3.6.2 (2018-10-03) =
* Added the product feed template for Guenstiger.de

= 3.6.1 (2018-10-02) =
* Major custom (product) attribute update: apart from adding individual custom product attributes to the mapping and filtering/rules dropdowns we have also cleaned-up these drop-downs so only the relevant attributes show
* Fixed a VAT bug that happened for plugin users that also use a caching plugin

= 3.6.0 (2018-09-27) =
* Added support for Facebooks content_type attribute. It is now possible to select the attribute 'Content Type' in the attribute mapping page.

= 3.5.9 (2018-09-26) =
* Fixed another additional image gallery bug, it was showing only two in the feed . Now it shows all.

= 3.5.8 (2018-09-24) =
* Fixed a bug: additional gallery images for variable products can now also be put in product feeds

= 3.5.7 (2018-09-23) =
* Fixed the validation check on MPN
* Fixed a bug for empty rule sets on values a product doesn't have

= 3.5.6 (2018-09-20) =
* Fixed a bug for include_only and exclude rules and filters that were set on an attribute that were not present for certain products

= 3.5.5 (2018-09-17) =
* Change to the Google Local Products Inventory CSV. Google requires the CSV feed to not contain field enclosures (against official CSV requirements) so we have stripped them off

= 3.5.4 (2018-09-15) =
* Minor changes, fixing PHP log warnings

= 3.5.3 (2018-09-10) =
* Added a plugin setting: you can now override your variation main image with it's mother main image if you do not want your variation images to be your product feeds

= 3.5.2 (2018-08-31) =
* Added product tags support: you can now add product tags to your product feeds and create filters and rules on them

= 3.5.1 (2018-08-28) =
* Added a template for Google Local Products Feed (next to the already existing Local Products Inventory Feed template).
* Fixed a bug: the field enclosure in Google's Local Products Inventory Feed was wrong. This issue has been fixed now.

= 3.5.0 (2018-08-24) =
* Fixed a bug: multiply rules on numeric values are now both working for European and US annotations.

= 3.4.9 (2018-08-22) =
* Fixed a bug: pieces of product XML or CSV still ended up for products that should have been filtered out. This issue has been fixed now.

= 3.4.8 (2018-07-31) =
* Added the possibility to create replace-rules giving you extra options to manipulate the information that ends up in your product feeds

= 3.4.7 (2018-07-30) =
* Fixed a bug: the optimized title input field did not allow strange characters and uppercases whereas this was allowed for viariant products. This issue has been fixed now.
* Fixed a bug: there was a double optimized title input field for variant products. This issue has been fixed now.

= 3.4.6 (2018-07-30) =
* Added a template for Google Local Product Inventory

= 3.4.5 (2018-07-26) =
* Fixed a bug: attribute values were no longer appended to product names for variants products. This issue has been fixed now.

= 3.4.4 (2018-07-26) =
* Added a template for Google DSA (Dynamic Search Ads)

= 3.4.3 (2018-07-26) =
* Fixed a bug: plugin was adding the google_product_category tag to the XML for products that were filtered out. This issue has been fixed now.

= 3.4.2 (2018-07-20) =
* Shortcodes added to the description and short description attributes by the visual composer will now be stripped

= 3.4.1 (2018-07-19) =
* Some minor changes to the Miinto templates for the title and description fields

= 3.4.0 (2018-07-19) =
* Fixed a bug: the rightpress plugin support for prices was broken. This issue has been fixed now.
* Fixed a bug: categories that contained a slash / and for which a category mapping was created caused preg_match PHP warnings in the log. This issue has been fixed now.

= 3.3.9 (2018-07-13) =
* Fixed a bug: when creating a Google Remarketing - DRM feed the delimiter drop-down did not show causing the product feed to have no delimiters. This issue has been fixed now.

= 3.3.8 (2018-07-13) =
* Solved A PHP warning that happened during processing of the product feeds

= 3.3.7 (2018-07-06) =
* Major update to Google category mapping feature: in older versions of the plugin one had to map all categories when a product sat in multiple categories (including the parent category). This no longer is needed, creating just one category mapping for these products is enough, no need to map all categories. Also, when a category mapping is missing for a product the google_product_category field will be empty as of now, whereas previously the plugin put the WooCommerce category name which obviously resulted in disapprovals in Google's Merchant Center as Google did not recognise those categories.

= 3.3.6 (2018-07-04) =
* Fixed a bug: category names that contained a " could not be mapped to Google's categories. This issue now has been fixed.

= 3.3.5 (2018-06-30) =
* Fixed a bug: append to product names was not working in some cases, causing feeds to stall. This issue now has been fixed.

= 3.3.4 (2018-06-30) =
* Fixed a bug: the extra fields our plugin ads somehow did not end up in the feed anymore (GTIN, brand, etc). This issue now has been fixed.

= 3.3.3 (2018-06-26) =
* Removed license check for now. Will launch a seperate version soon.

= 3.3.2 (2018-06-26) =
* New feature: want to retarget your visitors in Google? Simply enable the Google Dynamic Remarketing option of our plugin and Google's remarketing tags will be placed on all pages of your website, including the basket and thank-you page. The Dynamic Remarketing code is perfectly alligned with the product feeds you created.
* Added a mother product name attribute. Some channels, such as Manomano, need this to be used for variation products.
* Solved a bug: google categories where added to the XML feed even when product items should have been removed due to filtering. This has now been solved.
* Solved a bug: removed rightpress support as it was causing prices to be wrong in product feeds.
* WPML support is deactivated when license is no longer valid

= 3.3.1 (2018-06-25) =
* Added a channel template for Katoni.dk
* Increased the maximum lenght for custom field from 20 to 50 characters

= 3.3.0 (2018-06-24) =
* Fixed a PHP warning when no attribute could be appended to variant product names

= 3.2.9 (2018-06-23) =
* Fixed a bug: there was a bug in the multiplying rule. This has now been solved.
* Previous release caused errors to display after the final configuration step. Those have been removed now.

= 3.2.8 (2018-06-22) =
* Fixed a bug: sale prices that were inserted excl. VAT and show incl. VAT on the website did not contain VAT in the product feeds. This has now been solved.
* Fixed a bug: multiply rules on numeric values containing a comma did not work. This has now been solved.

= 3.2.7 (2018-06-22) =
* Hyphens are now also allowed for XML elements when one adds a custom attribute field

= 3.2.6 (2018-06-21) =
* Made changes to the Miinto templates so they now all support Denmark, Netherlands and Poland localized fields

= 3.2.5 (2018-06-20) =
* We made a change to how category filters are working. Filters are now *always* working on the original category name and no longer need to be changed when you mapped your category to those of Google. We also replaced the input field with a drop-down containing all your categories when you create a new category rule
* We added an AdTribes widget to your dashboard containing links to our latest blog posts

= 3.2.4 (2018-06-18) =
* Added an option to enable / disable WPML support

= 3.2.3 (2018-06-17) =
* Category rules now both work on your original category name AND the Google category taxonomy

= 3.2.2 (2018-06-15) =
* Minor update: change of plugin name and asset headers

= 3.2.1 (2018-06-14) =
* Multiply, divide, plus and minus are new conditions that can be used when creating rules. These new operators only work on numeric fields such as price, sale price, quantity, etc.

= 3.2.0 (2018-06-13) =
* Added support for WC Fields Factory so the custom attributes created by thus plugin now also can be used 

= 3.1.9 (2018-06-12) =
* The extra custom attributes for variations where not saving, this bug has been solved now

= 3.1.8 (2018-06-12) =
* Fixed a bug: in some occasions the attribute value was not appended to the product name for variation products

= 3.1.7 (2018-06-10) =
* Added validation on the input fields added by the plugin (GTIN, EAN, SKU, optimized title, etc)
* Added sanitizing for POST and GET parameters

= 3.1.6 (2018-06-06) =
* Removed the 'Grant access to support' functionality in the plugin settings section as it was violating the WordPress directory guidelines.

= 3.1.5 (2018-06-06) =
* Added support for WooCommerce Advanced Free Shipping
* Fixed a bug: inactive shipping methods where still being used to calculate a product shipping price. This has now been solved.

= 3.1.4 (2018-06-06) =
* Added Fruugo.nl template
* Added Fruugo.es template
* Added Fruugo United States template
* Added Fruugo Australia template

= 3.1.3 (2018-06-05) =
* Added Fruugo.co.uk template
* Added Moebel.de template

= 3.1.2 (2018-06-04) =
* Fixed a bug in the Free Shipping Method

= 3.1.1 (2018-06-04) =
* The size field for Facebook DRM product feeds was missing, added it to the fields drop-downs now.

= 3.1.0 (2018-06-03) =
* WPML: on popular demand our plugin now supports WPML. Create your product feeds in all your active languages.

= 3.0.9 (2018-05-31) =
* Added links to support pages on AdTribes.io 

= 3.0.8 (2018-05-30) =
* License notications where not shown when they should, issue has been solved
* Minor template changes

= 3.0.7 (2018-05-30) =
* Added support for the Google Shopping 'installment' field

= 3.0.6 (2018-05-28) =
* Added the Miinto.pl Poland template

= 3.0.5 (2018-05-27) =
* Fixed a bug: when adding multiple custom attributes in the attribute mapping page it would only save the last created custom attribute mapping. This bug now has been solved.

= 3.0.4 (2018-05-27) =
* Major update of plugin Shipping zones support: The plugin now also supports Australian and United States postal code implementations and respects minimum tresholds for Free Shipping
* Made compatible with WooCommerce 3.4
* Changed license check from twice to once a day

= 3.0.3 (2018-05-20) =
* Added template for Miinto Denmark
* Added template for Miinto Netherlands
* Fixed a category mapping bug for Google Shopping product feeds
* Fixed a is_numeric php warning

= 3.0.2 (2018-05-17) =
* Filters are now also working on products that are missing the attribute the filters is set on

= 3.0.1 (2018-05-17) =
* Fixed a batched filter bug
* Fixed a minor PHP warning

= 3.0.0 (2018-05-16) =
* Bug fix for include_only filters

= 2.9.9 (2018-05-16) =
* Bug fix for filters on strings

= 2.9.8 (2018-05-16) =
* Added an extra template field tax for the Skroutz feeds

= 2.9.7 (2018-05-16) =
* Add a filter option to 'include only' on 'is not equal to' string values

= 2.9.6 (2018-05-16) =
* Added some more cleaning-up upon deinstallation of plugin

= 2.9.5 (2018-05-15) =
* Added some clean-up functionalities: when the plugin gets disabled it removed the hooks created to automatically refresh the feed and check the license. When the plugin is deleted the entire product feed configuration is deleted.

= 2.9.4 (2018-05-14) =
* Solved a stack trace error that in some cases stopped the automatic update process of product feeds

= 2.9.3 (2018-05-13) =
* Fixed minor count error

= 2.9.2 (2018-05-11) =
* Fixed the preg_match errors upon generation of the feed

= 2.9.1 (2018-05-11) =
* Added the possibility to map a channel price to your front-end price (price inserted excl. VAT, shown including VAT)
* Fixed a minor shipping price big

= 2.9.0 (2018-05-11) =
* Fixed a missing tab in a drop-down when fileformat TSV was chosen
* Fixed a bug with attribute mappings not being saved correctly
* Renamed a ManoMano template field

= 2.8.5 (2018-05-08) =
* Major update to the category mapping feature. The mapping is no longer restricted to ~ 300 categories, you can map as many categories as needed from now on. We managed to bypass some PHP restrictions in this update.

= 2.8.4 (2018-05-07) =
* We hear you, not being able to remove the license notification is a pain in the *** ;-) Our apologies for this bug, just like all our other notifications you can now disable the notification and it won't ever show again.

= 2.8.3 (2018-05-07) =
* Doubled the speed for creation of product feeds for shops that contain over 50.000 products

= 2.8.2 (2018-05-04) =
* Added the ManoMano.co.uk marketplace template

= 2.8.1 (2018-05-04) =
* Fixed an issue with the condition attribute. The default value of condition is, as of now, 'New' so this value will never be empty
* Fixed a minor issue with regards to the identifier_exists field for Google Shopping. The plugin calculates itself if the value needs to be no or yes completly ignoring static values entered by users. This has now been solved
* Did some restyling of the admin screens

= 2.8.0 (2018-05-03) =
* Fixed a bug with the product exclude option for variation products

= 2.7.9 (2018-05-03) =
* Fixed bug for WooCommerce Dynamic Pricing & Discounts from RightPress

= 2.7.8 (2018-05-02) =
* Update for Elite users: set a parent brand for all your variants so you do not have to fill in the brand for all variant products. The optimized title now overwrites the normal product title and when the optimized title is left blank the plugin falls back to using the normal product title. Like this you do not have to fill in an optimized title for every product.

= 2.7.7 (2018-05-02) =
* Fixed the double concatenation of (default) attribute values to variant product names

= 2.7.6 (2018-05-01) =
* Added support for WooCommerce Dynamic Pricing & Discounts from RightPress

= 2.7.5 (2018-05-01) =
* Fixed a minor custom attributes bug

= 2.7.4 (2018-05-01) =
* Added support for WooCommerce Dynamic Pricing & Discounts from RightPress

= 2.7.3 (2018-05-01) =
* Solved a bug that concatenated attributes value to the product name multiple times (thanks for reporting @jjuul)

= 2.7.2 (2018-04-30) =
* Added the unit pricing measure and unit pricing base measure fields for Google Shopping feeds

= 2.7.1 (2018-04-30) =
* Removed duplicate triggering of cron_hook

= 2.7.0 (2018-04-30) =
* Fixed a bug with regards to the unit_pricing_base_measure field for Google Shopping

= 2.6.9 (2018-04-29) =
* Fixed a JSON structured data bug

= 2.6.8 (2018-04-29) =
* Added UTF8 encoding to the Google Shopping XML product feeds (thanks @exentric and tkellmen!)

= 2.6.7 (2018-04-27) =
* Removed some notifications

= 2.6.6 (2018-04-26) =
* Improved housekeeping cleanup when an user deactivates the plugin

= 2.6.5 (2018-04-26) =
* Added a backup cron hook for kickstarting product feeds that got stuck during processing
* Improvement license validation check, based on domain

= 2.6.4 (2018-04-25) =
* Improved notification texts and enhanced license validation check

= 2.6.3 (2018-04-25) =
* Added the Google Merchant Promotions Feed template

= 2.6.2 (2018-04-23) =
* Improved performance of the plugin and changed order of file format selector/drop-down

= 2.6.1 (2018-04-13) =
* Fixed another JSON bug

= 2.6.0 (2018-04-12) =
* Fixed a structured data JSON bug (thanks for reporting @gregbast1994)

= 2.5.9 (2018-04-12) =
* Added a 'no refresh' interval option for users who do not need the feeds to be refreshed automatically
* For WooCommerce stores with thousands of products the configuration of a product feed itself sometimes became really slow. This issues has been fixed

= 2.5.8 (2018-04-11) =
* Fixed minor bug in structured data JSON markup

= 2.5.7 (2018-04-10) =
* Added helptexts for our new feature that adds the custom attributes such as GTIN, MPN, EAN, Brand, Condition, etc

= 2.5.6 (2018-04-09) =
* Added support for the following structured data fields on your product pages: itemCondition and availability. This will result in less disapproved items in your Google Merchant Center;
* Fixed a structured data bug for the price field (occured for variable products that existed out of two or more attributes);
* Fixed a fatal PHP error for a missing exclude filter;
* Added the Elite license validation module (beta testing phase)

= 2.5.5 (2018-04-05) =
* We have added a checkbox on both the simple and variable edit pages that you can enable if you want to exclude a certain product from product feeds. This was already possible making filters however we found this to be a more user-friendly solution. 

= 2.5.4 (2018-04-04) =
* Big release: we have added an option for you to enable in the plugin settings that will add important fields / attributes for your products which you need to meet Google's requirements. Enabling this option will give you these extra fields / attributes: Brand, GTIN, MPN, UPC, EAN, Product condition (New, Refurbished, Used) and an Optimised title field. These fields / attributes can than be used for mapping them to the correct Google Shopping fields.
* The added 'Product condition' field value will also be used on your product page JSON's so your products will not be disapproved in Google's Merchant Center.

= 2.5.3 (2018-30-03) =
* Fixed the empty item tags in Google Shopping feeds caused by filtering

= 2.5.2 (2018-30-03) =
* Added JSON itemCondition to the product page so products in Google Shopping are not getting disapproved because of this

= 2.5.1 (2018-30-03) =
* Fixed a filter and rule bug where some of the filters and rule configurations got lost
* Fixed a filter bug on numeric value (for example filters on price)
* Added helptext for users pointing to instructions on how to set filters

= 2.5.0 (2018-29-03) =
* Solved a bug calling a non existing function 

= 2.4.9 (2018-29-03) =
* Rollback trying to revert a bug

= 2.4.2 (2018-28-03) =
* When the Yoast Premium plugin was installed but not active and a product sat in multiple categories the g:google_product_category field was left empty in the product feed. This bug has now been solved.

= 2.4.1 (2018-28-03) =
* Reverted to an older version as the plugin caused processing of big feeds to get stuck

= 2.3.6 (2018-23-03) =
* Added the Sale price effective date attribute so it can be used in Google Shopping feeds

= 2.3.5 (2018-23-03) =
* Prevented custom attributes that have no value from showing up in the product feeds as empty nodes

= 2.3.4 (2018-23-03) =
* Added CDATA brackets for the title, description and short_description attributes to prevent XML formatting errors

= 2.3.3 (2018-23-03) =
* Because of PHP limitations it was not possible to map more than 165 categories to Google Shopping categories. We have now been able to increase that number to 330 categories.

= 2.3.2 (2018-22-03) =
* Custom attributes that are being added by external plugins that begin with a underscore in its naming now also can be used in the plugin

= 2.3.1 (2018-22-03) =
* Solved a bug in the field mapping page where numeric product attribute names caused mapping issues

= 2.3.0 (2018-21-03) =
* Removed non-line-break characters from the product feeds in the description and short_description attributes

= 2.2.9 (2018-21-03) =
* Fixed some UTF-8 decoding issues causing XML formatting errors in Google's Merchant Center

= 2.2.8 (2018-21-03) =
* Added HTML decode for the description and short_description attributes so it shows the characters in the product feed as it should

= 2.2.7 (2018-20-03) =
* It is now possible to map the same custom attribute for both single and variable products
* Improved speed of creating product feeds
* Fixed a bug where filters removed all product data but left an empty category XML node in the feed

= 2.2.6 (2018-17-03) =
* Changed the XML header for Zbozi.cz product feeds

= 2.2.5 (2018-17-03) =
* Added TSV (tab-seperated) support for all channels.
* Added Miinto.nl template

= 2.2.4 (2018-16-03) =
* When product stock management was active WooCommerce returns a product as being 'Out of stock even when the stock quantity is > 0. We think this makes no sense so we made changes to the plugin. When stock management is active on product level and the stock quantity > 0 we will put the availability value on "in stock" as of this new release.

= 2.2.3 (2018-15-03) =
* We have made some functional changes to the Google Shopping category mapping option. Whereas in older versions of the plugin the category attribute was overwritten a potential Google category ID coming from a Google category mapping this can now be prevented with selecting the 'Category (not used for mapping)' option in the drop-downs on the attribute mapping page.

= 2.2.2 (2018-14-03) =
* Added the attribute publication date as one of the attributes that can be added to product feeds, such as Kijiji Italy.

= 2.2.1 (2018-11-03) =
* Fixed some broken CSS
* Added explanations about the WooCommerce Structured Data mark-up bug

= 2.2.0 (2018-09-03) =
* CSS bullet lists broke in some browsers resulting in an ugly plugin interface. This has now been fixed..

= 2.1.9 (2018-09-03) =
* Added some extra picture fields to the Kijiji Italy template

= 2.1.8 (2018-08-03) =
* Fixed a bug in the rules and filers (some rules got lost with the previous update of the plugin)

= 2.1.7 (2018-07-03) =
* Rules that removed products from your WooCommerce Google Shopping product feed did not remove the <item/> XML closure tag. Although this is not wrong XML and did not cause issues with submitting the feed to Google's Merchant Center we did clean it up.

= 2.1.6 (2018-07-03) =
* Added Kijiji Italy template

= 2.1.5 (2018-06-03) =
* Improved error notifications
* Added review request notification

= 2.1.4 (2018-25-02) =
* Made some changes to the 'grant access' feature of the plugin

= 2.1.3 (2018-24-02) =
* Doing some housekeeping: cleaning up files and cron jobs after deactivation of the plugin
* Removed some error messages

= 2.1.2 (2018-24-02) =
* Because of a bug in WooCommerce variable products will get disapproved in Google's Merchant Center. WooCommerce adds the price of the cheapest variable product in the structured data for all variations of a product. Because of this there will be a mismatch between the product price you provide to Google in your Google Shopping product feed and the structured data price on the product landingpage. Google will therefor disapprove the product in its merchant center. You won't be able to advertise on that product in your Google Shopping campaign. The plugin now contains and option to fix the structured data on variable product pages by adding the correct variable product price in the JSON-LD structured data so Google will approve the variable products you submitted. Prices you provide in your Google Shopping product feed for variable products will now match the actual prices of those products on yor product pages.

= 2.1.1 (2018-14-02) =
* Fixed an issue with the g:identifier_exists attribute for Google Shopping product feed
* Added helptexts to the attribute mapping page
* Now allowing underscores in XML namespaces for custom feed fields

= 2.1.0 (2018-09-02) =
* Cleaned-up the list of attributes to map and set filter and rules on making it easier to map fields and set filter or rules.

= 2.0.9 (2018-07-02) =
* Added support for filtering on empty fields

= 2.0.8 (2018-06-02) =
* Added support for custom fields that are being added by other plugins

= 2.0.7 (2018-04-02) =
* Added conversion data to the debug.log in preparation for filtering on product conversions

= 2.0.6 (2018-02-02) =
* Plugin now automatically puts currency prefixes in place for Google Shopping and Facebook feeds as this is required by Google Shopping. As a result your Google Shopping product feeds will now contain a default currency so you do not have to add the currency yourselves in Google's merchant center
* Minor changes for Beslist.nl and Beslist.be templates

= 2.0.5 (2018-30-01) =
* Fixed minor bug: questionmark was appended to the link attribute when tracking was disabled for simple products. This has now been solved.

= 2.0.4 (2018-30-01) =
* Significantly improved speed of processing product feeds
* Added templates for Beslist.nl and Beslist.be

= 2.0.3 (2018-23-01) =
* Fixed some styling and text issues.

= 2.0.2 (2018-21-01) =
* Solved major bugs with Product and Dynamic attribute mappings

= 2.0.1 (2018-19-01) =
* Solved a bug that was introduced with the last release. The g:id field for Google Shopping product feeds accidently got stripped. This bug has been solved now.

= 2.0.0 (2018-18-01) =
* Added a new field "Category path". This field shows the so-called breadcrumb and can be used for your productfeed (needed for Prisjakt)

= 1.9.9 (2018-17-01) =
* Added support boxes during configuration of a product feed and changed the content of the support email notification text

= 1.9.8 (2018-16-01) =
* Fixed a bug: Category mappings with a strange character in it where not saved properly. This bug has now been solved.

= 1.9.7 (2018-09-01) =
* Solved error message showing in the interface

= 1.9.6 (2018-09-01) =
* Fixed a bug in the filter and rules section: excluding products from your product feed based on categories filters did not work. Also, setting a fixed shipping price for product prices that matched a specific condition did not work. Both issues have now been solved.

= 1.9.5 (2018-05-01) =
* Fixed a bug: additional gallery images are now also shown in Custom XML feeds

= 1.9.4 (2018-05-01) =
* Fixed a bug: additional gallery images are now also shown in XML and Google Shopping product feed

= 1.9.3 (2018-05-01) =
* Added the possibility map products on Google Shopping categories based on advanced rules. You can now map your products to Google Shopping categories not only based on the product category but on any product attribute.

= 1.9.2 (2017-21-12) =
* Added a 'plugin settings' page: grant access to the AdTribes.io support team to help you configure your product feeds
* Fixed some minor styling issues

= 1.9.1 (2017-18-12) =
* Added support (templates) for Heureka.cz and Zbozi.cz

= 1.9.0 (2017-18-12) =
* Fixed a bug for CSV feeds whereas static values did not end up in the CSV-feed. This bug also caused a mismatch between the amount of CSV header fields and individual product row fields.

= 1.8.9 (2017-14-12) =
* Fixed a bug: mapped dynamic attribute values did not appear in product feeds, this bug has been fixed now.

= 1.8.8 (2017-14-12) =
* Big update: track conversions coming from your marketing channels that are based on product feeds you created. Just 'enable conversion tracking' and sales will be measured. In one of the upcoming releases we will add an interface in which you will see what sale came from what product feed. Tracking of sales and conversions is based on both local session storage and cookie-tracking ensuring all sales being attributed.

= 1.8.7 (2017-12-12) =
* Filters based on Product categories where not working for Google Shopping merchant center feeds. This bug has been solved now.
* When users where logged in as Admin and ran the product feed as Admin also products that did not have the 'publish' status where put in the product feed. This bug has been solved now. Only published products will end up in products feeds, even when you are logged in as an Admin user.

= 1.8.6 (2017-07-12) =
* Added error notifications for users who have disabled their WP_CRON or run a WooCommerce version older than 3.0

= 1.8.5 (2017-05-12) =
* Fixed broken category mappings that had a & in the category name
* Improved debug logging

= 1.8.4 (2017-01-12) =
* Added support for the official "Facebook for WooCommerce" plugin by adding a SKU_ID attribute
* Fixed a bug that caused identical category names to show up twice in CSV files

= 1.8.3 (2017-28-11) =
* Wordpress/WooCommerce sites that did not have the Yoast SEO plugin installed ran into issues with category mappings for Google Shopping feeds as there is no primary category configured. This has now been solved.

= 1.8.2 (2017-27-11) =
* Custom attribute values did not show in the product feeds, this bug has now been solved

= 1.8.1 (2017-24-11) =
* Added license javascript

= 1.8.0 (2017-24-11) =
* Fixed a bug in the category mapping template. Categories that contained a & in the name were mapped but did not show in the mapped overview anymore. This has now ben fixed.
* Added the amount of published products per category in the category mapping template so you know what categories to map first.
* Added license validation functionalities for the Elite version of our plugin.

= 1.7.9 (2017-23-11) =
* The Google category mapping breaked when a WooCommerce Product category was removed. This has now been fixed.
* Added some user-interface elements on the category mapping page so it is more obvious what categories are mapped and which ones not.

= 1.7.8 (2017-22-11) =
* User-interface improvement for category mapping template

= 1.7.7 (2017-22-11) =
* Custom attributes for single products did not show in the product feeds, nor was it possible to filter on it. This has now been fixed.
* Brand attributes for product variations did not show in the product feeds, this has been solved.
* Performance increase: processing product feeds has become twice as fast, especially important for shops with thousands of products.

= 1.7.6 (2017-16-11) =
* This release is all about performance (so will the next one be). We have revamped the category mapping page as the autosuggest was slow in suggesting Google categories. We have also increased performance for the attribute mapping page so this page loads faster for WooCommerce stores with over 30.000 products.

= 1.7.5 (2017-13-11) =
* Implemented a significant performance increase in the autosuggest dropdowns

= 1.7.4 (2017-12-11) =
* Fixed an autosuggest bug

= 1.7.3 (2017-12-11) =
* Added the possibility to set filters and rules on empty attribute values
* Added localized price format: the product feeds will now contain the same price format as the region and currency setting of your WooCommerce Store.
* Fixed the CSS dialog buttons for deleting and refreshing feeds

= 1.7.2 (2017-09-11) =
* Stripping shortcodes from the (short) description fields so those do not end up in the product feeds
* Revamped the manage project dashboard in preparation for our support section

= 1.7.1 (2017-02-11) =
* Bing merchant center does not fully accept Google Shopping formated feeds, some changes needed to be made in order for Bing to accept the product feeds.
* Fixed a CSS styling issue on the manage feeds page
* AdTribes.io moved to SSL/HTTPS, changed some references from the old http to httpS version

= 1.7.0 (2017-01-11) =
* The plugin graph showing the amounts conflicted with the Yoast Premium plugin and the default colorpicker library of Wordpress. This bug has been fixed now.

= 1.6.9 (2017-31-10) =
* Fixed the typeahead JS errors

= 1.6.8 (2017-30-10) =
* Filters and rules on the "shipping price" attribute now also support multiple shipping zones

= 1.6.7 (2017-27-10) =
* Replaced the (jQuery-ui-)-autocomplete functionality with the bootstrap typeahead functionality for dropdowns. jQuery-ui is breaking popular editors for WordPress themes.
* Fixed a bug that returned error-messages when configuring a new feed

= 1.6.6 (2017-19-10) =
* Fixed a bug: plugin was not forced to retrieve the latest versions of CSS and Javascript causing fixes in JS/CSS not to work. This has now been fixed.

= 1.6.5 (2017-19-10) =
* Plugin now supports multiple shipping zones for all channels such as Google Shopping, Facebook and custom feeds. Shipping attributes such as country, region, service and price have also been added.

= 1.6.4 (2017-12-10) =
* Fixed CSS issues that broke some theme's, menu's and editors

= 1.6.3 (2017-11-10) =
* Added support for websites that run on older PHP (< 5.6) versions. Products will be processed in smaller batches so the plugin does not run into memory issues.

= 1.6.2 (2017-10-10) =
* Cleaned up some code, speeds up the plugin

= 1.6.1 (2017-09-10) =
* New bug fixed that caused the feed not to proces all products

= 1.6.0 (2017-06-10) =
* Fixed a bug that caused the feed not to proces or get stuck while processing

= 1.5.9 (2017-06-10) =
* Removed duplicate category names in the category mapping dropdown fields

= 1.5.8 (2017-05-10) =
* Fixed a bug in the categorymapping page whereas it was showing a lot of sub-categories on one row. Thanks Camilo for your help :)

= 1.5.7 (2017-05-10) =
* Added logging with debugging information, this will help us to support you whenever there is an issue with the plugin.

= 1.5.6 (2017-04-10) =
* Added the possibility to add price, regular price and sale prices excluding VAT to your product feeds

= 1.5.5 (2017-03-10) =
* Solved a unique_identifier bug for Google Shopping product feeds: the plugin automatically set the g:identifier_exist to 'no' even when an unique identifier was present.

= 1.5.4 (2017-29-09) =
* Fixed a bug, adding a tracking JS

= 1.5.3 (2017-29-09) =
* BIG UPDATE: The plugin is now able to measure conversions for every channel you publish your productfeed too. When enough conversion (sales) have been measured options will be shown allowing you to automatically remove products from your productfeed that do not convert. No longer waste your marketing budget, only pay for visitors that convert!
* Rules & Filter bug has been fixed. Only the last created rule or filter was saved, other configured rules and filters where deleted accidently. This has now been solved. Our apologies for the bug.

= 1.5.2 (2017-11-09) =
* Improved the suggest search for category mappings. The suggest search now also adds attribute values to the product name making it easier to map categories based on product names.

= 1.5.1 (2017-09-09) =
* Websites running on PHP 5.5 or 5.6 ran into problems when the amount of products in the WooCommerce store exceeds 3500 products with lost of product attributes attached to it. We have optimized the plugin code so this should happen less often. We do however advise you to upgrade your PHP version to at least 7.0 as it greatly improves performance of your website.

= 1.5.0 (2017-07-09) =
* Identifier_exists parameter for Google Shopping product feeds now also supported for CSV feeds
* Fixed a bug causing the amount of items in a CSV-row not to match the amount of items in the CSV-header. This sometimes happened, causing errors in Google's Merchant Center.

= 1.4.9 (2017-06-09) =
* Fixed a bug in the suggest search for category mappings
* Added the Vergelijk.be product feed template
* Added the Vertaa.fi product feed template

= 1.4.8 (2017-05-09) =
* The plugin now automatically detects what value it has to insert for the Google Shopping identifier_exists field. The plugin detects if and what the values are for the brand, gtin and mpn fields and based on this determines if the value of the identifier_exists fields needs to be yes or no.

= 1.4.7 (2017-01-09) =
* Added the functionality to add static attributes values in your product feeds
* Fixed a bug for CSV exports where the amount of attributes on a CSV row mismatched the amount of fields in the CSV header causing errors uploading the products to Google's Merchant center
* Fixed a bug that caused active filter, rules and attribute mappings to be overwritten by a newly added filter/rule or mapping

= 1.4.6 (2017-30-08) =
* Attribute values are automatically being added to the product name when product variations are active. We did however appended the slug of the value. This has now been fixed, the proper name of the value is now being appended.

= 1.4.5 (2017-28-08) =
* When a product has variables the parent product should not show in the product feed, just the child products are allowed. This has now been fixed.

= 1.4.4 (2017-25-08) =
* Added a custom made product feed template for Vergelijk.nl

= 1.4.3 (2017-25-08) =
* Added support for Yoast's primary category feature

= 1.4.2 (2017-24-08) =
* Increased speed of processing big product feeds
* Cleaned-up code, removed some small bugs

= 1.4.1 (2017-23-08) =
* Added the brand field as a required attribute for the Facebook Dynamic Ad's product feed

= 1.4.0 (2017-22-08) =
* When product prices are entered in the WooCommerce backend "without TAX" the products prices where also added without TAX in the product feeds. This has changed in the new release. Product prices (price, regular price and sale price) are always including TAX.

= 1.3.9 (2017-22-08) =
* Fixed a bug: When making changes to a project other settings in the project got lost. This bug is solved now.

= 1.3.8 (2017-21-08) =
* Error message was showing on the category mapping page, removed this wrong message

= 1.3.7 (2017-21-08) =
* Added the possibility to map all your products to 1 Google Shopping category
* Added the Google Shopping g:shipping_weight attribute

= 1.3.6 (2017-01-08) =
* Added the Skroutz.gr template

= 1.3.5 (2017-31-07) =
* Added the attribute Regular price to the list of attributes that can be used in your product feed

= 1.3.4 (2017-31-07) =
* Big update: as of this release it is also possible to add Product attributes to your product feeds (next to Custom and Dynamic attributes). Not only can you add them to the product feed, it is also possible to create rules and filters on product attributes.

= 1.3.3 (2017-28-07) =
* Added the currency field / attribute. You can now add the main currency annotation to your feed (for example: EUR), which is needed for channels such as Yandex.

= 1.3.2 (2017-27-07) =
* It is no longer needed to indicate what attribute you want to append to the product name in order to make it unique (needed for product variables). The plugin just appends all relevant attributes to the product name it can find.

= 1.3.1 (2017-27-07) =
* Fixed a bug: the main image attribute value did not show in the product feed for Custom Feed projects.

= 1.3.0 (2017-27-07) =
* Added the category link attribute

= 1.2.9 (2017-27-07) =
* Increased the speed of creating product feeds (twice as fast)
* Fixed a bug that occured when processing product variables

= 1.2.8 (2017-26-07) =
* Fixed a bug in the Yandex product feeds (removed the id and available YML nodes)

= 1.2.7 (2017-25-07) =
* Added the functionality to add Custom Fields to your product feeds using your own field naming and fill it with static or dynamic attribute values
* Added advanced shipping costs rules
* Fixed a VAT issue on shipping costs

= 1.2.6 (2017-23-07) =
* Stripped HTML from product names

= 1.2.5 (2017-23-07) =
* Added support for PHP 5.6

= 1.2.4 (2017-20-07) =
* Fixed a CSS issue for Windows users, causing drop-down fields to show only half of the text

= 1.2.3 (2017-19-07) =
* Fixed a bug for shops that have a more product variables than single products, which caused the product feed not to start processing.

= 1.2.2 (2017-19-07) =
* Added more output in debug mode (amount of single and variable products)

= 1.2.1 (2017-19-07) =
* Added more output in debug mode (PHP, Wordpress and WooCommerce versions)

= 1.2 (2017-19-07) =
* Added the possibility to create enhanced rules: changing the content of an attribute based on the value of another attribute.
* Fixed some bugs in the 'update general settings' page that caused changed settings not to save, such as enabling/disabling shipping and product variable settings.

= 1.1.9 (2017-17-07) =
* Fixed some bugs in the Yandex template (company and categoryId nodes)

= 1.1.8 (2017-15-07) =
* Added a custom made product feed template for Yandex

= 1.1.7 (2017-12-07) =
* Added a debugging mode option on the manage feed page

= 1.1.6 (2017-12-07) =
* Removed a javascript error that caused an incorrect error message to show on the manage project page

= 1.1.5 (2017-12-07) =
* Added the option to stop a project while feed processing
* Product variables and Google Analytics switch disabled itself when changes to the attribute section was made. This bug has now been solved.

= 1.1.4 (2017-12-07) =
* Added an extra CSV delimiter option (;)

= 1.1.3 (2017-11-07) =
* Removed the option to select a shipping zone when only one shipping zone is available

= 1.1.2 (2017-11-07) =
* Added advanced shipping zone and shipping class support so the right shipping cost end up in your product feeds

= 1.1.1 (2017-07-07) =
* Fixed a bug for XML product feeds containing product versions

= 1.1.0 (2017-07-07) =
* Added a custom made product feed template for Billiger.de
* Strip HTML from the (short) description attributes

== Upgrade Notice ==

= 13.3.1 =
Checked for compatibility with WooCommerce 8.7

= 13.3.0 =
Added support for adding the primary category path set in the Rankmath SEO plugin
Fixed an issue where more than 2 ACF image fields could not be added

= 13.2.9 =
Solved a PHP notice on the Facebook pixel variable

= 13.2.8 =
Fixed an error on the get_woocommerce_currency function

= 13.2.7 =
Added ACF support for WooCommerce grouped products

= 13.2.6 =
Removing woosea-gs-analytics.php as it was no longer being used and contained cross site scripting vulnerabilities

= 13.2.5 =
Checked for compatibility with WooCommerce 8.6

= 13.2.4 =
Solved an issue with retrieving product visibility values

= 13.2.3 =
Fixed an is countable issue, causing feeds not to update

= 13.2.2 =
Checked for compatibility with WooCommerce 8.5

= 13.2.1 =
Fixed an issue where filters on categories with a slash in it did not work properly

= 13.2.0 =
Cleaned-up code

= 13.1.9 =
Added a bool check on product ID

= 13.1.8 =
Solved a critial PHP array walk error when no custom attributes are present

= 13.1.7 =
Tested for compatibility with WooCommerce 8.4
Solved a CSV issue where column names and values were no longer aligned

= 13.1.6 =
Fixed a tax rate calculation issue

= 13.1.5 =
Solved some PHP warnings with regards to VAT calculations
Removed the whitespace between the suffix/prefix fields and the g:itemid field

= 13.1.4 =
Fixed an issue where the plugin showed an error when there are no WooCommerce products created at all

= 13.1.3 =
Fixed a bug where empty sale prices where added to feeds

= 13.1.2 =
Fixed an issue for Skroutz feed where the quantity value wasn't making it to feeds

= 13.1.1 =
Checked for compatibility with WooCommerce 8.3
Solved an issue where values that started with a whitespace did not make it to feeds (such as the category path short attribute)
Solved an issue where TAX/VAT issues where not calculated properly

= 13.1.0 =
Added support for the Fish and Ships shipping plugin by WP Centrics

= 13.0.9 =
Fixed an issue where a multiply rule on shipping costs resulted in a fatal error

= 13.0.8 =
Fixed an issue where the processing got stuck when manual WCML prices were entered by users

= 13.0.7 =
Added three new price attributes: price excluding VAT/TAX rounded, regular price excluding VAT/TAX rounded and sale price excluding VAT/TAX rounded

= 13.0.6 =
Fixed an issue where the plugin did unnecessary jQuery requests on the manage feed page

= 13.0.5 =
Fixed an issue where integer 0 values were considered to be empty and not added to feeds

= 13.0.4 =
Fixed an issue where filters on empty values no longer worked

= 13.0.3 =
Checked for compatibility with WooCommerce 8.2

= 13.0.2 =
Made sure that adding a ?currency parameter in the suffix field would not result in two questions marks in the URL

= 13.0.1 =
Added support for multiple picture fields for Yandex feeds

= 13.0.0 =
Added a feature to filter out reviews from a review feed below a certain rating
Solved soms PHP warnings that showed when on PHP 8.1 and creating a Google Review Feed

= 12.9.9 =
Fixed an issue where for variable products no slashes were added between color values for Google Shopping feeds

= 12.9.8 =
The checkout link template field is being added to the Google Shopping template as a mandatory field mapping
Fixed a PHP notice on the manage feeds page for PHP 8.1

= 12.9.7 =
Fixed an issue with the saving of the Google Conversion ID

= 12.9.6 =
Fixed an issue where the Yoast SEO identifiers where not added to feeds for product variations
Fixed a PHP notice on the manage feeds page for PHP 8.1
Added an is_array check

= 12.9.5 =
Tested for compatibility with WooCommerce 8.1

= 12.9.4 =
Added the checkout_link_template field to the Google Shopping template

= 12.9.3 =
Fixed some PHP notices

= 12.9.2 =
Reversed part of the ACF fix as it caused issues for other users

= 12.9.1 =
Fixed an issue where ACF images for simple products where not returning a proper image URL in feeds

= 12.9.0 =
Added 5 new fields to the Google Shopping template: Pause, External Seller ID, Lifestyle image link, Certification and 3D model link

= 12.8.9 =
Clean-up code
Added support for more caching plugins so feed content doesn't get cached

= 12.8.8 =
Fixing some issues in the feed preview feature

= 12.8.7 =
Added the product feed preview feature

= 12.8.6 =
Stripping whitespaces in additional image links

= 12.8.5 =
When a product sits in multiple categories the category with the highest category ID is being used for the category path attributes

= 12.8.4 =
Fixed an autoload issue that caused problems with Redis Object Caching (thanks Mrsmurf)

= 12.8.3 =
Fixed a bug causing issues with the feed processing status (thanks Aaron!)

= 12.8.2 =
Fixed the product creation data calculation

= 12.8.1 =
Tested for compatibility with Wordpress 6.3

= 12.8.0 =
Tested for compatibility with WooCommerce 8.0

= 12.7.9 =
Tested for compatibility with WooCommerce 7.9

= 12.7.8 =
Completed pre-mapping for all Pricerunner templates
Removed some obsolete error logging

= 12.7.7 =
Added support for multiple Pricerunner country templates

= 12.7.6 =
Added a new field to the Google Shopping template: g:auto_pricing_min_price

= 12.7.5 =
Removed stand-alone attribute from Fruugo feeds

= 12.7.4 =
WooCommerce changed sale date outputs from ints to strings, adapt code to it

= 12.7.3 =
Fixed a Fruugo XML header issue
Fixed a Flycart issue for prices that had a point as decimal and a point as thousand seperator

= 12.7.2 =
Fixed an issue with the sale price effective date which was empty. WooCommerce is returning them as strings in the new WC instead of integers

= 12.7.1 =
A small group of users reported unexpected drops in products in feeds introduced in version 12.6.8. This should be fixed now.

= 12.7.0 =
Checked for compatibility with WooCommerce 7.8
Solved a price rounding issue for the Flycart discount plugin

= 12.6.9 =
Added extensive support for up to 10 product details for Google Shopping feeds

= 12.6.8 =
Performance tweaks
Add consumer notice option for Google Shopping feeds
Fixed Fruugo XML templates so it meets Fruugo's changed feed requirements
Removed Fruugo CSV option
Fixed an issue for Google Shopping feeds, no empty product details are allowed in feeds

= 12.6.7 =
Sales date's that were not a timestamp caused the plugin to get stuck on processing. This has been fixex now.

= 12.6.6 =
Product feeds are no longer being cached when user uses popular caching plugin

= 12.6.5 =
Availability dates are only added to products that are on backorder
Fixed the default field mapping for Google's g:product_type field

= 12.6.4 =
Solved missing class issue

= 12.6.3 =
Solved an issue where parent variable products showed in Google Shopping / Meta feeds again
Fixed an issue for Fruugo CSV feeds

= 12.6.2 =
Removing BOM characters for Fruugo CSV feeds

= 12.6.1 =
Fixed issues with Fruugo VAT fields and availability values

= 12.6.0 =
Fixed an issue for Bestprice feeds where feeds were accidentally empty

= 12.5.9 =
Checked for compatibility with WooCommerce 7.7

= 12.5.8 =
Fixed an issue with shipping costs calculations when multiple countries were configured
Fixed an issue for Skroutz feeds where quantities where summed for non-apparel products

= 12.5.7 =
Annoying review request notification kept showing up

= 12.5.6 =
Fixed an issue with ACF fields for product variations

= 12.5.5 =
Fixed an issue with the shipping table rate support, for some settings it was returning a false 0 shipping costs.

= 12.5.4 =
Changed the Twitter template so it meets up to Twitters new availability value requirements

= 12.5.3 =
Next to the unfiltered product description attribute the normal description and short description are now truncated to 5000 characters for Google Shopping feeds

= 12.5.2 =
Added the possibility to create filters on reviews content

= 12.5.1 =
Solved a critical error for users that did not configure any feed yet

= 12.5.0 =
Fixed an issue where not all products with wholesale prices are making it to feeds

= 12.4.9 =
Checked for compatibility with WooCommerce 7.6

= 12.4.8 =
Some AJAX accessible functions lacked security checks, those have been added now

= 12.4.7 =
Tested for compatibility with Wordpress 6.2

= 12.4.6 =
Changed the Shopflix main_photo_url field name to image

= 12.4.5 =
Fixed a Cross Site Request Forgery vulnerability, not all nonce's where properly checked

= 12.4.4 =
Added more optional fields for Shopflix.gr

= 12.4.3 =
Added a template for the Greek Shopflix.gr marketplace

= 12.4.2 =
Fixed an issue with the size attribute for Skroutz apparel products

= 12.4.1 =
Fixed a Cross Site Request Forgery vulnerability, not all nonce's where properly checked

= 12.4.0 =
Made the availability date attribute available for all availability values and not just for products that are on backorder
Added the feed label and product country attributes for Google Shopping feeds

= 12.3.9 =
Solved a fatal error issue that happened with Yandex feeds when attribute values were empty

= 12.3.8 =
Fixed an issue for the WooCommerce Table Rate Shipping plugin where table rates for some countries were not calculated correct

= 12.3.7 =
Checked for compatibility with WooCommerce 7.5
Changed and &amp; to & in the Google Analytics utm parameters for WPML feeds
Fixed an ACF issue where not all product images were added to feeds correctly

= 12.3.6 =
Fixed an issue with the shipping costs calculation for the WooCommerce Table Rate Shipping plugin, VAT was added to it twice

= 12.3.5 =
Added two decimal rounding of shipping formula costs

= 12.3.4 =
Fixed an issue with ACF image fields for product variations

= 12.3.3 =
Fixed an apparel product grouping issue for Skroutz feeds

= 12.3.2 =
Fixed an issue where availability filters and rules for Skroutz feeds were not working
Added komma's between size values for Skroutz feeds

= 12.3.1 =
Fixed an issue where non registered users ended up as Anonymous in review fieds
Changed Google Local Product Inventory Feed ID column to ItemID column

= 12.3.0 =
Fixed an issue where filters on Google category ID's did not work

= 12.2.9 =
Fixed a PHP warning for an empty tax rate variable
Fixed a Skroutz feed issue where additional images were not added when multiple product colors where set

= 12.2.8 =
Fixed an issue where multiple tax rates were active for countries and products

= 12.2.7 =
Removed "Pa" and "Custom attributes" from product detail attribite names

= 12.2.6 =
Checked for compatibility with WooCommerce 7.4
Added a Feed publication date and time attribute

= 12.2.5 =
Respecting wholesale visibility filter. When it contains "all", allow products to be in feeds

= 12.2.4 =
Remove shipping methods from feeds when they are for wholesale users only (WooCommerce Wholesale Prices - by Rymera Web Co)

= 12.2.3 =
Products with wholesome prices are automatically being removed from product feeds (WooCommerce Wholesale Prices - by Rymera Web Co)

= 12.2.2 =
Added support for Twitter product feeds

= 12.2.1 =
Added support for the VARIABLE_PARAMS XML field for Mall.sk feeds

= 12.2.0 =
Removing shipping details from Google and Facebook feeds when no country has been set for them
Added availability dates +5 / +6 / +7 and +8 weeks from current date

= 12.1.9 =
Fixed a PHP warning on the settings page when a plugin is first activated

= 12.1.8 =
Fixed a PHP warning with regards to the non locally saved images

= 12.1.7 =
Added support for non locally saved images
Checked for compatibility with WooCommerce 7.3

= 12.1.6 =
Made compatible with WooCommerce HPOS / High-Performance Order Storage
Fixed CSS issue on category mapping page

= 12.1.5 =
Fixed an issue with the Google DRM pixel feature returning a fatal error for some users

= 12.1.4 =
Fixed an issue with a find and replace rule for Skroutz feeds

= 12.1.3 =
Fixed an issue for PARAM fields for Glami.gr feeds

= 12.1.2 =
Updated promo-boxes

= 12.1.1 =
Fixed an issue with contain rules for numeric values

= 12.1.0 =
Added Meta to channel and feed names

= 12.0.9 =
Checked for compatibility with WooCommerce 7.2

= 12.0.8 =
Fixed an issue with Skroutz feeds getting stuck

= 12.0.7 =
Fixed a shipping costs issue for Idealo feeds where the first product had no shipping costs in the feed

= 12.0.6 =
Added some nonce checks to plugin setting changes

= 12.0.5 =
Fixed a tax calculation issue for Portugal and Slovakia

= 12.0.4 =
Solved an undefined variable PHP warning for the sz_attribute variable

= 12.0.3 =
Solved a PHP Fatal error when trying to retrieve the woosea_condition string

= 12.0.2 =
Added the sale_price_effective_date field to the Google DRM feed template

= 12.0.1 =
Fixed an issue with the sale_price_effective_date which was empty

= 12.0.0 =
* Added a created timestamp to Skroutz XML feeds
* Fixed an issue that resulted in a fatal error, added is array check
* Fixed an issue that resulted in PHP warnings when browsers do not set a HTTP USER AGENT

= 11.9.9 =
Checked for compatibility with WooCommerce 7.1
jQuery CSS no longer enqueued on the WP-admin dashboard

= 11.9.8 =
Added support for PHP 8.1
Checked for compatibility with Wordpress 6.1

= 11.9.7 =
Changed function string to is_string

= 11.9.6 =
Solved an issue where a string was used in a multiply formula and caused a fatal error

= 11.9.5 =
Solved a PHP warning for yoast attributes

= 11.9.4 =
Solved a PHP warning for an undefined variable

= 11.9.3 =
Solved a fatal array merge error

= 11.9.2 =
Removed some autoloading on wp_options
Checked for compatibility with WooCommerce 7.0

= 11.9.1 =
Fixed an issue with shipping costs formula calculations

= 11.9.0 =
Fixed an issue with review names not getting retrieved and showing warnings in the logs
Fixed an issue where a data variable was not an integer and showed warnings in the logs

= 11.8.9 =
Firstname and first character of an users lastname are now being used in Google review feeds

= 11.8.8 =
Added a htmlspecialchars call on review names

= 11.8.7 =
Added the rich product content field to the Google Shopping template

= 11.8.6 =
Added the release date field to the Google Shopping template

= 11.8.5 =
Changed the update_option for cron_projects to non autoload

= 11.8.4 =
Added an option to enable/disable returning of only basic attributes in the field mapping and rules and filters drop-downs

= 11.8.3 =
Fixed an issue where not all (externally created) attributes or metafields where showing in the field mapping drop-downs

= 11.8.2 =
When the availability date field mapping has been added it will only be added to products that are on backorder. Not to any other products.

= 11.8.1 =
Added 5 attributes to create availability dates in the future for products that are on backorder

= 11.8.0 =
Checked for compatibility with WooCommerce 6.8.0

= 11.7.9 =
Fixed an issue where shipping class costs where not calculated properly

= 11.7.8 =
Added additional field for the Pinterest template

= 11.7.7 =
Removed currency from Zbozi shipping costs

= 11.7.6 =
Added the link_template field for Google Shopping feeds

= 11.7.5 =
Fixed an issue with VAT that was not being added for bundled products

= 11.7.4 =
Checked for compatibility with WooCommerce 6.7.0

= 11.7.3 =
Solved an issue with Uncaught TypeError: array_intersect()

= 11.7.2 =
Replaced substr with mb_substr for the product descriptions

= 11.7.1 =
Solved an Call to a member function addChild() on null for Skroutz feeds

= 11.7.0 =
Removed the htaccess file for the TXT feed directory

= 11.6.9 =
Added the product title slug attribute

= 11.6.8 =
Fixed an issues with the XML version of the Google Local Product Inventory feed where the g: was missing for the field names

= 11.6.7 =
Fixed an issue when a non-string was added as a key to the product data array

= 11.6.6 =
Removed some debugging code

= 11.6.5 =
Added XML support for Google's Local Product Inventory feeds

= 11.6.4 =
Checked for compatibility with WooCommerce 6.6.0

= 11.6.3 =
Fixed the inventory count field for Vivino feeds

= 11.6.2 =
Solved a Undefined array key HTTP_HOST PHP warning

= 11.6.1 =
Added some more sanitisation and escaping

= 11.6.0 =
Added support for the new Skroutz additional_image requirements

= 11.5.9 =
Fixed an issue where the thousand separator for discounted prices by Flycart was causing malformed prices

= 11.5.8 =
Fixed issues with regards to missing sanitazion and validation

= 11.5.7 =
Solved an issue with an undefined variable

= 11.5.6 =
Fixed an issue with the Skroutz template, adding comma's inbetween size values

= 11.5.5 =
Fixed a PHP notice introduced in the previous release

= 11.5.4 =
Added the alt text attribute for Pinterest feeds
Added price attributes with thousand and decimal separators in it (mainly for TikTok)

= 11.5.3 =
Removed all Facebook references in the plugin title and description

= 11.5.2 =
Tested for compatibility with WooCommerce 6.4

= 11.5.1 =
Fixed a multiply issue for price, regular price and sale price attributes that used a komma as decimal separator

= 11.5.0 =
Added the Glami templates for Slovakia and the Czech Republic

= 11.4.9 =
Changed the wpdb::prepare query string

= 11.4.8 =
Implemented a rounding feature for WooCommerce bundled products

= 11.4.7 =
Added two new fields to the Google Shopping template: Short title and Excluded countries for Shopping ads

= 11.4.6 =
The WooCommerce Composite plugin returned sale prices of 0.00. When this happens our plugin removes that sale price from the feeds

= 11.4.5 =
Reverting the rounding on two decimals for bundled products as WooCommerce is not always returning int|float values

= 11.4.4 =
Added links to TranslatePress tutorial
Fixed an issue with the WooCommerce bundled product plugin that returned prices with more than 2 decimals

= 11.4.3 =
Fixed an issue for bundled products where VAT was added twice

= 11.4.2 =
Simplified the SQL query that retrieved custom attribute names so it uses less memory

= 11.4.1 =
Added 4 new Google Shopping fields in the template: product height, product length, product width and product weight

= 11.4.0 =
Added encoding for percentage characters
Fixed a rounding error which one does on strings instead of int|floats

= 11.3.9 =
Checked for compatibility with WooCommerce 6.3
Fixed a rounding error which one does on strings instead of int|floats

= 11.3.8 =
Added the new custom number fields to the Facebook / Instragram template

= 11.3.7 =
Solved an issue with an undefined variable in the Google pixel feature

= 11.3.6 =
Fixed a floatval issue that occured when calculating prices for bundled products

= 11.3.5 =
Fixed an issue with the deduplication counters

= 11.3.4 =
Fixed an error, the _my_conversions table is being queried but did not always exist
Added an option to forcefully clean the dulication options

= 11.3.3 =
Fixed a VAT issue for the Pinterest / Vivino / TikTok price attributes

= 11.3.2 =
Fixed an issue that resulted in empty feeds when multiple feeds were configured and all at once were processing

= 11.3.1 =
Added three Pinterest / Vivino / TikTok price attributes excluding VAT

= 11.3.0 =
Considerable performance increase of the plugin. For WooCommerce shops with less than 750 processing speed doubled
Build-in a check that prevents duplicate products from being added to feeds

= 11.2.9 =
Solved a Call to a member function addChild() on null issue

= 11.2.8 =
Solved an array_key_exists error

= 11.2.7 =
Fixed some minor CSS issues for the category mapping autosuggest
Changed plugin title in readme.txt file

= 11.2.6 =
Tested for WooCommerce 6.2

= 11.2.5 =
Solved an UTF8-encoding issue that broke XML feeds

= 11.2.4 =
Added rawurldecode for some fields

= 11.2.3 =
Fixed a XSS vulnerability issue

= 11.2.2 =
Fixed a XSS vulnerability issue

= 11.2.1 =
Fixed an issue for individually priced bundled products that had a discount configured, it was not adding the VAT to those prices.

= 11.2.0 =
Fixed an issue where the plugin crached on Skroutz feeds when simple products were changed into variable products or the other way around

= 11.1.9 =
Confirmed compatibility with Wordpress 5.9

= 11.1.8 =
Added support for up to 5 additional images for Mall.sk feeds

= 11.1.7 =
Bolder element changed the table rate shipping name method. This causes the integration to no longer work. This issue has been fixed now.

= 11.1.6 =
Solved this error for Skroutz feed: Call to undefined method WC_Product_Simple::get_available_variations()

= 11.1.5 =
Added support for the Mall.sk media (image) URL field

= 11.1.4 =
Tested for compatibility with WC 6.1
Changed Skroutz template so it meets the new Skroutz color requirements

= 11.1.3 =
Removed htaccess feature as it seems to be conflicting for some users

= 11.1.2 =
Added support for the Mall.sk availability feed
Added user cap filter

= 11.1.1 =
Added quantity support for Skroutz feeds

= 11.1.0 =
Update of post meta extra fields only when they are set and filled

= 11.0.9 =
Added user security checks

= 11.0.8 =
Added template for Slovakian Mall.sk marketplace

= 11.0.7 =
Added missing capability checks on plugin settings that could influence product feeds. Only administrators are allowed to make these changes

= 11.0.6 =
Added htaccess files to the feed directories so they no longer will be cached (thanks @Anders!)
Fixed an issue where disabled product variations still made it into the size attribute
Fixed an array merge warning that showed when a new feed was being created and no previous feed was present
Added downloadable and virtual attribute data so those can be added to feeds and filtered on

= 11.0.5 =
Fixed an issue where shipping formula's were not translated to shipping costs properly

= 11.0.4 =
Solved a rounding issue for discount calculations on products that use a point as seperator

= 11.0.3 =
Checked for compatibility with WooCommerce 6.0
Solved a PHP warning that was showing in the logs when creating a Skroutz feed

= 11.0.2 =
Solved a PHP warning that was showing in the logs when creating a Skroutz feed
Solved a mysqli::real_connect() error

= 11.0.1 =
Reverted previous release as it lead to invalid header errors on new plugin installs

= 11.0.0 =
Removed unused variables from some functions and did an extra array check

= 10.9.9 =
Solved a PHP notice

= 10.9.8 =
Replaced usage of site_url with home_url for feed headings

= 10.9.7 =
Added template for Miinto Germany

= 10.9.6 =
Fixed some PHP notices that showed when the Google Dynamic Remarketing feature was enabled but parent variable products returned no price

= 10.9.5 =
Solved an issue where product variations could not be updated

= 10.9.4 =
Removed the graphs from the manage feeds page, will soon be replaced by new ones
Replaced a filter_var_array function with a proper Wordpress sanitize function

= 10.9.3 =
Added the System regular price ex. VAT and System sale price ex. VAT attributes

= 10.9.2 =
Updated the out of date Chart.js libraries
Removed eval for shipping cost formula's
Replaced usage of CURL with Wordpress HTTP API
Solved some translation permalink issues
Added missing sanitizing to POST and GET requests
Added escaping to some variables that are being echo'd

= 10.9.1 =
Added extra authorisation and checks to prevent cross-site scripting abuse
Added Guadeloupe (GP), Martinique (MQ), French Guiana (GF) and Reunion (RE) to the list of supported countries
Removed CDATA feature as it was not properly functioning

= 10.9.0 =
Added template for TikTok

= 10.8.9 =
Added template for German ElCheapo.de

= 10.8.8 =
Fixed an issue with the Discount Rules for WooCommerce plugin from FlyCart that returned no decimals in round discount prices. The .00 are now also added.

= 10.8.7 =
Added extra image attribute 4 to 9 for Beslist.nl feeds

= 10.8.6 =
Tested for compatibility with WooCommerce 5.9

= 10.8.5 =
Fixed the JSON-lD for the brand details

= 10.8.4 =
Fixed an issue with Skroutz feeds where product sizes that are out of stock are now removed from the size field

= 10.8.3 =
Solved a PHP notice upon activation of plugin

= 10.8.2 =
Solved a PHP notice upon activation of plugin

= 10.8.1 =
Added the "is not empty" operator for filters and rules

= 10.8.0 =
When the product variable is not an object the retrieval of the stock status broke processing of the feed. Build in a check to prevent this from happening.

= 10.7.9 =
Tested for compatibility with WooCommerce 5.8

= 10.7.8 =
Reviews that have no rating or have deeplinks in the review text are now being removed fromn review feeds automatically as they are not allowed by Google

= 10.7.7 =
Added the Region Id attribute for Google Shopping feeds

= 10.7.5 =
Added the Miinto.fr template

= 10.7.4 =
Fixed a division by zero error

= 10.7.3 =
Fixed filters on purchase note array's

= 10.7.2 =
Added support for the WPC Product Bundles for WooCommerce plugin

= 10.7.1 =
Added purchase note attribute

= 10.7.0 =
Made changes to the code to calculate the number of product variations that are on stock as it did not work for some users

= 10.6.9 =
Solved some PHP 8 compatibility issues that caused feeds to get stuck processing

= 10.6.8 =
Solved a Call to undefined method WC_Product_Simple::get_available_variations error

= 10.6.7 =
Made a change to the code so it uses less memory when processing a feed

= 10.6.6 =
Solved an issue where the plugin got stuck when variable products get deleted in WooCommerce during processing of the feed

= 10.6.5 =
Build in an extra check to see if the cron events are active to update feeds. When not this cron event is being created.

= 10.6.4 =
Added capacity attribute to the Google Shopping template

= 10.6.3 =
Added display ads attributes to the Google Shopping template

= 10.6.2 =
Fixed an issue where simple products with variations (which in theory is not possible) caused the feed processing to get stuck

= 10.6.1 =
Solved an undefined array issue when creating a new feed

= 10.6.0 =
Solved an issue with wrong sale prices when WCML was enabled and manual prices were entered

= 10.5.9 =
Somehow simple products got an item_group_id for some users causing a critical error. Added a check on this to fix the error.

= 10.5.8 =
Added a feature to be able to remove products from feeds when only few variations are in stock

= 10.5.7 =
Fixed an issue where Rankmath plugin is installed but no primary category has been set. This resulted in a PHP notice in the logs. This has been solved now.

= 10.5.6 =
Fixed an undefined variable issue for the facebook pixel id

= 10.5.5 =
Fixed a Google Remarketing Pixel issue on the cart page

= 10.5.4 =
Fixed a shipping cost issue where shipping classes that had no shipping costs set where empty
Fixed a Google Remarketing pixel, added apostrophe on the AW-XXXXXX parameter

= 10.5.3 =
Solved a bug: when the XML variable was not an object is returned a fatal error. Issue is solved now.

= 10.5.2 =
Tested for compatibility with WooCommerce 5.6

= 10.5.1 =
Fixed an issue where the visibility attribute did not return anything

= 10.5.0 =
Added the Vivino template to the plugin

= 10.4.9 =
Added support for Prisjakt (Sweden, Norway, Finland) feeds. The Google Shopping feed requirements are being used for it as of this release.

= 10.4.8 =
Added support for the Yoast SEO WooCommerce unique identifiers GTIN's, ISBN, MPN so they can be used for feeds.

= 10.4.7 =
Checked for compatibility with WP 5.8

= 10.4.6 =
Reverting back the availability changes for Facebook only

= 10.4.5 =
Google changed its availability requirements (underscores in the availability values), we have adjusted the plugin on this.

= 10.4.4 =
Fixed a product review feed bug where review names with a : in it broke the feed.

= 10.4.3 =
Added the non tax price attribute for WCML

= 10.4.2 =
Fixed a shipping issue where table rates where put on 0 when pickup was available too.

= 10.4.1 =
Implemented Google's new Dynamic Remarketing event pixelcode and added the Purchase and Add To Cart events for it

= 10.4.0 =
Fixed a PHP notice on a foreach loop when a non-array was used for it

= 10.3.9 =
A PHP warning was thrown when a review feed was created while there were no reviews in WooCommerce

= 10.3.8 =
Fixed a bug: When a find and replace rule was created it converted strings to lowercases, this has been fixed.

= 10.3.7 =
Added Facebook Auto / Vehicle fields to the Facebook templating

= 10.3.6 =
Added eventID's to the Facebook pixel and Facebook Conversion API in order to prevent duplicate events being measured

= 10.3.5 =
Fixed a bug: using a rounding price attribute did not work properly when in WooCommerce currency options the decimal or thousand separator was left blank, it always rounded down. This has been fixed.

= 10.3.4 =
Added the quantity_to_sell_on_facebook field to the Facebook template

= 10.3.3 =
Added a 'Link without parameters' attribute (which holds no attribute or UTM parameters in the URL)

= 10.3.2 =
Added some product data attributes to the Google Shopping template: capacity, count, disclosure date, feature description, flavor, format, product line, product pag
e url, release date, scent, size system, size type, suggested retail price, theme and video link

= 10.3.1 =
Removed Okazii.ro from the list of supported channels

= 10.3.0 =
Cleaning-up some debug code for the Facebook CAPI implementation

= 10.2.9 =
Added support for the Facebook Conversion API (CAPI) - still in beta!
Stripped whitespaces from values in CSV feeds

= 10.2.8 =
Checked for compatibility with WooCommerce 5.4

= 10.2.7 =
Added Adwords grouping, Adwords labels and Adwords redirect fields to the Bing Shopping template

= 10.2.6 =
Added an array check on custom attributes

= 10.2.5 =
When discount plugins are being used prices will be rounded on 2 decimals

= 10.2.4 =
Fixed a CDATA issue

= 10.2.3 =
Added seller name to Google & Bing shopping templates

= 10.2.2 =
Removed an useless nonce

= 10.2.1 =
Added XSS vulnerability checks on both the Google Remarketing pixel and Facebook pixel feature.

= 10.2.0 =
Removed a CSS z-index as it conflicted with Jetpack

= 10.1.9 =
Fixed a PHP notice that showed when users created an empty rule

= 10.1.8 =
When the identifier exists field mapping is removed from the field mapping also remove it from the feed
Some minor textual changes in the feed configuration forms

= 10.1.7 =
Fixed a bug: The Facebook pixel addToCart, initiateCheckout and Purchase event does not accept comma's in prices. Fixed.

= 10.1.6 =
Fixed a bug: The Facebook pixel viewContent event does not accept comma's in prices. Fixed.

= 10.1.5 =
Fixed a bug: exclude filters on regular prices did not work

= 10.1.4 =
Adding CDATA feature so CDATA can be added to the title, description and short description fields

= 10.1.3 =
Fixed an issue with taxes being added in the system sale prices

= 10.1.2 =
Added the product type field mapping as default mapping for Google Shopping feeds

= 10.1.1 =
Added support for Mix and Match minimum and maximum prices
Removed the item_group_id for Mix and Match products

= 10.1.0 =
Tested for compatibility with WooCommerce 5.3
Changed UI when saving new plugin batch size so it shows the correct batch number immediatly

= 10.0.9 =
Added extra fields for Google's local storefront shopping feeds

= 10.0.8 =
Fixed an issue with the image field for custom feeds, it was added as image_link. This has been fixed now.

= 10.0.7 =
Added support for ACF image fields (make sure to use image or bild in your field name)

= 10.0.6 =
Added support for the WooCommerce Shipping & Tax plugin

= 10.0.5 =
Added the "pickup today / merchant hosted local storefront" fields for Google Shopping

= 10.0.4 =
Fixed an issue where shipping costs where missing from feeds
Lowest shipping costs did not return the lowest price when prices where not numeric. This has been fixed now.

= 10.0.3 =
When variations are out of stock we remove them from the parent product for Skroutz feeds

= 10.0.2 =
Fixed a bug: rules that where set on attributes that were empty accidently added values to the product data. This has been fixed now.

= 10.0.1 =
Fixed a bug: the multiple standard tax rates are now also taken into account for shipping costs

= 10.0.0 =
Fixed a bug: when multiple standard tax rates for multiple countries where configured the plugin did not pick the correct tax rate when a feed was configured for a country other then the base country. This has been fixed now.

= 9.9.9 =
Added a "force clean-up" feature that in one go removes all feed configurations and scheduled jobs

= 9.9.8 =
Added support for non numeric characters in the AW Dynamic tracking ID

= 9.9.7 =
Fixed helptexts and notifications

= 9.9.6 =
Added support for the Rankmath primary category

= 9.9.5 =
Fixed an issue with the product_url field for Google review feeds. The & charcater was shown as AND. Issue fixed now.

= 9.9.4 =
Added lowest shipping costs attribute

= 9.9.3 =
Removed currency from shipping costs of Heureka feeds

= 9.9.2 =
Fixed an issue for the shipping table rate plugin, when multiple where configured only one price made it to the feed. Issue is fixed.

= 9.9.1 =
Added support for the official WooCommerce Table Rate plugin (by WooCommerce)

= 9.9.0 =
Added product type field mapping to the Facebook template
Change the default field mapping for title to "product name parent product" so grouping on variable products works better in Facebook

= 9.8.9 =
Fixed a Table Rate shipping issue that overwrote shipping costs for Flat Rates.

= 9.8.8 =
Fixed an UI issue with filters and rules, apostrofs were not showing. Issue is fixed now.

= 9.8.7 =
Bundle and composite products should not get an item group ID in the feed, removed it from the feed.

= 9.8.6 =
Fixed an issue where shipping tax was not added for WooCommerce table rate shipping costs

= 9.8.5 =
Affiliate / external product types got an item_group_id of 0 in the feed whereas it should be empty. Issue is fixed now.

= 9.8.4 =
Added the Idealo.de Germany template, including their Direktkauf fields

= 9.8.3 =
Solved a rounding issue for sale prices including VAT

= 9.8.2 =
Fixed a Facebook Purchase event where only the value of the last product was added to the Facebook pixel instead of the value of all products bought

= 9.8.1 =
The plugin systems check showed a critical error for users that are on PHP 8. Issue is fixed now.

= 9.8.0 =
Only reviews that are approved make it to the review feeds, disapproved reviews are removed

= 9.7.9 =
Checked for compatibility with WordPress 5.7
Checked for compatibility with WooCommerce 5.1.0

= 9.7.8 =
Added a boolean check on the review feed creation

= 9.7.7 =
Removed the woosea_add_cart.js from the source as it was an empty file

= 9.7.6 =
Fixed an issue with the Facebook Purchase event that did not track the order value correct

= 9.7.5 =
Another recode of the lowest price variation feature

= 9.7.4 =
Added Bing Shopping Promotions template

= 9.7.3 =
Added a new attribute "Stock Status WooCommerce"
Fixed another quote issue with the Facebook pixel

= 9.7.2 =
Fixed an issue with the Facebook pixel. Product names that had an apostrophe in them were not measured.

= 9.7.1 =
Added another fix to take into account prices excluding VAT for filtering out all but the minimum priced variation

= 9.7.0 =
Fixed a bug where lowest priced variations where not making it to feeds

= 9.6.9 =
Added product name parent hyphen attribute

= 9.6.8 =
Added Google category taxonomy mapping for Snapchat feeds

= 9.6.7 =
When suffixes and prefixes are used for the Heureka URL fields spaces are removed

= 9.6.6 =
Added support for PHP 8.0

= 9.6.5 =
Do not add Skroutz variable products to the feed when they do not have item_group_id's

= 9.6.4 =
Fixed an issue with rules and filters
When a rule was set on an image link, no longer lowercase the image link

= 9.6.3 =
Fixed a bug, the Facebook pixel is now also measuing revenue for multiple items in Cart, InititiateCheckout and Purchase events
Reverted back some changes in filters and rules 

= 9.6.2 =
For Skroutz feed removing sizes from feeds when they are out-of-stock

= 9.6.1 =
Added attribute that will allow you to uppercase every first character of a string in product names

= 9.6.0 =
Changed g:itemid to g:id for the Google Local Product Feeds

= 9.5.9 =
* Added a fail-safe when users do not select a marketing channel which let to PHP notices in logs

= 9.5.8 =
Added shipping class name attribute

= 9.5.7 =
Dynamic attribute values are now also added to parent variable products for Skroutz feeds

= 9.5.6 =
Changed attribute name primary category to Yoast primary category as it caused lots of confussion

= 9.5.5 =
Fixed a PHP notice that showed when creating a new rule
Tested for compatibility with WooCommerce 5.0

= 9.5.4 =
When free shipping zones are removed do not remove the other shipping zones

= 9.5.3 =
Added a feature to remove free shipping zones from Google and Facebook feeds

= 9.5.2 =
Fixed a minor issue in exclude rules for WooCommerce category names

= 9.5.1 =
Dynamic attributes without values that are used for product details should be skipped which not always happened. This is fixed now.

= 9.5.0 =
Discount rules created with the FlyCart plugin did not make it to Skroutz feeds. This has been solved now

= 9.4.9 =
Added a seperate sale price attribute for bundled products
Reviews for parent variable products are removed, the reviews are attached to its variations

= 9.4.8 =
Fixed an issue with the ecomm_prodid on the cart page

= 9.4.7 =
Solved an issue that shipping costs to the first product in a custom feed where empty

= 9.4.6 =
Added a new attribute: product description parent product

= 9.4.5 =
Added a Google Shopping field to their template: g:ship_from_country
Stripping & characters from review names as it breaks the review feeds

= 9.4.4 =
Fixed an issue where reviews without review text caused the feed to be disapproved by Google. We now remove reviews from feeds that have no review texts.

= 9.4.3 =
Fixed an issue with an undefined ecomm_price variable on product variable pages

= 9.4.2 =
Added the Dutch Boetiek.nl template

= 9.4.1 =
Fixed a bug: exclude filters on empty product tags were broken. This is fixed now.

= 9.4.0 =
Added a WP-cron check and notifications

= 9.3.9 =
Bestprice.gr apparel products are now grouped by color

= 9.3.8 =
Tested for compatibility with WooCommerce 4.9

= 9.3.7 =
Added the Bestprice.gr template

= 9.3.6 =
Added a product name lowercase attribute

= 9.3.5 =
Fixed a rounding issue for WooCommerce bundled products

= 9.3.4 =
Fixed an issue with the Google Remarketing Pixel / ecomm_totalvalue parameter

= 9.3.3 =
Fixed an exclude filter issue (Thanks @Fabrice for reporting and solving!)

= 9.3.2 =
Added support for the Yandex group_id attribute

= 9.3.1 =
When the FlyCart table rate shipping plugin is active do not calculate shipping costs for product ID's that are smaller than 0

= 9.3.0 =
Fixed an issue with anonymous reviews for the Google product review feed

= 9.2.9 =
Added support for the "fee percentage" shipping cost formula

= 9.2.8 =
Added a discount percentage attribute calculating the percentage discount between the sale and regular price

= 9.2.7 =
Fixed an issue for Skroutz feeds where the lowest priced variation feature was not working

= 9.2.6 =
Fixed all the deprecated jQuery

= 9.2.5 =
Added support for Facebook Enhanced Catalog feeds
Added the Adtribes.io APP ID to Facebook feeds
Renamed the Facebook channel name in drop-downs
Tested for compatibility with Wordpress 5.6
Tested for compatibility with WooCommerce 4.8

= 9.2.4 =
Removed Google Shopping shipping regions for Canada and France as those are no longer supported by Google

= 9.2.3 =
Skroutz variation products that are out of stock are no longer added as an attribute value to the parent product (such as size / colour)

= 9.2.2 =
Solved a PHP warning notification that showed on the manage feeds page when a user did not create any WooCommerce custom attributes
Solved a Facebook pixel price localization issue for the AddToCart and Purchase event

= 9.2.1 =
Fixed an issue where when no tax rates where defined the plugin showed a PHP warning when processing bundled products

= 9.2.0 =
Option cron_projects set to autoload no as there is no need to have it autoloaded

= 9.1.9 =
Added a performance feature. Users can now select to only refresh their product feeds when products have been changed or new products have been added to WooCommerce.

= 9.1.8 =
Fixed an issue where table rate shipping costs did not make it to custom feeds.

= 9.1.7 =
Fixed an issue where SimpleXML did not return an object and caused the plugin to get stuck

= 9.1.6 =
Fixed an issue, all of a sudden "Object of class WP_Errors" showed on a str_replace. Issue is fixed now.

= 9.1.5 =
Fixed an issue where free shipping costs did not make it correctly to Prisjakt feeds

= 9.1.4 =
Fixed an issue with the Woo Discount plugin by FlyCart that in some cases returned a sale price of 10.

= 9.1.3 =
Solved some minor PHP warnings that showed in the UI
The category path skroutz attribute was throwing a fatal error on a str_replace. This is fixed.

= 9.1.2 =
When simple products are switched to variable products WooCommerce leaves some "simple" traces in the database causing issues for our plugin. This has been solved now.

= 9.1.1 =
When simple products are switched to variable products WooCommerce leaves some "simple" traces in the database causing issues for our plugin. This has been solved now.

= 9.1.0 =
Fixed an issue where the "Exclude from feeds" product feature did not fully work for CSV feeds

= 9.0.9 =
Added support for the official WooCommerce Subscriptions plugin

= 9.0.8 =
Fixed an issue where VAT was not added to the sale price for WooCommerce FlyCart discount rules

= 9.0.7 =
Fixed an issue where sale prices configured with the WooCommerce FlyCart plugin did not work

= 9.0.6 =
Added EAN as one of the fields that can be selected for the custom feed template

= 9.0.5 =
Added support for usage of multiple product highlights

= 9.0.4 =
Removed some absolete queued JS scripts

= 9.0.3 =
Added support for adding multiple images to Australian Kogan feeds

= 9.0.2 =
Fixed an issue where when adding "?aelia_cs_currency=" to the suffix field for links resulted in two quesionsmarks in deeplinks. This has been fixed now.

= 9.0.1 =
Added support for Heureka delivery 

= 9.0.0 =
Added support for Skroutz Apparel product requirements
Saving of the Facebook pixel ID in the interface did not give any feedback if it saved. Improved this slightly.

= 8.9.9 =
Added support for the Discount Rules for WooCommerce by FlyCart plugin

= 8.9.8 =
Added support for the Zbozi.cz delivery requirements

= 8.9.7 =
Switched rules and data manipulation feature

= 8.9.6 =
Bundle and composite products now also working with WPML and WCML
Escaping & characters in deeplinks

= 8.9.5 =
Tested for compatibility with WooCommerce 4.6

= 8.9.4 =
Fixed a shipping issue where some shipping zone regions were missing

= 8.9.3 =
Fixed an issue for prices of bundled products that always added the VAT to the price

= 8.9.2 =
Next to CSV feeds for Bing Shopping the plugin now also strips the g: from the header for TXT feeds

= 8.9.1 =
Fixed an issue with Aelia sale prices generating PHP warnings

= 8.9.0 =
Fixed an issue with the is_plugin_active function that did not work
Fixed a shipping costs issue where sometimes the country was left empty

= 8.8.9 =
Added support for the WooCommerce Mix & Match plugin

= 8.8.8 =
Added fields to Trovaprezzi template
Performance enhancements

= 8.8.7 =
Fixed a bug where attribute values no longer were added to the product name

= 8.8.6 =
Fixed an issue that caused performance of the plugin to slow down

= 8.8.5 =
Fixed a shipping cost bug that happened when multiple flat rates where configured for a country

= 8.8.4 =
Changed the default price mappings for the Pinterest template

= 8.8.3 =
Sale prices being added to feed even when no start and end date is set for the sale price

= 8.8.2 =
Fixed issues with sale price start and sale end date

= 8.8.1 =
Sale prices now respect the sale price start and end date when set

= 8.8.0 =
Added feature to only add the cheapest priced variation(s) to product feeds instead of all variations or the default variation.

= 8.7.9 =
Added 5 default fields to the Facebook template

= 8.7.8 =
Rounding divide calculations rules to two decimals

= 8.7.7. =
Facebook purchase event did not always had the correct pricing. Issue solved.

= 8.7.6 =
Facebook pixel basket issue solved
Using official composite function to retrieve composite product prices

= 8.7.5 =
Price field for bundled and composite products now always contain VAT

= 8.7.4 =
The Heureka.sk template is now also working for PARAM fields

= 8.7.3 =
Allowing apostrophes in static values

= 8.7.2 =
Fixed minor issues with undeclared PHP variables throwing warnings
Added Polylang links

= 8.7.1 =
Changed product ids order in the Google product review XML feeds.
Tested for WooCommerce 4.5

= 8.7.0 =
Product variations for Yandex feed where missing the categoryID values in the feed. This bug has been fixed.

= 8.6.9 =
Renamed the Google Local Products Inventory feed Itemid column to id.

= 8.6.8 =
Google changed the field order of their Google Local Products Inventory feed requirements. We changed the template to reflect this change.

= 8.6.7 =
Google doesn't allow identical reviews for product variations. When disabling adding the variations to the feed it therefor now adds the parent variable product review.

= 8.6.6 =
When the description and short description are over 5000 characters they will be truncated so they do not exceed the 5000 charachters as this is a Google Shopping limitation.

= 8.6.5 =
Minor change to how CSV feeds are being generated, also partly rollback of changes made in version 8.5.6

= 8.6.4 =
Some update_option functions took four arguments whereas it takes only three. This has been fixed now (Thanks @Sudhir)

= 8.6.3 =
Product ID's for WCML are being returned as null, take this into account for functions.

= 8.6.2 =
Added some fields to the Trovaprezzi template

= 8.6.1 =
jQuery ready event is deprecated so changes the JS files that still used it. 

= 8.6.0 =
Usage of shortcodes in the unfiltered description attributes is now allowed

= 8.5.9 =
Compatibility check for Wordpress 5.5.

= 8.5.8 =
Added the Heureka Slovakia template

= 8.5.7 =
Fixed a minor issue with apostrophes showing at the beginning and end of a CSV row

= 8.5.6 =
Apostrophes are no longer stripped from CSV files

= 8.5.5 =
Added Snapchat product catalog template

= 8.5.4 =
Preventing WooCommerce geo service to ignore WCML currency settings

= 8.5.3 =
Fixed a bug that was introduced in version 8.5.0 where category mappings for variations no longer worked. This has been fixed now.

= 8.5.2 =
Applied the wpautop function to respect paragraphs in the unfiltered (short)description attribute

= 8.5.1 =
Added support for the official WooCommerce Brands plugin: https://woocommerce.com/products/brands/

= 8.5.0 =
Fixed a category mapping issue for Google Shopping feeds where duplicate caregory namings caused wrong category mappings

= 8.4.9 =
Removed the parent variable product for Facebook catalogue feeds again. It turns out not to be needed

= 8.4.8 =
Added the parent variable product to Facebook catalogue feeds

= 8.4.7 =
Solved an Aelia price caching issue

= 8.4.6 =
Changed Google Review XML Schema to 2.3
Re-arranged the product_ids in Google product review feeds
Replaced & characters in product names with 'and' for Google product review feeds

= 8.4.5 =
Fixed support for Bing Shopping feeds

= 8.4.4 =
Added the Facebook Pixel feature

= 8.4.3 =
Flat rate shipping methods that had no classes set resulted in empty shipping costs in feeds. This has been solved now.

= 8.4.2 =
* Fixed an issue with German free shipping zones not showing in Google Shopping feeds

= 8.4.1 =
Added two new Google Shopping fields to the template: productdetail and producthighlight

= 8.4.0 =
Added attributes for unfiltered descriptions and short descriptions meaning all short codes and HTML will stay in.

= 8.3.9 =
Attributes that have multiple values that are not set for variations can now be used in the data manipulation feature

= 8.3.8 =
Changed the XML node order for Google Product Review feeds as it was not (always) validating by Google

= 8.3.7 =
Added a product title hyphen attribute showing a hyphen between the parent variable product name and the attribute values

= 8.3.6 =
Added priceValidUntil structured data for variable and variation products

= 8.3.5 =
Changed the Google Product Review feed node order

= 8.3.4 =
Removed line-breaks from the description and short description attribute

= 8.3.3 =
Added a feature to add the parent product ID to the Facebook pixel ID instead of the variation product ID's for variable products

= 8.3.2 =
Solved a PHP notification on the settings page for users running an older PHP version

= 8.3.1 =
The Facebook DOM solution resulted in duplicate products in feeds. This issue has been solved now.

= 8.3.0 =
When our plugin is enabled and the structured data snippet feature is disabled then use the normal default WooCommerce structured data

= 8.2.9 =
Reverted to DOM for Facebook / Instagram feeds as Facebook, all of a sudden, requires preservation of line-breaks

= 8.2.8 =
Added webitemid attribute to the Google Local Product Feed template

= 8.2.7 =
Solved a plugin conflict with GLS France plugin for WooCommerce

= 8.2.6 =
Fixed an issue with the gender attribute not saving for variations

= 8.2.5 =
Fixed an issue with the default WooCommerce structured data since WC changed the default version

= 8.2.4 =
Fixed an issue with the table rate shipping compatibility for postcodes

= 8.2.3 =
Fixed another issue where structured data aggregateRatings were removed for simple products

= 8.2.2 =
Fixed a namespace error for Google product review feeds

= 8.2.1 =
Fixed an issue where structured data aggregateRatings were removed for simple products

= 8.2.0 =
Improved check if the WooCommerce Table Rate plugin is active
Fixed PHP warnings that showed during creation of feeds for products that had no attributes at all
Set autoloading on no for the product batch option

= 8.1.9 =
Solved PHP warnings that showed on variants product edit pages for the extra fields that had an undefined index

= 8.1.8 =
Fixed a shipping table rate bug

= 8.1.7 =
Fixed a PHP error, expected a string got an array

= 8.1.6 =
Added support for Vivino prices

= 8.1.5 =
Removed autoloading of channel_statics upon activation of the plugin

= 8.1.4 =
Removed the item_group_id field for auction product types

= 8.1.3 =
Added support for the auction product type (UWA Ultimate WooCommerce Auctions)

= 8.1.2 =
Fixed an issue with the WooCommerce Shipping Table Rate plugin

= 8.1.1 =
Fixed several bugs in the Fruugo.nl templating

= 8.1.0 =
Added support for Advanced Custom Fields (ACF) that return array values such as checkboxes

= 8.0.9 =
Added the sysyem sale price attribute

= 8.0.8 =
Added a more strict check on "is equal to" filters for category filters

= 8.0.7 =
Fixed a bug when user did not configure a shipping country in its WooCommerce shipping zones and methods

= 8.0.6 =
Facebook pixel change for Purchase, SearchResult and ViewCategory events

= 8.0.5 =
Facebook pixel change for AddToCart event

= 8.0.4 =
Facebook pixel code change for variable products

= 8.0.3 =
Cleaned-up some un-used code

= 8.0.2 =
Solved a PHP warning issue that showed on the settings page

= 8.0.1 =
Removed some more obsolote license JS code

= 8.0.0 =
Removed the phone home license check feature
Made all remaining features free and fully functional
Solved an issue where the function wc_review_ratings_enabled was not supported by any WC version older than 3.6
Users with a license: please reach out to support@adtribes.io to receive a download link with the Elite version of the plugin

= 7.9.9 =
Solved an issue where the function wc_review_ratings_enabled was not supported by any WC version older than 3.6

= 7.9.8 =
* Solved an issue with multiple filters including empty filters that resulted in too many products in the feed

= 7.9.7 =
Removed double Facebook Pixel Purchase event for the eWay Gateway

= 7.9.6 =
Build in a check that prevents the plugin from crashing in ghost variation products

= 7.9.5 =
Added a feature to exclude local pickup shipping zones from Google Shopping and Facebook feeds
Renamed a Fruugo.nl template field from NormalPriceWithVat to NormalPriceWithVAT
Removed ATOM header from Pinterest RSS Board templating

= 7.9.4 =
Added a feature where user can indicate if the plugin needs to respect free shipping criteria or not when adding shipping classes and methods to Google and Facebook feeds.

= 7.9.3 =
Changed the XML header for the Fruugo.nl template

= 7.9.2 =
Solved a PHP warning that showed in the structured data fix when products did not have any categories attacted to it

= 7.9.1 =
Added the canonical_link attribute
Solved a PHP warning that happened for products that did not have any category attached to it

= 7.9.0 =
When the Yoast primary category is set the category path attribute uses the primary category path as of now.

= 7.8.9 =
Added the InitiateCheckout Facebook pixel event

= 7.8.8 =
Added channel support and country: Hong Kong

= 7.8.7 =
Solved a Trovaprezzi shipping cost bug

= 7.8.6 =
Solved WPML PHP noticed for products without a product ID

= 7.8.5 =
Tested and approved compatibility with Wordpress 5.4

= 7.8.4 =
Minor tweaks and tunes to the Facebook pixelcode

= 7.8.3 =
Added some Facebook pixel debug logging

= 7.8.2 =
Fixed an issue with adding free shipping costs to feeds.

= 7.8.1 =
Fixed an issue with category filters which occured after switching the filters and ruling order.

= 7.8.0 =
Added a feature where one can decide to only add the country feed shipping costs or all countries

= 7.7.9 =
Only shipping costs are added to the feed for the country the feed was configured

= 7.7.8 =
Changed the order in which filters and rules are executed. Rules are executed first, filters last.

= 7.7.7 =
Changed how values are added to the content_ids parameter of the Facebook pixel for variable parent products

= 7.7.6 =
Fixed a bug where shipping costs for bundled products did not end up in the feeds. This has been fixed now.

= 7.7.5 =
Added an attribute named "Main image simple and variations" which will always use the simple and variable main image

= 7.7.4 =
Fixed a bug where rules on empty numeric product values did not work. This has been fixed now.

= 7.7.3 =
Fixed a bug where static values are added to feeds for products that are filtered out

= 7.7.2 =
Checked for compatibility with WooCommerce 4.0
Fixed a shipping issue for shipping zones with postcodes

= 7.7.1 =
Added support for filters and rules on product review title's

= 7.7.0 =
Preventing errors to show for Polylang users

= 7.6.9 =
WPML feature also available when no multi-currencies have been configured

= 7.6.8 =
Function check on cl_object_id changed to check if sitepress-multilingual-cms is active

= 7.6.7 =
Added a new attribute named "All gallery images (comma separated)" which adds all product gallery images on one line, comma separated

= 7.6.6 =
Added a new attribute named "All images (comma separated)" which adds all product images on one line, comma separated
The total product orders attribute is pretty heavy on MySql so we are now only requesting this data when it has been added to the field mapping and/or filters and rules

= 7.6.5 =
SQL query to retrieve number of sales for variations was too slow causing the feed processing to slow down. Improved query.

= 7.6.4 =
Added GTIN's to the structured data when the woosea GTIN input field contains values
Solved a bug where the product days back created attribute contained wrong values

= 7.6.3 =
Fixed a conflict between the Yoast SEO WooCommerce plugin and our plugin with regards to the AggregateRating JSON-LD

= 7.6.2 =
* Fixed a minor WPML currency switcher issue

= 7.6.1 =
Added product days back created attribute. You can now create filters which enable you to only have the latest products in your feed.

= 7.6.0 =
Added product creation date attribute

= 7.5.9 =
Added priceSpecification type to the JSON-LD structured data
Fixed a bug where reviews were removed from the structured data

= 7.5.8 =
Adding Brand and MPN to product JSON-LD when woosea values are set for products;
When a variation SKU has been filled in that will show in the structured data SKU instead of the parent variable SKU;
The Yoast WooCommerce SEO plugin was removing our structured data price fix for variations. This has been solved;

= 7.5.7 =
Changed the Skroutz template to reflect all changes of last week

= 7.5.6 =
Fixed a bug with regards to Yoast's primary category. Renamed the "One Category" attribute to "Primary Category"
Now also supporting category mappings for WooCommerce categories containing a > character

= 7.5.5. =
Change in Google category taxonomy mapping: when a product belongs to multiple categories the plugin will use the lowest level category hierarchy mapping (instead of the last one it encounters)
Removed the double pipes in front of the raw category attribute values
Made sure that checks on number of product orders is only done on numeric values

= 7.5.4 =
Fixed a category path skroutz hierarchy bug

= 7.5.3 =
Added logic to ensure that category hierarchy is respected in the category path / short / Skroutz feeds
Removed obsolete category code for variations

= 7.5.2 =
Solved a bug where the lowest level category of a product was not being added to the category path attribute. This issue has been solved now.

= 7.5.1 =
When the multi-currency mode from WooCommerce Multilingual has been deactivated do not show the currencies upon configuration of the feed.

= 7.5.0 =
Added support for dynamic attributes for parent variable products (Skroutz and Google DSA only)
Added a new attribute named category path Skroutz which puts in the category path values according to Skroutz's requirements

= 7.4.9 =
Added support for custom attributes for parent variable products (Skroutz and Google DSA only)

= 7.4.8 =
For Google DSA and Skroutz feeds the parent variable products are added to the feed too.

= 7.4.7 =
Fixed a bug where the suffix currency configuration for shipping costs was ignored. This issue has been fixed now.

= 7.4.6 =
Solved a PHP warning that showed for variable products that had no attributes set
Solved an IE 11 Javascript error
Solved two illegal string offsets

= 7.4.5 =
In between test fix

= 7.4.4 =
Solved a PHP warning that showed when products had no custom attributes configured

= 7.4.3 =
Added logic to bypass the rightpress discount plugin caching of prices

= 7.4.2 =
Changed logic of system price and sale system price attributes

= 7.4.1 =
Solved a PHP notice undefined variable

= 7.4.0 =
Solved a PHP is_type error

= 7.3.9 =
Added extra Moebel.be template fields

= 7.3.8 =
Fixed a Facebook pixel issue for the search page where for some theme's the search broke when no search results were returned.

= 7.3.7 =
Added JSON priceSpecification
Fixed a fatal error where users added a flat rate shipping zone but forgot to set a shipping country. This issue has been fixed now.

= 7.3.6 =
Fixed a bug where an admin notice could be closed but the state was not being saved.

= 7.3.5 =
Fixed a bug where "empty" rules on sale prices did not work as expected. This issue has been fixed.

= 7.3.4 =
Added new fields to the Moebel.de template.

= 7.3.3 =
New feature: you can now decide to only allow products to your feed that have been sold before (and amounts) and indicate a time period that should be taken into account for this.
When a shipping method and zone was configured but no shipping cost was set an empty prices shipping node was added to feeds which caused warnings in Google's merchant center. This has been solved now.

= 7.3.2 =
Added a new attribute to the plugin: "Total product orders" which holds the amount of times the specific product is sold. This enables you to create filters and rules on it.

= 7.3.1 =
Fixed a shipping cost bug where the costs where multiplied with 100 for non-tax shipping cost calculations

= 7.3.0 =
Filters on primary (Yoast) categories now also work on the non primary categories

= 7.2.9 =
Tested for compatibility WooCommerce 3.9

= 7.2.8 =
Added some delete option calls when plugin gets disabled or removed (cleaning up)
Added is dismissible state save for notice that showed after activation of plugin

= 7.2.7 =
We forgot to apply the fix from version 7.2.6 to all plugin pages. Should be fixed now.

= 7.2.6 =
The Get Elite notice is dismissable logic did not work, this has been fixed now.

= 7.2.5 =
It is now possible to remove the item_group_id field mappings again

= 7.2.4 =
Added the InitiateCheckout event for the Facebook pixel
Fixed a structured data pricing bug. When prices were inserted in WooCommerce excluding tax but shown on the website including tax the structured data price was wrong. This has been fixed now.

= 7.2.3 =
Added the variation product ID's to the Facebook pixel events on category and search pages

= 7.2.2 =
Added the Facebook pixel AddToCart event. This event was already triggered when users hit the Add To Cart button but is now also added when users are in the cart itself
Made sure that when product variations are added to the cart it add's the product ID of the variation itself to the Facebook pixel event instead of its parent variable product ID

= 7.2.1 =
Fixed a bug: The Facebook pixel ID on the cart page showed a PHP error. Issue has been solved now.

= 7.2.0 =
Improved front-end performance for structured data feature

= 7.1.9 =
Added the Facebook pixel purchase event
Added the Facebook pixel search event
Added the Facebook pixel category event

= 7.1.8 =
* Solved a PHP notice in the error logs for feed configurations that missed the cron setting

= 7.1.7 =
Added some code to also remove the VC shortcodes for raw HTML in the description and short description attributes

= 7.1.6 =
Fixed a bug: regaular and sale gross price attributes sometimes did add VAT to the prices. This has been fixed now.

= 7.1.5 =
Fixed a bug: when WooCommerce categories have the exact same name the Google category taxonomy mapping showed only one mapping in the UI. This hasbeen fixed.

= 7.1.4 =
Fixed a bug: when a minimum shipping fee was set and one used the Germanized for WooCommerce plugin product prices higher than 100 never got free shipping. This has been fixed.

= 7.1.3 =
Changed encoding for UTM terms in the deeplinks for Google's DRM feeds as it broke the CSV file.

= 7.1.2 =
Minor fix for PHP notice when users added custom attributes without values. Notice in the logs is gone now.

= 7.1.1 =
Another fix for the Dokan Multi-vendor plugin

= 7.1.0 =
Fixed support for the Dokan Multi-vendor plugin
Fixed some PHP warnings that showed in the error logs when a parent variable product had no attributes configured

= 7.0.9 =
Added support for creation of find & replace rules
Removed XML support for Bol.com feeds

= 7.0.8 =
Added support for the Perfect Woocommerce Brands plugin

= 7.0.7 =
Some Germanized for WooCommerce fields didn't work anymore because of a change in attribute naming. This has been fixed.

= 7.0.6 =
Increased performance and speed of processing product feeds
Increased performance of field mapping page

= 7.0.5 =
Added support for the official WooCommerce Composite Products (https://woocommerce.com/products/composite-products/)

= 7.0.4 =
Added support for Czech characters in custom field names

= 7.0.3 =
Added query logging as some users reported duplicate products in their feed

= 7.0.2 =
Solved a bug: when all product feed had a stopped status the manual refresh of product feeds did not start. This has been fixed.
Latest update of WPML / WCML caused manually entered currencies not to show in feeds anymore. Made our plugin compatible again.

= 7.0.1 =
Removed space between prefix and link attribute so users can add trackingcode before the landingpage URL

= 7.0.0 =
Added the category path short (without Home) attribute

= 6.9.9 =
Fixed a case-sensitive issue for product tag rules
When non numeric tax rates were filled in a PHP warning would show on the front-end. This has been fixed.

= 6.9.8 =
Fixed a bug: rules on product tags did not work. Issue has been fixed now.

= 6.9.7 =
Changed product feed sorting for Pinterest RSS feeds so most recent products appear on top in Pinterest

= 6.9.6 =
Made a change to the AddToCart Facebook Pixel event feature so the product ID of the variation is added to the event after users changed drop-downs

= 6.9.5 =
Added the parent variable product SKU attribute
Minor change to the multiply rule so it would take decimals into account

= 6.9.4 =
Solved a minor undefined index issue that showed with some ajax responses

= 6.9.3 =
Fixed a bug: reviewer names containing Cyrillic characters broke the XML feed. This has been fixed now.

= 6.9.2 =
Added support for case-sensitive rules

= 6.9.1 =
Added support for adding multiple additional image nodes for Skroutz feeds
WooCommerce started adding a v parameter to the URL's which caused the Facebook pixel to break for parent variable products. This has been fixed.

= 6.9.0 =
Fixed a bug: include only filters for product tags using "contains" was not working. This has been fixed now.

= 6.8.9 =
Added the author attribute so one can add the author information to feeds or create filter and rules on it.

= 6.8.8 =
Minor change to product tag space attribute
Fixed a bug: Shipping cost implementation for table rate zones was not working. This has been fixed now.

= 6.8.7 =
Added a force activate all feeds option

= 6.8.6 =
Fixed a WPML / WCML caching issue
Tested for Wordpress 5.3 compatibility

= 6.8.5 =
Added WPML / WCML support for the regular and sale price support

= 6.8.4 =
Added an attribute (Product Tags Space) containing the product tags separated by a space and comma

= 6.8.3 =
Added # as a delimiter for CSV feeds

= 6.8.2 =
Cleared refresh interval on the manage feeds page when all feeds are on status ready, this was causing too many calls / load
Solved a PHP warning that showed in the logs when the "one category" attribute was empty

= 6.8.1 =
Added a default template for Wish.com

= 6.8.0 =
Fixed a bug: removed the question mark from the variable link attribute when Google Analytics code is disabled

= 6.7.9 =
Added the variable link attribute for variations

= 6.7.8 =
Added proper encoding to the utm parameters in deeplinks for XML feeds as for some users it showed an XML validation error

= 6.7.7 =
Added identifier_exists field for Facebook catalogue feeds

= 6.7.6 =
Added template for the Australian Marketplace Catch.com.au
Added template for the Australian Marketplace Kogan.com
Removed the double item_group_id field from the Facebook catalogue feed template

= 6.7.5 =
When attributes have been added for variable products but not been checked as "Used for variations" they can now also be used for your variations in your product feed.
Change of the g:identifier_exists requirements by Google. When you do not have valid unique identifiers the g:identifier_exists field needs to be removed from your Google Shopping feeds altogether whereas previously the value of this field had to be "no" or "false" when products did not have an unique identifier. We have changed our plugin so it meets Google's new requirements.

= 6.7.4 =
Added SKU to the pricecheck.co.za template

= 6.7.3 =
Fixed a bug where the product data manipulation tool converted numeric values in woosea attributes to double's

= 6.7.2 =
Added a feature to the data manipulation tool to create a product price including shipping costs
Added localization of the shipping cost price
Added localization of the system price attribute

= 6.7.1 =
Added support for price, net price, regular and sale system prices

= 6.7.0 =
Creating multiply rules on doubles with a . in it (such as price and sale_price) was not working. This issue has been fixed now.

= 6.6.9 =
Improved product feed status messages so they are more accurate now
Improved filter and rule feature to speed up processing of product feeds

= 6.6.8 =
One week ago Google introduced a new updated Google category taxonomy. Compared with the previous taxonomy a few hundred categories have been added. Our plugin now supports those new categories.

= 6.6.7 =
In preparation of the conversion feature now outputting conversion data in logs
Category mappings for WooCommerce categories that had a & in it where not showing the Google category taxonomy ID (only visual issue). They have been added.

= 6.6.6 =
Fixed a bug where when users enabled the extra fields feature but did not enable any of the extra field a PHP warning was showing. 

= 6.6.5 =
The WooCommerce function get_variation_attributes started returning sanitized values. This caused product title's for variants to contain encoded attribute values. Issue has been solved.
Removed the attribute publication date, it was causing issues in rules and filters.

= 6.6.4 =
Added shipping region support for Google Shopping feeds for Japan, Australia and the United States. Google does not allow region additions to the shipping details for other countries.

= 6.6.3 =
Added templates for all European Compare sites
Fixed a bug that was introduced in the previous release with regards to category mapping

= 6.6.2 =
Category mapping wasn't working for categories that had a quotation mark in the category name. This has been fixed now.

= 6.6.1 =
Fixed a bug in the include only filters. Categories that contained a ' were ignored in filters. This has been fixed now.

= 6.6.0 =
Fixed a multi-currency bug for WPML where only the first product of a product feed was not converted to the correct currency.

= 6.5.9 =
Include only filters on categories for products that sit in multipe categories now also works for variants products and not just simple products

= 6.5.8 =
Removed php warning on product edit page. This was caused when the extra fields feature was enabled but no extra fields were enabled.

= 6.5.7 =
Added custom meta field and dynamic attribute support for external product types

= 6.5.6 =
Added color field to all Miinto templates
Bug fix: the structured data fix did not work on variant products when attribute values contained a quote

= 6.5.5 =
Added support for so-called private custom meta fields and attributes. This makes our plugin compatible with a lot of extra plugin's
Removed comments from review feeds

= 6.5.4 =
Added support for Miinto.se feeds

= 6.5.3 =
Added support for rating total and average rating of parent products, made available for variants

= 6.5.2 =
Product reviews on parent products are now also added to the variants of the parent product

= 6.5.1 =
Solved a bug: PHP warning showing sometimes when changes to products were made. Issue has been solved now.

= 6.5.0 =
Added support for nested product details XML for Google Shopping Actions

= 6.4.9 =
Added support for Google Shopping Actions: https://support.google.com/merchants/answer/7378924?hl=en

= 6.4.8 =
Put all Shareasale.com fields on required
Increased performance plugin when lots of filters and rules were set

= 6.4.7 =
Removed the low_stock_amount feature as it is only supported for WC 3.7 users

= 6.4.6 =
Added a template for Shareasale.com
Fixed a bug: filters on category names that had a "&" in it did not work. Issue has been fixed.

= 6.4.5 =
Fixed a bug: price filters on non numeric values did not work properly. Issue has been fixed.

= 6.4.3 =
Added a feature to configure the plugin product batch size

= 6.4.2 =
Added the product category to the Facebook AddToCart event
Custom attributes of parent products where showing for variants whereas it should show the variant values. This issue has been fixed

= 6.4.1 =
Facebook pixel was not triggered on parent (variable) products, this has been added now
Added the currency to the Facebook AddToCart event

= 6.4.0 =
Minimum order fee's are now also converted to the proper fee when the Aelia currency switcher is enabled.
Removed support for AdMarkt Marktplaats.nl as the default feed was not supported

= 6.3.9 =
Fixed a bug: when Aelia prices were inserted manually (so not using a currency conversion) the free shipping minimum amount was still using the converted price. This was wrong and is fixed now.

= 6.3.8 =
Added product price and product name to the Facebook AddToCart event
Changed the product name mother into product name parent
Some private custom attributes where lost in the previous release, added those again

= 6.3.7 =
When feeds are cloned you can now change the country. Previously this was disabled.
Added support for rules on products that contain multiple product tags

= 6.3.6 =
Added the AddToCart tracking event for the Facebook pixel
Added the google_product_category and item_group_id as mandatory fields to the Facebook catelogue feed template
Added support for the Germanized for WooCommerce plugin. It is now possible to use the unit attributes for your field mappings and filters/rules
Added preparations for batch configuration

= 6.3.5 =
Added the tax status and tax class attributes

= 6.3.4 =
The Wordpress get_multisite function was not functioning for Wordpress multisites. We have added support for it.

= 6.3.3 =
Added support for the All in one SEO pack title and description. Those can now be selected from the attribute drop-downs and added to your product feeds.

= 6.3.2 =
Added headers to the Pinterest RSS Board template

= 6.3.1 =
Rolling back version 6.3.0 of our plugin as it is causing some performance issues for users who are on WC 3.7

= 6.2.9 =
Fixed an issue where an exclude rule for categories was not working

= 6.2.8 =
Added support for table rate shipping costs for regions (next to countries)

= 6.2.7 =
Fixed a bug: with the latest release of WC 3.7 and the latest release of the Bolder Elements Table rate shipping plugin all shipping costs where 0. This issue has been fixed now.

= 6.2.6 =
Fixed a bug: for some users the truncation of the product title released in version 6.2.2 caused the plugin to break. This issue has been fixed now.
Supports WooCommerce 3.7, compatibility tests

= 6.2.4 =
Improved the include only filter feature on categories. Products that are part of multiple categories now also validate with the include only filter and will be added to the product feed.

= 6.2.3 =
Added two decimal zero's to prices when needed. This is a requirement for some channels like Pinterest.

= 6.2.2 =
When product name title's are over 150 characters our plugin will truncate the title's to 150 characters as this is the maximum product name length for many channels such as Google Shopping, Facebook and Pinterest
When a description of a variant is filled it will no longer overwrite the short description of the parent product. It will however still overwrite the description of the parent p
roduct.

= 6.2.1 =
Fixed a bug: Aelia currency switcher shipping calculations for the United States of America was not working. This issue has been fixed. 

= 6.2.0 =
Removed some product change logging features

= 6.1.9 =
Fixed a bug: the extra fields feature was not working from fresh installs of the plugin. This has been fixed now.

= 6.1.8 =
Enable some extra fields on activating the plugin

= 6.1.7 =
Added support for Google's g:shipping_label field by adding an attribute that contains the slug of the shipping class
Added support for the Germanized WooCommerce plugin

= 6.1.6 =
Only shipping zones and methods are added to feeds for the country the feed was configured for instead of all shipping zones for all countries.
Fixed a bug: decimal seperators for shipping costs and product prices where not the same in all instances. This has been fixed.

= 6.1.5 =
When users have Invalid Products in their WooCommerce database the plugin crashes trying to process that invalid product. This issue should be fixed now.

= 6.1.4 =
Fixed a bug: changed Facebook pixel viewContent to ViewContent

= 6.1.3 =
Added template for Fashionchick.nl

= 6.1.2 =
Added support for the WooCommerce Table Rate (Bolder Elements) Shipping plugin
Added a feature to enable / disable the extra Google Shopping attributes on the product edit pages (for usability purposes, the page was becoming too long)

= 6.1.1 =
Added a shipping cost attribute that will only add the shipping price to feeds (without zone and region names and xml nodes)

= 6.1.0 =
Removed the escaping of caracters for the custom fields as sanitazion already took place before
Naming of the product feed URL was depending on openSSL being compiled with PHP. We removed this dependency
Added logging for the first steps of the creation of a new product feed

= 6.0.9 =
Added 3 new price attributes: Price rounded, Regular price rounded, Sale price rounded. These attributes add product prices to your feed(s) rounded to the nearest full number, no decimals.
Base currency prices are no longer rounded for users who use the Aelia Rounding plugin.
Fixed a bug: when sale prices were empty they were added as 0 to Google DRM feeds. This issue has been fixed now.

= 6.0.8 =
New feature: added a feature to add the Facebook Pixel Code on your page. The content of the Facebook Pixel matches the content of the Facebook catalogue feed you created.

= 6.0.7 =
Fixed a bug: "empty" rules did not work for custom fields. Issue has been fixed.

= 6.0.6 =
Removed the autoloading of add_option WP function were possible.
Removed flat rate shipping costs from feeds when free shipping is active for a product.

= 6.0.5 =
Removed woosea attributes from drop-down for our PRO users. They should only show for the Elite version of our plugin.

= 6.0.4 =
Products filters on category visibility=hidden are supported

= 6.0.3 =
Added support for adding prices excluding VAT to the feeds when prices were inserted including VAT

= 6.0.2 =
Fixed a bug: fallback scenario for Google Shopping feeds was not working because of a coding-issue. This issue has been fixed now.
Fixed a bug: woosea optimized title's were not working when the attribute was never used for a product. This issue has been fixed now.
Solved some PHP issues (undeclared variables, missing breaks).
Added support for array's (product tags and categories) in the data manipulation feature

= 6.0.1 =
Fixed a bug: rules and filters on featured variable products was not working. This issue has been fixed now.

= 6.0.0 =
Added advanced WooCommerce logging

= 5.9.9 =
Fixed a bug: Yandex category feed lists where not translated using WPML. This issue has been fixed now.

= 5.9.8 =
Added support for WC Field Factory Admin fields

= 5.9.7 =
Added support for sale and regular prices for bundled products

= 5.9.6 =
Added support for bundled products that have a combined price
When a product has no reviews remove the average rating score of 0 from the feed

= 5.9.5 =
Fixed a bug: adding fields on the field mapping page did not work in Firefox. This has been fixed now.
Fixed php warnings: when a Google Product Review Feed was created and attributes contained html characters PHP warnings were shown. This has been fixed now.

= 5.9.4 =
Fixed links to tutorials in the feed configuration screens.

= 5.9.3 =
Added color, size, gender, material and pattern product fields for the extra fields feature

= 5.9.2 =
Added South-Africa PriceCheck.co.za template

= 5.9.1 =
Internationalized the plugin menu's: texts are now translatable.

= 5.9.0 =
Internationalized the plugin: texts are now translatable.

= 5.8.9 =
Added support for comma's in Yandex PARAM fields

= 5.8.8. =
Fixed a bug: rules for empty values contained a bug. This has been fixed now.

= 5.8.7 =
Fixed a bug: mappings for WooCommerce categories that contained () where not working. This has been fixed now.

= 5.8.6 =
Added the Glami.gr template

= 5.8.5 =
Fixed a bug: "empty" rules replacing empty attributes with another attribute value was not working. This has been fixed now.

= 5.8.4 =
Changed Aelia currency support feature as it was retrieving cached prices.

= 5.8.3 =
Added support for the transit time label field for Google Shopping feeds.

= 5.8.2 =
Made the ShopMania template suitable for all countries they are active in.

= 5.8.1 =
Further improvements to the Dynamic Remarketing code, extra check on prices of variant products

= 5.8.0 =
Fixed a bug in the Google Dynamic Remarketing code, variants where getting the item_group_id filled in in the ecomm_prodid parameters which was causing a mismatch with the product feed. This has been fixed.

= 5.7.9 =
Further improvement of the default variant inclusion feature. Plugin now also add's the default variant (when option enabled) when none of the variants matches that default.
Fixed a bug: the data manipulation feature for variants (when variants was selected, simple and all worked) was broken. This has been fixed.

= 5.7.8 =
Added ads_grouping and ads_labels fields to the Google Shopping template

= 5.7.7 =
Solved a google_product_category mapping bug for simple products that were mapped to multiple categories.

= 5.7.6 =
Added template for Compari Romania
Added template for Shopmania Romania

= 5.7.5 =
Removed conversion UI features for now till we officially release this feature.

= 5.7.4 =
Added support for creating rules and filters on featured products

= 5.7.3 =
Fixed a PHP warning that showed whem WPML and Aelia currecy converters where active

= 5.7.2 =
Fixed a bug: rules on empty product attributes were not working. This has been fixed.

= 5.7.1 =
Made it impossible to delete the item_group_id field mapping from Google Shopping and Facebook feeds.

= 5.7.0 =
Fixed a bug: rules set on google categories did not work. Those are fixed now.

= 5.6.9 =
Fixed a bug: the tmp product feed files created upon creation and updating of the feeds where not removed. They are now.

= 5.6.8 =
Added fallback scenario, when no default templace can be loaded the Google Shopping template will be used

= 5.6.7 =
Minor change to the Aelia currency switcher support, now also supporting the Aelia rounding plugin

= 5.6.6 =
Added the offer_price and offer_price_effective_date fields for Facebook product catalogue feeds

= 5.6.5 =
Added the possibility to add prefix and suffix values around the image_link field without spaces between it

= 5.6.4 =
PARAM_ fields for Yandex were broken. This bug has been fixed now.

= 5.6.3 =
Solved a conflict between Rightpress and the Aelia currency converter

= 5.6.2 =
Added UTF8 and html entity checks for Google Product Review feeds data

= 5.6.1 =
Added the item_group_id field as an default and required field for the Pinterest template

= 5.6.0 =
Build in an extra check to cope with "invalid WooCommerce products"
RSS dashboard on WP-admin not showing when RSS feed cannot be retrieved

= 5.5.9 =
Added the "add to cart link" attribute

= 5.5.8 =
Added link to feed location on manage feeds page

= 5.5.7 =
Fixed bugs in Google's product review feed nodes

= 5.5.6 =
Removed spaces in prefix and suffix for SKU attribute

= 5.5.5 =
On popular demand added the availability of a wc_post_id_product_id attribute for Facebook feeds

= 5.5.4 =
Fixed a bug where the identifier nodes in the Google Product Review feeds were not complete. This issue has been fixed now.

= 5.5.3 =
Users that created a custom feed and had deleted products in their database reported on empty product nodes. This release attempts to fix that issue.

= 5.5.2 =
Fixed a PHP warning that showed when using the Aelia currency switcher

= 5.5.1 =
Added links to support pages

= 5.5.0 =
Checked for WordPress 5.2 compatibility

= 5.4.9 =
Fixed a PHP warning that showed after processing of Yandex feeds

= 5.4.8 =
Fixed support for Cyrillic characters in the Yandex PARAM field
Removed the Yandex platform node from the YML as it is no longer an accepted field for Yandex

= 5.4.7 =
Changed the XML header of the Heureka.cz template

= 5.4.6 =
Fixed support for rightpress

= 5.4.5 =
Cleaned the filter and rule drop-downs. Removed the replace option as that is not fully functioning yet.

= 5.4.4 =
Re-arranged some of the attributes in the drop-down in order for the important attributes to show above the (long) list of custom attributes

= 5.4.3 =
Solved the same bug again: products that had only one review did not end up in Google's Product Review Feed. This issue has been fixed now.

= 5.4.2 =
Change to Google Product Review Feed: names need to be shorten (anonymous)

= 5.4.1 =
Solved a bug: products that had only one review did not end up in Google's Product Review Feed. This issue has been fixed now.

= 5.4.0 =
Solved a PHP warning that showed for some users when setting-up a feed.

= 5.3.9 =
Solved a PHP warning that showed on the feed settings page when all feeds were deleted
Changed texts in the review notification

= 5.3.8 =
Tested compatibility for WooCommerce 3.6
Added the "on backorder" support for the availability attribute
Solved a bug where in some browsers field mappings could not be added or deleted

= 5.3.7 =
Solved a conflict with the Yoast SEO plugin where the category path was empty for some products.

= 5.3.6 =
We have added 5 custom fields (_woosea_custom_field_0 to 5) that can be used for adding product information to feeds
Google added new attributes that can be used in Google Shopping: installment and subscription cost. We have added those to the Google Shopping template

= 5.3.5 =
Products that are on back-order will now have the availability status "out of stock" whereas previously they were shown as being "on stock"

= 5.3.4 =
Fixed a bug in the category mapping for level-3 categories. When those categories were mapped to a Google category they did not show in the product feed. This has been fixed now.

= 5.3.3 =
General clean-up of code
Changed batch size for product feeds over 50.000 products

= 5.3.2 =
Fixed a bug in filters for product tags

= 5.3.1 =
Added support for adding parameters to the link attribute for CSV feeds

= 5.3.0 =
Solved some PHP warnings that were showing when configuring a CSV feed with Aelia currencies in it
Added support for adding parameters to the link attribute for CSV feeds

= 5.2.9 =
Added some extra allowed characters (% and ,) in the Yandex PARAM XML node
Added the review_url field to Google Product Review feeds
Fixed the review_timestamp format for Google Product Review feeds

= 5.2.8 =
Fixed a bug in the Google Product Review feed where the min/max rating values were wrong. 

= 5.2.7 =
Added support for the official WooCommerce Product Bundles (https://woocommerce.com/products/product-bundles/)

= 5.2.6 =
Added the "is promotion" attribute for Google Merchant Promotion feeds

= 5.2.5 =
Fixed a category mapping issue. The preg match was matching too many results, mainly accessories

= 5.2.4 =
Fixed another exotic category mapping issue that occured when users left some category mappings blank

= 5.2.3 =
Fixed a bug: plugin was added main category names to a category mapping, even when that main category was not active for a product. This caused unexpected category mappings in product feeds. This has been solved now.

= 5.2.2 =
Added support for usage of whitespaces in the so-called PARAM_ nodes for Yandex, Zbozi and Heureka feeds.

= 5.2.1 =
Reverted back some of the rule fixes from the previous release as it caused non Google feeds to become empty

= 5.2.0 =
Fixed a Pinterest bug, templare was not loading
Fixed rules that were created on Google category attributes

= 5.1.9 =
Added support for Pinterest, our plugin now contains a default template for it

= 5.1.8 =
Added support for Google Product Review feeds

= 5.1.7 =
Added support for Cyrrilic characters in PARAM_ parameters for Yandex, Zbozi and Heureka feeds.

= 5.1.6 =
Build in another check for when users add a variable product to their product feed that isn't really a variable product. This caused the plugin to get stuck when processing product feeds.

= 5.1.5 =
Build in a check for when users add a variable product to their product feed that isn't really a variable product. This caused the plugin to get stuck when processing product feeds.

= 5.1.4 =
Added PARAM support for Yandex feeds

= 5.1.3 =
Added PARAM support for Zbozi.cz and Heureka.cz product feeds

= 5.1.2 =
New powerful feature: product data manipulation. Combine different fields and attributes to one piece of product data to improve the quality of your product feeds
Fixed some PHP warnings that showed upon activation of the plugin
Fixed naming of Ricardo.ch
Added Ricarco.ch template

= 5.1.1 =
Added support for named attributes for Zbozi.ch and Heureka.cz
Fixed an issue where comparisons on numeric numbers bigger than 1000 did not work

= 5.1.0 =
Fixed a bug where category mappings that contained apastrophe were not saved. This issue has been fixed now.

= 5.0.9 =
Fixed an issue where empty rules on product descriptions contained only shortcodes did not work

= 5.0.8 =
Fixed a PHP warning that showed in the logs when a than-rule was set on an empty or non-excisiting attribute

= 5.0.7 =
Added 6 new fields to the product edit pages which you can use for your product feeds: cost of good sold, multipack, is bundle, energy efficiency class, minimum energy efficiency class and maximum energy efficiency class

= 5.0.6 =
Fixed another priceValidUntil structured data markup issue

= 5.0.5 =
Fixed a bug when enabling the select default variant only option

= 5.0.4 =
Added priceValidUntil and url structured data mark-up to default WooCommerce structured data and added it to the structured data markup feature of this plugin

= 5.0.3 =
Fixed another YML bug for Yandex (shop node was misplaced).

= 5.0.2 =
Fixed a bug for Yandex and Zap.co.il feeds where XML nodes were put in multiple times.

= 5.0.1 =
Added the age_group input field on product edit pages

= 5.0.0 =
Fixed a PHP undefined variable warning

= 4.9.9 =
Added a feature: one can select to only include the default product variation in feeds instead of all variations 

= 4.9.8 =
Fixed a bug: product tag filters for products that did not have product tags configured did not work. This issue has been fixed.

= 4.9.7 =
Fixed a bug: processing of feeds for which the original feed was deleted did not work. This issue has been fixed.

= 4.9.6 =
Removed the wp_flush_cache option again as it was performing site performance issues

= 4.9.5 =
Solved an PHP object error

= 4.9.4 =
Added the Huis & Tuin template for Daisycon.com

= 4.9.3 =
Fixed a bug: when WooCommerce was deactivated and Google's Remarketing code was activated a PHP error was thrown. This issue has been fixed (thx alx359 for reporting)

= 4.9.2 =
Fixed a bug: rules with an empty condition meant to replace a value did not work. This issue has been fixed now.

= 4.9.1 =
Fixed some PHP bugs: non-strict MD5 comparisons fixed in most places as making most in_array functions strict comparisons (thanks Daniel & Stephan for this, greatly appreciated!)

= 4.9.0 =
Fixed a bug: sale prices excluding VAT that were added to the feed that had no value got added as a sale price of 0 where it should have been empty. Issue has been fixed now.

= 4.8.9 =
Fixed a bug: for variation products the plugin was adding the slug to the product name for dynamic attributes. This needed to be the dynamic attribute name. Issue has been fixed now.

= 4.8.8 =
Added some more cache flushing

= 4.8.7 =
Forcing the prices excluding VAT to be rounded on two decimals

= 4.8.6 =
The filter bug fix of release 4.7.5 changed the behaviour for exclude filters on empty fields. Made changes so it defaults back to the old behaviour for exclude filters.

= 4.8.5 =
Removed ancestor category from all feeds when not selected

= 4.8.4 =
Re-introduced feature: added a chart on the plugin settings page for every individual product feed showing the amount of products per feed after each refresh.
Fixed an undifined variables issue for the RSS box (thanks alx359 for spotting this one)

= 4.8.3 =
Fixed a bug for Prisjakt and Pricerunner feeds where the ancestor category was added to the feed even when it was not selected.

= 4.8.2 =
Added a SKU_ITEM_GROUP_ID attribute for Facebook feeds

= 4.8.1 =
Added the product menu order attribute and filter/rule feature

= 4.8.0 =
Fixed a bug: the review notification screen started showing up all over the WP-admin section and could not be dismissed. This issue has been fixed.
Added extra custom attributes to the filter drop-downs

= 4.7.9 =
Added support for Cyrillic characters in the variation product name appends

= 4.7.8 =
Checked for WordPress 5.1 compatibility
Fixed a Yandex feed bug for missing CategoryIds for variation products

= 4.7.7 =
Fixed an issue where the ancestor categoryId was added to Yandex feeds for variation products only, even though that ancestor category was not activated. This issue has been fixed now.

= 4.7.6 =
Added object caching flushing
Changed Zbosi.cz header to http

= 4.7.5 =
Fixed a bug where flters on empty values where not working for include_only filters

= 4.7.4 =
Fixed an issue where the ancestor categoryId was added to Yandex feeds (only when the Yoast SEO plugin was not installed) even though that ancestor category was not activated. This issue has been fixed now.
Added a template for Zbosi.cz

= 4.7.3 =
WooCommerce 3.5 compatibility message is not showing. This should fix that as our plugin is compatible.

= 4.7.2 =
Solved some PHP warnings that appeared with one of the information boxes when license was inactive

= 4.7.1 =
Attempting to fix a rounding issue for Facebook feeds

= 4.7.0 =
Fixed a bug for Google DRM feeds. Prices got malformed when the thousand separator was a comma. This issue has been fixed now.

= 4.6.9 =
Fixed a bug where some of the wp_enqueue_script where loaded outside the scope of our plugin. This issue has been fixed now.

= 4.6.8 =
Reverted part of the previous release as it contained untested features of an upcoming release. Mea culpa.

= 4.6.7 =
Added a feature to exclude TAX from structured data price fields on product pages

= 4.6.6 =
Fixed a bug where filters on product tags where only working for products that had one tag attached to them. Filters on products that have multiple product tags are working now aswell.

= 4.6.5 =
Added the category slug in the drop-down when creating a category filter

= 4.6.4 =
As of this release all attribute values making a variation product unique will be added to the product name/title. Previously the plugin only added attribute values of attributes that are also in the product feed itself.
Fixed a PHP-warning that happened for variation products that had no regular price.
Fixed a PHP-warning that happened for variation products that got saved and did not have the 'extra fields' option of this plugin enabled.

= 4.6.3 =
Fixed another bug where strictly configured PHP instances crashed on using empty on a function.
Added notifications

= 4.6.2 =
Fixed a bug where strictly configured PHP instances crashed on using empty on a function.

= 4.6.1 =
Added the product URL to the structured data snippet

= 4.6.0 =
Added the possibility to add wc_post_id_ before the item_group_id without a space between it
Added shipping support for local pickup

= 4.5.9 =
Minor fix where the store code for Google's Local Product Inventory Feeds did not make it to the feed when only 1 shop was added

= 4.5.8 =
Prices for Google's Dynamic Remarketing Feeds now always use '.' as the decimal mark as required by Google.
Structured data prices are now rounded to two decimals.

= 4.5.7 =
When a suffix was placed behind an attribute on the field mapping page, no space was put between the attribute value and the suffix for CSV feeds only. This has been solved.

= 4.5.6 =
When an user did not add the g:shipping field to their feed there is also no need to calculate the shipping prices per zone per products. So we removed this when this is the case. This results in an perfonce increase, processing the feeds.

= 4.5.5 =
When users add an item_group_id to simple products this causes products to get disapproved in Google's merchant center. Build in a check that always removes the g:item_group_id for simple products.

= 4.5.4 =
Fixed a bug: the attribute price incl. VAT did not always contained the price incl. VAT due to active caching plugins. This has been fixed now.

= 4.5.3 =
Fixed a bug: in the attribute enable/disable settings page some attributes could not be enabled. Changing the settings was not saved. This has been fixed now.

= 4.5.2 =
Added support for adding mutiple store codes to Google Local Product Inventory Feeds

= 4.5.1 =
Removed Redis Object Caching support as it was causing issues with some of our users

= 4.5.0 =
Added the possibility to add prefix and suffixes before and after the id

= 4.4.9 =
Removed upgrade notices for members who bought an Elite license

= 4.4.8 =
Fixed a bug: the Aelia currency switch enable/disable option was broken, it could not be turned off. This issue has been fixed.

= 4.4.7 =
Fixed a bug: include_only filters on tags were not working. This issue has been fixed.
Added compatibility for the Redit Object Caching plugin
Added some more license checks

= 4.4.6 =
Solved a PHP warning that showed up when creating filters on quantity fields

= 4.4.5 =
Final preparations made for the launch of the Elite features. Added lots of notifications, help texts and utm parameters

= 4.4.4 =
Added notifications to the manage feeds page with regards to the Elite features

= 4.4.3 =
Disabled the chart feature for now as Chart.js seems to conflict with some theme's

= 4.4.2 =
New feature: introduced a chart feature for every individual product feed showing the amount of products per feed after each refresh.

= 4.4.1 =
Fixed a bug: rules to change shipping costs for non Google shopping/Facebook feeds where not working. This issue has been fixed now.

= 4.4.0 =
Fixed a bug: manually entered Aelia prices for variation products did not make it to the product feed. This issue has been fixed now.

= 4.3.9 =
Fixed a bug: when a shipping zone was applicable for multiple countries it only put in the last country in the feed. This issue has been fixed now.

= 4.3.8 =
Removed the template for Google Product Review Feeds as it was not fiished yet

= 4.3.7 =
Fixed a bug: Aelia base currency was always showing as a shipping currency prefix after updating the currency setting of a product feed. This has been fixed now.

= 4.3.6 =
Fixed a bug: there was a double currency prefix with shipping costs. This has been solved.

= 4.3.5 =
Added Aelia exchange rate features for shipping costs

= 4.3.4 =
Further improved support for the Aelia currency switcher

= 4.3.3 =
Improved support for the Aelia currency switcher, the plugin now also accepts manually entered prices (regular and sale price)

= 4.3.2 =
Fixed a bug: exclude rules that were set on product attributes that were empty did not work. Issue has been fixed.
Another attempt to fix the variable mismatch issue

= 4.3.1 =
Fixed the variable mismatch error that existed for users who also used WPML

= 4.3.0 =
Added support for the Latvia Comparison Shopping Engine Salidzini.lv

= 4.2.9 =
Added links to relevant tutorials
Added some license checks

= 4.2.8 =
Fixed a bug: when a Free Shipping zone was configured and limited to certain postal code's and shipping was restricted to one country the free shipping did not end up in the feed. Issue has been fixed.

= 4.2.7 =
Fixed a bug: adding static values in the attribute field mapping page was not working. Issue has been fixed.

= 4.2.6 =
Added the override column to the Facebook feed template so besided the base Facebook feed one can now also create country and language override feeds for Facebook

= 4.2.5 =
Adding suffixes to the link attribute contained a space. We have now changed this so the space gets removed, allowing you to append (static) paramaters to your URL

= 4.2.4 =
The installment amount field was only accepting numbers and not floating numbers (with a . or ,). We have changed this so the field also accepts decimal values.

= 4.2.3 =
Fixed a bug: The Google Analytics and AdTribes conversion tracking buttons did not save when changed. This issue has been solved.

= 4.2.2 =
Added support for the Aelia Currency Switcher

= 4.2.1 =
Added cascading mother / child category mapping feature

= 4.2.0 =
Category mapping made even easier: as of this release it is possible to, with one go, copy existing category mappings to all other categories. This saves you valuable time when you want to map all your categories to one or just a few Google taxonomy categories.

= 4.1.9 =
Added support (template) for the Italian Comparison website Trovaprezzi.it

= 4.1.8 =
Replaced the jQuery UI icons by the official WP dashicons as some user reported not being able to see the jQuery UI icons as those got removed by there theme's

= 4.1.7 =
Improved license-module of plugin

= 4.1.6 =
Changed the inner workings of the 'contains' rules for the shipping field. Whereas previously this rule replaced the entire string now it does a proper string replace only replacing the exact 'contains' part of the rule.
Fixed a bug: previously saved filters and rules on shipping fields got deleted when configuration changes were made to the feed. This issue has been solved now.
Changed the plugin's icon in the WP-admin menu to our Adtribes.io logo

= 4.1.5 =
Fixed a bug for Facebook CSV feeds where the identifier_exists field is not needed and caused some columns to contain the value "yes", always. This issue has been solved.

= 4.1.4 =
Added multiply rule feature for shipping prices
Added product review information to the plugin, this however cannot be used for feeds yet
Prepared the plugin for launch of the paid Elte features

= 4.1.3 =
Fixed a bug for the Zap.co.il template

= 4.1.2 =
Fixed a bug for the Zap.co.il template

= 4.1.1 =
Fixed a bug: rules and filters could not be deleted. This issue has been fixed.

= 4.1.0 =
Fixed another rules and filter display bug

= 4.0.9 =
Added a default feed template for the Israelian price comparison Zap.co.il

= 4.0.8 =
Fixed a rule displaying bug. The rule was actually working fine but it was not showing in the configuration page.

= 4.0.7 =
We have added WooCommerce Multilingual support, especially the currency switcher. WooCommerce Multilangual is an addition onto the popular WPML-plugin
We have improved our WPML support (version 4.1 and higher)

= 4.0.6 =
Added a Google Shopping tutorial to the plugin

= 4.0.5 =
Switched On/Off title's of toggle's
Cleaned-up HTML of the Google Analytics configuration page so no variable mismatch will show after submitting this page.

= 4.0.4 =
Cleaned-up HTML of the rules and filter pages and made some changes to the jQuery checks for that functionality. Hoping it will take away the variable mismatch detection.
Fixed a bug: Byte Order Marks where added to every line for CSV feeds whereas it should only appear only once. This issue has been fixed.

= 4.0.3 =
Improved the way the plugin cleans up the description and short description attributes from HTML. It now replaces some of the HTML with whitespaces instead of just removing it making the description and short description better to read.
Thanks Stan B. for your suggestion. Much appreciated!

= 4.0.2 =
Another attempt to get rid of the "variable mismatch detection"

= 4.0.1 =
Added form tags to the allowed HTML keys using the wp_kses_allowed_html function as they had been removed in the WP 5.01 release. This solves the "A variable mismatch has been detected" error.

= 4.0.0 =
Fixed another issue with cached prices ending up in product feeds.

= 3.9.9 =
Added support for Cyrillic characters for CSV files.

= 3.9.8 =
Fixed a bug: caching caused product feeds to contain wrong and changing prices in product feeds. This only happened on very rare occaccions but has been fixed now.

= 3.9.7 =
Fixed a bug: when all pre-defined fields for custom feeds where deleted and new fields were added the product feed would break. This has now been fixed.
Made improvements to the JSON (structured data fix for the WooCommerce bug)

= 3.9.6 =
Removed the option to create Google Shopping / Merchant Center CSV feeds. The only option left is XML feeds. Current CSV feeds remain working ofcourse.
Added support for "fee percentage" Shipping formula's

= 3.9.5 =
Tested for Wordpress 5.0 compatibility, no issues found
Added support for diacritics characters in the optimized title field

= 3.9.4 =
Added functionality: one can now create rules saying: if attribute X is empty use the value from attribute Y
Added functionality: free shipping zones are now also added to product feeds, even when the price is 0

= 3.9.3 =
Fixed a bug: the last release (3.9.2) broke support for Cyrillic characters. This has now been fixed.

= 3.9.2 =
Fixed a validation bug where spaces where not allowed in the optimized product title field. This has been fixed now.

= 3.9.1 =
Added stricter encoding on the product name, description and short description attributes in order to prevent warnings in Google's Merchant Center

= 3.9.0 =
Product feeds are now only being refreshed when the complete update of a feed has finished. Previously we updated product feeds on the fly which caused issues when for example Google Shopping was retrieving the product feed at the exact same time.
You can now create filter and rules on catalogue and search visibility
When the sale price of a product is equal to the regular price of a product the product is not on sale, we are now removing the sale price from feeds when this is happening
Changed the default price mapping for Google Shopping and Facebook feeds to the regular price attribute
Fixed a PHP Notice for products that are eligable for free shipping as the minimum shipping product price was reached.
Fixed a PHP Warning which showed when plugin users had no product attributes at all

= 3.8.9 =
Enabled license check module again. This is just the checking module and page. Licenses are not required yet for the Elite features.

= 3.8.8 =
Fixed a bug: shipping zones that had a cost of 0 were removed from the feed. Those are now being added again as those got disapproved by Google.
Fixed a bug: removed the admin-url ajax URL for safety reasons.

= 3.8.7 =
Name change of plugin as we got a trademark complaint from Automattic, the owner of the WooCommerce brand

= 3.8.6 =
New feature: we have added the functionality to copy existing product feed configurations to a new product feed. Just hit the copy project icon on the Manage Feeds page.

= 3.8.5 =
Fixed a bug: shipping zone fix for users who put region, country, postal code or price in the zone name itself
Added a correction check for shipping cost formula's that have wrongly been inserted by users

= 3.8.4 =
Fixed a bug: some shipping zones were incomplete in product feeds. Issue has been solved.

= 3.8.3 =
Fixed a bug: text delimiters for custom feed CSV's were missing. Issue has been solved.

= 3.8.2 =
Fixed a bug for United States and Australian Shipping cost settings. There are no longer empty shipping XML nodes in the feed.

= 3.8.1 =
Fixed a color/size/material bug: the plugin was not adding product colors, sizes and materials according to Google's Merchant Center requirements when products had multiple values for this. This has now been fixed
Fixed a SimpleXMLElement PHP warning causing PHP warnings in the logs (thanks Simon for your help in this one, appreciated!)
Checked compatibility with WooCommerce 3.5.1

= 3.8.0 =
Fixed a delimiter issue for Google's Local Product Inventory feeds on special request from @muranomidwest

= 3.7.9 =
Fixed a minor bug: the g:postal_code field format is, for example, 94002-95460. The default WooCommerce annotation is 94002...95460 so this was resulting in warnings in Google's Merchant Center. We have now fixed this bug so the g:postal_code meets up to Google's require
ments.

= 3.7.8 =
Rebuild parts of the category mapping functionality as some users experienced mappings that did not get saved or screens that froze.
We have added a plugin systems check tab which shows if the basic requirements for this plugin are met.

= 3.7.7 =
Shipping classes with a 0 shipping cost are no longer added to the product feeds

= 3.7.6 =
Fixed a bug: the plugin was adding prefixes and suffixes to attribute values that were empty. Prefixes and suffixes are no longer added to empty attribute values.
Fixed a bug: fputcsv was causing issues with CSV files. Replaced this PHP function with an oldfashioned fopen and fwrite. This has now been solved.
Fixed a bug: Eval function was throwing and error for Shipping Class formula's that were not truly a formula. This has now been solved.

= 3.7.5 =
Checked and tested the plugin for WooCommerce 3.5. compatibility
Fixed a bug: in some browsers, such as Safari, the attribute enabling/disabling feature was not working due to a JS-error. This has now been solved.
Added support for shipping costs formula's. The [qty] field is now supported for all your shipping classes.

= 3.7.4 =
Fixed some cosmetic issues with regards to the blinking status messages
Fixed a bug: when a product feed project was disabled one could no longer enable it. This has now been solved

= 3.7.3 =
On popular demand we fixed some Google Local Products Inventory feed issues: the store code attribute was surrounded with non UTF chars, the sale price effective date contained a slash when no sale date was set. Also Google requires it to be a txt file (and not tsv or csv).
Fixed a bug: the attribute Category (not used for mapping) was empty for variation products. This has now been fixed. The plugin will use the parent product category for it.

= 3.7.2 =
Fixed a minor bug: variation products that did not have parameters in the URL for which the plugin appended Google Analytics and AdTribes parameters the landingpage URL's contained no questionmark before the parameters
Fixed a bug on the get_gallery_image_ids() call

= 3.7.1 =
The 3.7.0 version caused a fatal error upon creation of new feeds. This has been solved now.

= 3.7.0 =
Added an attributes setting feature so missing custom attributes can be enabled and used for configuration and optimisation of your product feeds.
We finally made the progress status message dynamical so you no longer need to refresh your browser to see what the status of your product feed is.

= 3.6.9 =
Fixed a bug: build in stricter UTF8 checks for the description and short_description attributes

= 3.6.8 =
Completed the list of Google Shopping fields available. Also changed the g:adwords_redirect field to g:ads_redirect

= 3.6.7 =
Fixed a bug: When the Yoast SEO plugin was active and products were placed inside a category but no primary category was defined the plugin would not put the category in the product feed. This has now been fixed.

= 3.6.6 =
Added Google's g:cost_of_goods_sold field in the drop-downs so you can add it to your Google Shopping Merchant Center feeds
Added Yoast's custom attributes to the drop-downs so you can add those product values to your product feeds

= 3.6.5 =
New feature: When the description of a variation product has been filled it will override the product description and product short description of the simple/mother product.

= 3.6.4 =
Fixed a bug: the plugin was crashing for variation products that had a slash in their product name. This has now been fixed. (Thanks @cargoodrich for reporting this issue to us).

= 3.6.3 =
The optimised title attribute field now also accepts alphanumeric characters
Fixed a dynamic attribute bug, it was putting the slug value in the prodicy feed instead of the proper value. This has now been fixed.

= 3.6.2 =
Added the product feed template for Guenstiger.de

= 3.6.1 =
Major custom (product) attribute update: apart from adding individual custom product attributes to the mapping and filtering/rules dropdowns we have also cleaned-up these drop-downs so only the relevant attributes show
Fixed a VAT bug that happened for plugin users that also use a caching plugin

= 3.6.0 =
Added support for Facebooks content_type attribute. It is now possible to select the attribute 'Content Type' in the attribute mapping page. 

= 3.5.9 =
Fixed another additional image gallery bug, it was showing only two in the feed . Now it shows all.

= 3.5.8 =
Fixed a bug: additional gallery images for variable products can now also be put in product feeds

= 3.5.7 =
Fixed the validation check on MPN
Fixed a bug for empty rule sets on values a product doesn't have

= 3.5.6 =
Fixed a bug for include_only and exclude rules and filters that were set on an attribute that were not present for certain products

= 3.5.5 =
Change to the Google Local Products Inventory CSV. Google requires the CSV feed to not contain field enclosures (against official CSV requirements) so we have stripped them off

= 3.5.4 =
Minor changes, fixing PHP log warnings

= 3.5.3 =
Added a plugin setting: you can now override your variation main image with it's mother main image if you do not want your variation images to be your product feeds

= 3.5.2 =
Added product tags support: you can now add product tags to your product feeds and create filters and rules on them

= 3.5.1 =
Added a template for Google Local Products Feed (next to the already existing Local Products Inventory Feed template).
Fixed a bug: the field enclosure in Google's Local Products Inventory Feed was wrong. This issue has been fixed now.

= 3.5.0 =
Fixed a bug: multiply rules on numeric values are now both working for European and US annotations.

= 3.4.9 =
Fixed a bug: pieces of product XML or CSV still ended up for products that should have been filtered out. This issue has been fixed now.

= 3.4.8 =
Added the possibility to create replace-rules giving you extra options to manipulate the information that ends up in your product feeds

= 3.4.7 =
Fixed a bug: the optimized title input field did not allow strange characters and uppercases whereas this was allowed for viariant products. This issue has been fixed now.
Fixed a bug: there was a double optimized title input field for variant products. This issue has been fixed now.

= 3.4.6 =
Added a template for Google Local Product Inventory

= 3.4.5 =
Fixed a bug: attribute values were no longer appended to product names for variants products. This issue has been fixed now.

= 3.4.4 =
Added a template for Google DSA (Dynamic Search Ads)

= 3.4.3 =
Fixed a bug: plugin was adding the google_product_category tag to the XML for products that were filtered out. This issue has been fixed now.

= 3.4.2 =
Shortcodes added to the description and short description attributes by the visual composer will now be stripped

= 3.4.1 =
Some minor changes to the Miinto templates for the title and description fields

= 3.4.0 =
Fixed a bug: the rightpress plugin support for prices was broken. This issue has been fixed now.
Fixed a bug: categories that contained a slash / and for which a category mapping was created caused preg_match PHP warnings in the log. This issue has been fixed now.

= 3.3.9 =
Fixed a bug: when creating a Google Remarketing - DRM feed the delimiter drop-down did not show causing the product feed to have no delimiters. This issue has been fixed now.

= 3.3.8 =
Solved A PHP warning that happened during processing of the product feeds

= 3.3.7 =
Major update to Google category mapping feature: in older versions of the plugin one had to map all categories when a product sat in multiple categories (including the parent category). This no longer is needed, creating just one category mapping for these products is enough, no need to map all categories. Also, when a category mapping is missing for a product the google_product_category field will be empty as of now, whereas previously the plugin put the WooCommerce category name which obviously resulted in disapprovals in Google's Merchant Ce
nter as Google did not recognise those categories.

= 3.3.6 =
Fixed a bug: category names that contained a " could not be mapped to Google's categories. This issue now has been fixed.

= 3.3.5 =
Fixed a bug: append to product names was not working in some cases, causing feeds to stall. This issue now has been fixed.

= 3.3.4 =
Fixed a bug: the extra fields our plugin ads somehow did not end up in the feed anymore (GTIN, brand, etc). This issue now has been fixed.

= 3.3.3 =
Removed license check for now. Will launch a seperate version soon.

= 3.3.2 =
New feature: want to retarget your visitors in Google? Simply enable the Google Dynamic Remarketing option of our plugin and Google's remarketing tags will be placed on all pages of your website, including the basket and thank-you page. The Dynamic Remarketing code is perfectly alligned with the product feeds you created.
Added a mother product name attribute. Some channels, such as Manomano, need this to be used for variation products.
Solved a bug: google categories where added to the XML feed even when product items should have been removed due to filtering. This has now been solved.
Solved a bug: removed rightpress support as it was causing prices to be wrong in product feeds.

= 3.3.1 =
Added a channel template for Katoni.dk
Increased the maximum lenght for custom field from 20 to 50 characters

= 3.3.0 =
Fixed a PHP warning when no attribute could be appended to variant product names

= 3.2.9 =
Fixed a bug: there was a bug in the multiplying rule. This has now been solved.
Previous release caused errors to display after the final configuration step. Those have been removed now.

= 3.2.8 =
Fixed a bug: sale prices that were inserted excl. VAT and show incl. VAT on the website did not contain VAT in the product feeds. This has now been solved.
Fixed a bug: multiply rules on numeric values containing a comma did not work. This has now been solved.

= 3.2.7 =
Hyphens are now also allowed for XML elements when one adds a custom attribute field

= 3.2.6 =
Made changes to the Miinto templates so they now all support Denmark, Netherlands and Poland localized fields

= 3.2.5 =
We made a change to how category filters are working. Filters are now *always* working on the original category name and no longer need to be changed when you mapped your category to those of Google
We added an AdTribes widget to your dashboard containing links to our latest blog posts

= 3.2.4 =
Added an option to enable / disable WPML support

= 3.2.3 =
Category rules now both work on your original category name AND the Google category taxonomy

= 3.2.2 =
Minor update: change of plugin name and asset headers

= 3.2.1 =
Multiply, divide, plus and minus are new conditions that can be used when creating rules. These new operators only work on numeric fields such as price, sale price, quantity, etc.

= 3.2.0 =
Added support for WC Fields Factory

= 3.1.8 =
Fixed a bug: in some occasions the attribute value was not appended to the product name for variation products

= 3.1.7 =
Added validation on the input fields added by the plugin (GTIN, EAN, SKU, optimized title, etc)
Added sanitizing for POST and GET parameters

= 3.1.6 =
Removed the 'Grant access to support' functionality in the plugin settings section as it was violating the WordPress directory guidelines.

= 3.1.5 =
Added support for WooCommerce Advanced Free Shipping
Fixed a bug: inactive shipping methods where still being used to calculate a product shipping price. This has now been solved.

= 3.1.4 = 
Added Fruugo.nl template
Added Fruugo.es template
Added Fruugo United States template
Added Fruugo Australia template

= 3.1.3 =
Added Fruugo.co.uk template
Added Moebel.de template

= 3.1.2 =
Fixed a bug in the Free Shipping Method

= 3.1.1 =
The size field for Facebook DRM product feeds was missing, added it to the fields drop-downs now.

= 3.1.0 =
WPML: on popular demand our plugin now supports WPML. Create your product feeds in all your active languages.

= 3.0.9 =
Added links to support pages on AdTribes.io

= 3.0.8 =
License notications where not shown when they should, issue has been solved
Minor template changes

= 3.0.7 =
Added support for the Google Shopping 'installment' field

= 3.0.6 =
Added the Miinto.pl Poland template

= 3.0.5 =
Fixed a bug: when adding multiple custom attributes in the attribute mapping page it would only save the last created custom attribute mapping. This bug now has been solved.

= 3.0.4 =
Major update of plugin Shipping zones support: The plugin now also supports Australian and United States postal code implementations and respects minimum tresholds for Free Shipping
Made compatible with WooCommerce 3.4
Changed license check from twice to once a day

= 3.0.3 =
Added template for Miinto Denmark
Added template for Miinto Netherlands
Fixed a category mapping bug for Google Shopping product feeds
Fixed a is_numeric php warning

= 3.0.2 =
Filters are now also working on products that are missing the attribute the filters is set on

= 3.0.1 =
Fixed a batched filter bug
Fixed a minor PHP warning

= 3.0.0 =
Bug fix for include_only filters

= 2.9.9 =
Bug fix for filters on strings

= 2.9.8 =
Added an extra template field tax for the Skroutz feeds

= 2.9.7 =
Add a filter option to 'include only' on 'is not equal to' string values

= 2.9.6 =
Added some more cleaning-up upon deinstallation of plugin

= 2.9.5 =
Added some clean-up functionalities: when the plugin gets disabled it removed the hooks created to automatically refresh the feed and check the license. When the plugin is deleted the entire product feed c
onfiguration is deleted.

= 2.9.4 =
Solved a stack trace error that in some cases stopped the automatic update process of product feeds

= 2.9.3 =
Fixed minor count error

= 2.9.2 =
Fixed the preg_match errors upon generation of the feed

= 2.9.1 =
Added the possibility to map a channel price to your front-end price (price inserted excl. VAT, shown including VAT)
Fixed a minor shipping price big

= 2.9.0 =
Fixed a missing tab in a drop-down when fileformat TSV was chosen
Renamed a ManoMano template field

= 2.8.5 =
Major update to the category mapping feature. The mapping is no longer restricted to ~ 300 categories, you can map as many categories as needed from now on. We managed to bypass some PHP restrictions in this update.

= 2.8.4 =
License notification can now be disabled

= 2.8.3 =
Doubled the speed for creation of product feeds for shops that contain over 50.000 products

= 2.8.2 =
Added the ManoMano.co.uk marketplace template

= 2.8.1 =
Fixed a minor issue with the condition attribute. The default value of condition is, as of now, 'New' so this value will never be empty
Fixed a minor issue with regards to the identifier_exists field for Google Shopping. The plugin calculates itself if the value needs to be no or yes completly ignoring static values entered by users. This has now been solved
Did some restyling of the admin screens

= 2.8.0 =
Fixed a bug with the product exclude option for variation products

= 2.7.9 =
Fixed bug for WooCommerce Dynamic Pricing & Discounts from RightPress

= 2.7.8 =
Parent brand used for variations and optimized title using normal product title as fallback

= 2.7.7 =
Fixed the double concatenation of (default) attribute values to variant product names

= 2.7.6 =
Added support for WooCommerce Dynamic Pricing & Discounts from RightPress

= 2.7.5 =
Fixed a minor custom attributes bug

= 2.7.4 =
Added support for WooCommerce Dynamic Pricing & Discounts from RightPress

= 2.7.3 =
Solved a bug that concatenated attributes value to the product name multiple times (thanks for reporting @jjuul)

= 2.7.2 =
Added the unit pricing measure and unit pricing base measure fields for Google Shopping feeds

= 2.7.1 =
Removed duplicate triggering of cron_hook

= 2.7.0 =
Fixed a bug with regards to the unit_pricing_base_measure field for Google Shopping

= 2.6.9 =
Fixed a JSON structured data bug 

= 2.6.8 =
Added UTF8 encoding to the Google Shopping XML product feeds (thanks @exentric and tkellmen!)

= 2.6.7 =
Removed some notifications

= 2.6.6 =
Improved housekeeping cleanup when an user deactivates the plugin

= 2.6.5 =
Added a backup cron hook for kickstarting product feeds that got stuck during processing
Improvement license validation check, based on domain

= 2.6.4 =
Improved notification texts and enhanced license validation check

= 2.6.3 =
Added the Google Merchant Promotions Feed template

= 2.6.2 =
Improved performance of the plugin and changed order of file format selector/drop-down

= 2.6.1 =
Fixed another JSON bug

= 2.6.0 =
Fixed a structured data JSON bug (thanks for reporting @gregbast1994)

= 2.5.9 =
Added a 'no refresh' interval option for users who do not need the feeds to be refreshed automatically
For WooCommerce stores with thousands of products the configuration of a product feed itself sometimes became really slow. This issues has been fixed

= 2.5.8 =
Fixed minor bug in structured data JSON markup

= 2.5.7 =
Added helptexts for our new feature that adds the custom attributes such as GTIN, MPN, EAN, Brand, Condition, etc

= 2.5.6 =
Added support for the following structured data fields on your product pages: itemCondition and availability. This will result in less disapproved items in your Google Merchant Center;
Fixed a structured data bug for the price field (occured for variable products that existed out of two or more attributes);
Fixed a fatal PHP error for a missing exclude filter;
Added the Elite license validation module (beta testing phase)

= 2.5.5 =
We have added a checkbox on both the simple and variable edit pages that you can enable if you want to exclude a certain product from product feeds. This was already possible making filters however we found this to be a more user-friendly solution.

= 2.5.4 =
Big release: we have added an option for you to enable in the plugin settings that will add important fields / attributes for your products which you need to meet Google's requirements. Enabling this option will give you these extra fields / attributes: Brand, GTIN, MPN, UPC, EAN, Product condition (New, Refurbished, Used) and an Optimised title field. These fields / attributes can than be used for mapping them to the correct Google Shopping fields.
The added 'Product condition' field value will also be used on your product page JSON's so your products will not be disapproved in Google's Merchant Center. 

= 2.5.3 =
Fixed the empty item tags in Google Shopping feeds caused by filtering

= 2.5.2 =
Added JSON itemCondition to the product page so products in Google Shopping are not getting disapproved because of this

= 2.5.1 =
Fixed a filter and rule bug where some of the filters and rule configurations got lost
Fixed a filter bug on numeric value (for example filters on price)
Added helptext for users pointing to instructions on how to set filters 

= 2.5.0 =
Solved a bug calling an undefined function

= 2.4.9 =
Rollback trying to revert a bug

= 2.4.2 =
When the Yoast Premium plugin was installed but inactive and a product sat in multiple categories the g:google_product_category was left empty in product feeds. This has now been solved.

= 2.4.1 =
Reverted to an older version as the plugin caused processing of big feeds to get stuck

= 2.3.6 =
Added the Sale price effective date attribute so it can be used in Google Shopping feeds

= 2.3.5 =
Prevented custom attributes that have no value from showing up in the product feeds as empty nodes

= 2.3.4 =
Added CDATA brackets for the title, description and short_description attributes to prevent XML formatting errors

= 2.3.3 =
Because of PHP limitations it was not possible to map more than 165 categories to Google Shopping categories. We have now been able to increase that number to 330 categories.

= 2.3.2 =
Custom attributes that are being added by external plugins that begin with a underscore in its naming now also can be used in the plugin

= 2.3.1 =
Solved a bug in the field mapping page where numeric product attribute names caused mapping issues

= 2.3.0 =
Removed non-line-break characters from the product feeds in the description and short_description attributes

= 2.2.9 =
Fixed some UTF-8 decoding issues causing XML formatting errors in Google's Merchant Center

= 2.2.8 =
Added HTML decode for the description and short_description attributes so it shows the characters in the product feed as it should

= 2.2.7 =
It is now possible to map the same custom attribute for both single and variable products
Improved speed of creating product feeds
Fixed a bug where filters removed all product data but left an empty category XML node in the feed

= 2.2.6 =
Changed the XML header for Zbozi.cz product feeds

= 2.2.5 =
Added TSV (tab-seperated) support for all channels.
Added Miinto.nl template

= 2.2.4 =
When product stock management was active WooCommerce returns a product as being 'Out of stock even when the stock quantity is > 0. We think this makes no sense so we made chan
ges to the plugin. When stock management is active on product level and the stock quantity > 0 we will put the availability value on "in stock" as of this new release.

= 2.2.3 =
Added a Category (not used for mapping) attribute in the drop-downs

= 2.2.2 =
Added the attribute publication date as one of the attributes that can be added to product feeds, such as Kijiji Italy.

= 2.2.1 =
Fixed some broken CSS
Added explanations about the WooCommerce Structured Data mark-up bug

= 2.2.0 =
CSS bullet lists broke in some browsers resulting in an ugly plugin interface. This has now been fixed.. 

= 2.1.9 =
Added some extra picture fields to the Kijiji Italy template

= 2.1.8 =
Fixed a bug in the rules and filers (some rules got lost with the previous update of the plugin)

= 2.1.7 =
Rules that removed products from your WooCommerce Google Shopping product feed did not remove the <item/> XML closure tag. Although this is not wrong XML and did not cause issues with submitting the feed to Google's Merchant Center we did clean it up.

= 2.1.6 =
Added Kijiji Italy template

= 2.1.5 =
Improved error notifications
Added review request notification

= 2.1.4 =
Made some changes to the 'grant access' feature of the plugin

= 2.1.3 =
Doing some housekeeping: cleaning up files and cron jobs after deactivation of the plugin
Removed error messages

= 2.1.2 =
Because of a bug in WooCommerce variable products will get disapproved in Google's Merchant Center. WooCommerce adds the price of the cheapest variable product in the structured data for all variations of a product. Because of this there will be a mismatch between the product price you provide to Google in your Google Shopping product feed and the structured data price on the product landingpage. Google will therefor disapprove the product in its merchant center. You won't be able to advertise on that product in your Google Shopping campaign. The plugin now contains and option to fix the structured data on variable product pages by adding the correct variable product price in the JSON-LD structured data so Google will approve the variable products you submitted.

= 2.1.1 =
Fixed an issue with the g:identifier_exists attribute
Added helptexts to the attribute mapping page
Now allowing underscores in XML namespaces for custom feed fields

= 2.1.0 =
Cleaned-up the list of attributes to map and set filter and rules on making it easier to map fields and set filter or rules.

= 2.0.9 =
Added support for filtering on empty fields

= 2.0.8 =
Added support for custom fields that are being added by other plugins

= 2.0.7 =
Added conversion data to the debug.log in preparation for filtering on product conversions

= 2.0.6 =
Plugin now automatically puts currency prefixes in place for Google Shopping and Facebook feeds
Minor changes for Beslist templates

= 2.0.5 =
Fixed minor bug: questionmark was appended to the link attribute when tracking was disabled for simple products. This has now been solved.

= 2.0.4 =
Significantly improved speed of processing product feeds
Added templates for Beslist.nl and Beslist.be

= 2.0.3 =
Fixed some styling and text issues.

= 2.0.2 =
Solved major bugs with Product and Dynamic attribute mappings

= 2.0.1 =
Solved a bug that was introduced with the last release. The g:id field for Google Shopping products feed accidently got stripped. This bug has been solved now.

= 2.0.0 =
Added the category path field which can be used to show the category path or so called breadcrumn in your product feeds

= 1.9.9 =
Added support boxes during configuration of a product feed and changed the content of the support email notification text

= 1.9.8 =
Fixed a bug: Category mappings with a strange character in it where not saved properly. This bug has now been solved.

= 1.9.7 =
Error message was showing in the interface

= 1.9.6 =
Fixed a bug in the filter and rules section: excluding products from your product feed based on categories filters did not work. Also, setting a fixed shipping price for product prices that matched
 a specific condition did not work. Both issues have now been solved.

= 1.9.5 =
Fixed a bug: additional gallery images are now also shown in Custom XML feeds

= 1.9.4 =
Fixed a bug: additional gallery images are now also shown in XML and Google Shopping feeds

= 1.9.3 =
Added the possibility map products on Google Shopping categories based on advanced rules. You can now map your products to Google Shopping categories not only based on the product category but on any product attribute.

= 1.9.2 =
Added a 'plugin settings' page: grant access to the AdTribes.io support team to help you configure your product feeds
Fixed some minor styling issues

= 1.9.1 =
Added support (templates) for Heureka.cz and Zbozi.cz

= 1.9.0 =
Fixed a bug for CSV feeds whereas static values did not end up in the CSV-feed. This bug also caused a mismatch between the amount of CSV header fields and individual product row fields.

= 1.8.9 =
Fixed a bug: mapped dynamic attribute values did not appear in product feeds, this bug has been fixed now.

= 1.8.8 =
Big update: track conversions coming from your marketing channels that are based on product feeds you created. Just 'enable conversion tracking' and sales will be measured. In one of the upcoming releases we will add an interface in which you w
ill see what sale came from what product feed. Tracking of sales and conversions is based on both local session storage and cookie-tracking ensuring all sales being attributed.

= 1.8.7 =
Filters based on Product categories where not working for Google Shopping merchant center feeds. This bug has been solved now.
When users where logged in as Admin and ran the product feed as Admin also products that did not have the 'publish' status where put in the product feed. This bug has been solved now. Only published products wi
ll end up in products feeds, even when you are logged in as an Admin user.

= 1.8.6 =
Added error notifications for users who have disabled their WP_CRON or run a WooCommerce version older than 3.0

= 1.8.5 =
Fixed broken category mappings that had a & in the category name
Improved debug logging

= 1.8.4 =
Added support for the official "Facebook for WooCommerce" plugin by adding a SKU_ID attribute
Fixed a bug that caused identical category names to show up twice in CSV files

= 1.8.3 =
Wordpress/WooCommerce sites that did not have the Yoast SEO plugin installed ran into issues with category mappings for Google Shopping feeds as there is no primary category configured. This has now been solved.

= 1.8.2 =
Custom attribute values did not show in the product feeds, this bug has now been solved

= 1.8.1 =
Added license javascript

= 1.8.0 =
Fixed a bug in the category mapping template. Categories that contained a & in the name were mapped but did not show in the mapped overview anymore. This has now ben fixed.
Added the amount of published products per category in the category mapping template so you know what categories to map first.
Added license validation functionalities for the Elite version of our plugin.

= 1.7.9 =
The Google category mapping breaked when a WooCommerce Product category was removed. This has now been fixed.
Added some user-interface elements on the category mapping page so it is more obvious what categories are mapped and which ones not.

= 1.7.8 =
User-interface improvement for category mapping template

= 1.7.7 =
Custom attributes for single products did not show in the product feeds, nor was it possible to filter on it. This has now been fixed.
Brand attributes for product variations did not show in the product feeds, this has been solved.
Performance increase: processing product feeds has become twice as fast, especially important for shops with thousands of products.

= 1.7.6 =
Big update of the (Google/Facebook) category mapping page
Made changes to the WP_Query for retrieving the custom product attributes. This is making the attribute mapping page significantly faster

= 1.7.5 =
Implemented a significant performance increase in the autosuggest dropdowns

= 1.7.4 =
Fixed an autosuggest bug

= 1.7.3 =
Added the possibility to set filters and rules on empty attribute values
Added localized price format, depending on WooCommerce Shop configuration
Fixed the CSS dialog buttons for deleting and refreshing feeds

= 1.7.2 =
Stripping shortcodes from the (short) description fields so those do not end up in the product feeds
Revamped the manage project dashboard in preparation for our support section

= 1.7.1 =
Bing merchant center does not fully accept Google Shopping formated feeds, some changes needed to be made in order for Bing to accept the product feeds.
Fixed a CSS styling issue on the manage feeds page
AdTribes.io moved to SSL/HTTPS, changed some references from the old http to httpS version

= 1.7.0 =
The plugin graph showing the amounts conflicted with the Yoast Premium plugin and the default colorpicker library of Wordpress. This bug has been fixed now.

= 1.6.9 =
Fixed the typeahead JS errors

= 1.6.8 =
Filters and rules on the "shipping price" attribute now also support multiple shipping zones

= 1.6.7 =
Replaced the (jQuery-ui-)-autocomplete functionality with the bootstrap typeahead functionality for dropdowns. jQuery-ui is breaking popular editors for WordPress themes.
Fixed a bug that returned error-messages when configuring a new feed

= 1.6.6 =
Fixed a bug: plugin was not forced to retrieve the latest versions of CSS and Javascript causing fixes in JS/CSS not to work. This has now been fixed.

= 1.6.5 =
Plugin now supports multiple shipping zones for all channels such as Google Shopping, Facebook and custom feeds. Shipping attributes such as country, region, service and price have also been added.

= 1.6.4 =
Fixed CSS issues that caused menu's and editors or other plugins and themes to break

= 1.6.3 =
Added support for websites that run on older PHP (< 5.6) versions. Products will be processed in smaller batches so the plugin does not run into memory issues.

= 1.6.2 =
Cleaned up some code, speeds up the plugin

= 1.6.1 =
New bug fixed that caused the feed not to proces all products

= 1.6.0 =
Fixed a bug that caused the feed not to proces or get stuck while processing

= 1.5.9 =
Removed duplicate category names in the category mapping dropdown fields

= 1.5.8 =
Fixed a bug in the categorymapping page whereas it was showing a lot of sub-categories on one row. Thanks Camilo for your help :)

= 1.5.7 =
Added logging with debugging information, this will help us to support you whenever there is an issue with the plugin.

= 1.5.6 =
Added the possibility to add price, regular price and sale prices excluding VAT to your product feeds

= 1.5.5 =
Solved a unique_identifier bug for Google Shopping product feeds: the plugin automatically set the g:identifier_exist to 'no' even when an unique identifier was present. 

= 1.5.4 =
Forgot to add a tracking JS, added now

= 1.5.3 =
BIG UPDATE: The plugin is now able to measure conversions for every channel you publish your productfeed too. When enough conversion (sales) have been measured options will be shown allowing you to automatically remove products from your productfeed that do not convert. No longer was
te your marketing budget, only pay for visitors that convert!
Rules & Filter bug has been fixed. Only the last created rule or filter was saved, other configured rules and filters where deleted accidently. This has now been solved. Our apologies for the bug.

= 1.5.2 =
Improved the suggest search for category mappings. The suggest search now also adds attribute values to the product name making it easier to map categories based on product names.

= 1.5.1 =
Improved performance for websites running on PHP 5.5/5.6, especially WooCommerce stores with over 3500 products sometimes ran into runtime execution limits.

= 1.5.0 =
Identifier_exists parameter for Google Shopping product feeds now also supported for CSV feeds
Fixed a bug causing the amount of items in a CSV-row not to match the amount of items in the CSV-header. This sometimes happened, causing errors in Google's Merchant Center.

= 1.4.9 =
Fixed a bug in the suggest search for category mappings
Added the Vergelijk.be product feed template
Added the Vertaa.fi product feed template

= 1.4.8 =
The plugin now automatically detects what value it has to insert for the Google Shopping identifier_exists field. The plugin detects if and what the values are for the brand, gtin and mpn fields and based on this determines if the value of the identifier_exists fields needs to be yes or no.

= 1.4.7 =
Added the functionality to add static attributes values in your product feeds
Fixed a bug for CSV exports where the amount of attributes on a CSV row mismatched the amount of fields in the CSV header causing errors uploading the products to Google's Merchant center
Fixed a bug that caused active filter, rules and attribute mappings to be overwritten by a newly added filter/rule or mapping

= 1.4.6 =
Attribute values are automatically being added to the product name when product variations are active. We did however appended the slug of the value. This has now been fixed, the proper name of the value is now being appended.

= 1.4.5 =
When a product has variables the parent product should not show in the product feed, just the child products are allowed. This has now been fixed.

= 1.4.4 =
Added a custom made product feed template for Vergelijk.nl

= 1.4.3 =
Added support for Yoast's primary category feature

= 1.4.2 =
Increased speed of processing big product feeds
Cleaned-up the code and fixed some small bugs

= 1.4.1 =
Added the brand field as a required attribute for the Facebook Dynamic Ad's product feed

= 1.4.0 =
When product prices are entered in the WooCommerce backend "without TAX" the products prices where also added without TAX in the product feeds. This has changed in the new release. Product prices (price, regular price and sale price) are always including TAX.

= 1.3.9 =
